/*
 * Copyright (C) 2012 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.app;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class AppOpsManager {

AppOpsManager() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public static java.lang.String permissionToOp(@android.annotation.NonNull java.lang.String permission) { throw new RuntimeException("Stub!"); }

public void startWatchingMode(@android.annotation.NonNull java.lang.String op, @android.annotation.Nullable java.lang.String packageName, @android.annotation.NonNull android.app.AppOpsManager.OnOpChangedListener callback) { throw new RuntimeException("Stub!"); }

public void startWatchingMode(@android.annotation.NonNull java.lang.String op, @android.annotation.Nullable java.lang.String packageName, int flags, @android.annotation.NonNull android.app.AppOpsManager.OnOpChangedListener callback) { throw new RuntimeException("Stub!"); }

public void stopWatchingMode(@android.annotation.NonNull android.app.AppOpsManager.OnOpChangedListener callback) { throw new RuntimeException("Stub!"); }

public void startWatchingActive(@android.annotation.NonNull java.lang.String[] ops, @android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.app.AppOpsManager.OnOpActiveChangedListener callback) { throw new RuntimeException("Stub!"); }

public void stopWatchingActive(@android.annotation.NonNull android.app.AppOpsManager.OnOpActiveChangedListener callback) { throw new RuntimeException("Stub!"); }

public int unsafeCheckOp(@android.annotation.NonNull java.lang.String op, int uid, @android.annotation.NonNull java.lang.String packageName) { throw new RuntimeException("Stub!"); }

@Deprecated
public int checkOp(@android.annotation.NonNull java.lang.String op, int uid, @android.annotation.NonNull java.lang.String packageName) { throw new RuntimeException("Stub!"); }

public int unsafeCheckOpNoThrow(@android.annotation.NonNull java.lang.String op, int uid, @android.annotation.NonNull java.lang.String packageName) { throw new RuntimeException("Stub!"); }

@Deprecated
public int checkOpNoThrow(@android.annotation.NonNull java.lang.String op, int uid, @android.annotation.NonNull java.lang.String packageName) { throw new RuntimeException("Stub!"); }

public int unsafeCheckOpRaw(@android.annotation.NonNull java.lang.String op, int uid, @android.annotation.NonNull java.lang.String packageName) { throw new RuntimeException("Stub!"); }

public int unsafeCheckOpRawNoThrow(@android.annotation.NonNull java.lang.String op, int uid, @android.annotation.NonNull java.lang.String packageName) { throw new RuntimeException("Stub!"); }

@Deprecated
public int noteOp(@android.annotation.NonNull java.lang.String op, int uid, @android.annotation.NonNull java.lang.String packageName) { throw new RuntimeException("Stub!"); }

public int noteOp(@android.annotation.NonNull java.lang.String op, int uid, @android.annotation.Nullable java.lang.String packageName, @android.annotation.Nullable java.lang.String attributionTag, @android.annotation.Nullable java.lang.String message) { throw new RuntimeException("Stub!"); }

@Deprecated
public int noteOpNoThrow(@android.annotation.NonNull java.lang.String op, int uid, @android.annotation.NonNull java.lang.String packageName) { throw new RuntimeException("Stub!"); }

public int noteOpNoThrow(@android.annotation.NonNull java.lang.String op, int uid, @android.annotation.NonNull java.lang.String packageName, @android.annotation.Nullable java.lang.String attributionTag, @android.annotation.Nullable java.lang.String message) { throw new RuntimeException("Stub!"); }

@Deprecated
public int noteProxyOp(@android.annotation.NonNull java.lang.String op, @android.annotation.NonNull java.lang.String proxiedPackageName) { throw new RuntimeException("Stub!"); }

public int noteProxyOp(@android.annotation.NonNull java.lang.String op, @android.annotation.Nullable java.lang.String proxiedPackageName, int proxiedUid, @android.annotation.Nullable java.lang.String proxiedAttributionTag, @android.annotation.Nullable java.lang.String message) { throw new RuntimeException("Stub!"); }

@Deprecated
public int noteProxyOpNoThrow(@android.annotation.NonNull java.lang.String op, @android.annotation.NonNull java.lang.String proxiedPackageName) { throw new RuntimeException("Stub!"); }

@Deprecated
public int noteProxyOpNoThrow(@android.annotation.NonNull java.lang.String op, @android.annotation.Nullable java.lang.String proxiedPackageName, int proxiedUid) { throw new RuntimeException("Stub!"); }

public int noteProxyOpNoThrow(@android.annotation.NonNull java.lang.String op, @android.annotation.Nullable java.lang.String proxiedPackageName, int proxiedUid, @android.annotation.Nullable java.lang.String proxiedAttributionTag, @android.annotation.Nullable java.lang.String message) { throw new RuntimeException("Stub!"); }

@Deprecated
public void checkPackage(int uid, @android.annotation.NonNull java.lang.String packageName) { throw new RuntimeException("Stub!"); }

@Deprecated
public int startOp(@android.annotation.NonNull java.lang.String op, int uid, @android.annotation.NonNull java.lang.String packageName) { throw new RuntimeException("Stub!"); }

public int startOp(@android.annotation.NonNull java.lang.String op, int uid, @android.annotation.Nullable java.lang.String packageName, @android.annotation.Nullable java.lang.String attributionTag, @android.annotation.Nullable java.lang.String message) { throw new RuntimeException("Stub!"); }

@Deprecated
public int startOpNoThrow(@android.annotation.NonNull java.lang.String op, int uid, @android.annotation.NonNull java.lang.String packageName) { throw new RuntimeException("Stub!"); }

public int startOpNoThrow(@android.annotation.NonNull java.lang.String op, int uid, @android.annotation.NonNull java.lang.String packageName, @android.annotation.NonNull java.lang.String attributionTag, @android.annotation.Nullable java.lang.String message) { throw new RuntimeException("Stub!"); }

public int startProxyOp(@android.annotation.NonNull java.lang.String op, int proxiedUid, @android.annotation.NonNull java.lang.String proxiedPackageName, @android.annotation.Nullable java.lang.String proxiedAttributionTag, @android.annotation.Nullable java.lang.String message) { throw new RuntimeException("Stub!"); }

public int startProxyOpNoThrow(@android.annotation.NonNull java.lang.String op, int proxiedUid, @android.annotation.NonNull java.lang.String proxiedPackageName, @android.annotation.Nullable java.lang.String proxiedAttributionTag, @android.annotation.Nullable java.lang.String message) { throw new RuntimeException("Stub!"); }

@Deprecated
public void finishOp(@android.annotation.NonNull java.lang.String op, int uid, @android.annotation.NonNull java.lang.String packageName) { throw new RuntimeException("Stub!"); }

public void finishOp(@android.annotation.NonNull java.lang.String op, int uid, @android.annotation.NonNull java.lang.String packageName, @android.annotation.Nullable java.lang.String attributionTag) { throw new RuntimeException("Stub!"); }

public void finishProxyOp(@android.annotation.NonNull java.lang.String op, int proxiedUid, @android.annotation.NonNull java.lang.String proxiedPackageName, @android.annotation.Nullable java.lang.String proxiedAttributionTag) { throw new RuntimeException("Stub!"); }

public boolean isOpActive(@android.annotation.NonNull java.lang.String op, int uid, @android.annotation.NonNull java.lang.String packageName) { throw new RuntimeException("Stub!"); }

public void setOnOpNotedCallback(@android.annotation.Nullable java.util.concurrent.Executor asyncExecutor, @android.annotation.Nullable android.app.AppOpsManager.OnOpNotedCallback callback) { throw new RuntimeException("Stub!"); }

public static final int MODE_ALLOWED = 0; // 0x0

public static final int MODE_DEFAULT = 3; // 0x3

public static final int MODE_ERRORED = 2; // 0x2

public static final int MODE_FOREGROUND = 4; // 0x4

public static final int MODE_IGNORED = 1; // 0x1

public static final java.lang.String OPSTR_ADD_VOICEMAIL = "android:add_voicemail";

public static final java.lang.String OPSTR_ANSWER_PHONE_CALLS = "android:answer_phone_calls";

public static final java.lang.String OPSTR_BODY_SENSORS = "android:body_sensors";

public static final java.lang.String OPSTR_CALL_PHONE = "android:call_phone";

public static final java.lang.String OPSTR_CAMERA = "android:camera";

public static final java.lang.String OPSTR_COARSE_LOCATION = "android:coarse_location";

public static final java.lang.String OPSTR_FINE_LOCATION = "android:fine_location";

public static final java.lang.String OPSTR_GET_USAGE_STATS = "android:get_usage_stats";

public static final java.lang.String OPSTR_MOCK_LOCATION = "android:mock_location";

public static final java.lang.String OPSTR_MONITOR_HIGH_POWER_LOCATION = "android:monitor_location_high_power";

public static final java.lang.String OPSTR_MONITOR_LOCATION = "android:monitor_location";

public static final java.lang.String OPSTR_PICTURE_IN_PICTURE = "android:picture_in_picture";

public static final java.lang.String OPSTR_PROCESS_OUTGOING_CALLS = "android:process_outgoing_calls";

public static final java.lang.String OPSTR_READ_CALENDAR = "android:read_calendar";

public static final java.lang.String OPSTR_READ_CALL_LOG = "android:read_call_log";

public static final java.lang.String OPSTR_READ_CELL_BROADCASTS = "android:read_cell_broadcasts";

public static final java.lang.String OPSTR_READ_CONTACTS = "android:read_contacts";

public static final java.lang.String OPSTR_READ_EXTERNAL_STORAGE = "android:read_external_storage";

public static final java.lang.String OPSTR_READ_PHONE_NUMBERS = "android:read_phone_numbers";

public static final java.lang.String OPSTR_READ_PHONE_STATE = "android:read_phone_state";

public static final java.lang.String OPSTR_READ_SMS = "android:read_sms";

public static final java.lang.String OPSTR_RECEIVE_MMS = "android:receive_mms";

public static final java.lang.String OPSTR_RECEIVE_SMS = "android:receive_sms";

public static final java.lang.String OPSTR_RECEIVE_WAP_PUSH = "android:receive_wap_push";

public static final java.lang.String OPSTR_RECORD_AUDIO = "android:record_audio";

public static final java.lang.String OPSTR_SEND_SMS = "android:send_sms";

public static final java.lang.String OPSTR_SYSTEM_ALERT_WINDOW = "android:system_alert_window";

public static final java.lang.String OPSTR_USE_FINGERPRINT = "android:use_fingerprint";

public static final java.lang.String OPSTR_USE_SIP = "android:use_sip";

public static final java.lang.String OPSTR_WRITE_CALENDAR = "android:write_calendar";

public static final java.lang.String OPSTR_WRITE_CALL_LOG = "android:write_call_log";

public static final java.lang.String OPSTR_WRITE_CONTACTS = "android:write_contacts";

public static final java.lang.String OPSTR_WRITE_EXTERNAL_STORAGE = "android:write_external_storage";

public static final java.lang.String OPSTR_WRITE_SETTINGS = "android:write_settings";

public static final int WATCH_FOREGROUND_CHANGES = 1; // 0x1
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface OnOpActiveChangedListener {

public void onOpActiveChanged(@android.annotation.NonNull java.lang.String op, int uid, @android.annotation.NonNull java.lang.String packageName, boolean active);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface OnOpChangedListener {

public void onOpChanged(java.lang.String op, java.lang.String packageName);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public abstract static class OnOpNotedCallback {

public OnOpNotedCallback() { throw new RuntimeException("Stub!"); }

public abstract void onNoted(@android.annotation.NonNull android.app.SyncNotedAppOp op);

public abstract void onSelfNoted(@android.annotation.NonNull android.app.SyncNotedAppOp op);

public abstract void onAsyncNoted(@android.annotation.NonNull android.app.AsyncNotedAppOp asyncOp);
}

}

