/*
 * Copyright (C) 2006 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.app;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class Dialog implements android.content.DialogInterface, android.view.Window.Callback, android.view.KeyEvent.Callback, android.view.View.OnCreateContextMenuListener {

public Dialog(@android.annotation.NonNull android.content.Context context) { throw new RuntimeException("Stub!"); }

public Dialog(@android.annotation.NonNull android.content.Context context, int themeResId) { throw new RuntimeException("Stub!"); }

protected Dialog(@android.annotation.NonNull android.content.Context context, boolean cancelable, @android.annotation.Nullable android.content.DialogInterface.OnCancelListener cancelListener) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public final android.content.Context getContext() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.app.ActionBar getActionBar() { throw new RuntimeException("Stub!"); }

public final void setOwnerActivity(@android.annotation.NonNull android.app.Activity activity) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final android.app.Activity getOwnerActivity() { throw new RuntimeException("Stub!"); }

public boolean isShowing() { throw new RuntimeException("Stub!"); }

public void create() { throw new RuntimeException("Stub!"); }

public void show() { throw new RuntimeException("Stub!"); }

public void hide() { throw new RuntimeException("Stub!"); }

public void dismiss() { throw new RuntimeException("Stub!"); }

protected void onCreate(android.os.Bundle savedInstanceState) { throw new RuntimeException("Stub!"); }

protected void onStart() { throw new RuntimeException("Stub!"); }

protected void onStop() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.Bundle onSaveInstanceState() { throw new RuntimeException("Stub!"); }

public void onRestoreInstanceState(@android.annotation.NonNull android.os.Bundle savedInstanceState) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.view.Window getWindow() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.view.View getCurrentFocus() { throw new RuntimeException("Stub!"); }

public <T extends android.view.View> T findViewById(int id) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public final <T extends android.view.View> T requireViewById(int id) { throw new RuntimeException("Stub!"); }

public void setContentView(int layoutResID) { throw new RuntimeException("Stub!"); }

public void setContentView(@android.annotation.NonNull android.view.View view) { throw new RuntimeException("Stub!"); }

public void setContentView(@android.annotation.NonNull android.view.View view, @android.annotation.Nullable android.view.ViewGroup.LayoutParams params) { throw new RuntimeException("Stub!"); }

public void addContentView(@android.annotation.NonNull android.view.View view, @android.annotation.Nullable android.view.ViewGroup.LayoutParams params) { throw new RuntimeException("Stub!"); }

public void setTitle(@android.annotation.Nullable java.lang.CharSequence title) { throw new RuntimeException("Stub!"); }

public void setTitle(int titleId) { throw new RuntimeException("Stub!"); }

public boolean onKeyDown(int keyCode, @android.annotation.NonNull android.view.KeyEvent event) { throw new RuntimeException("Stub!"); }

public boolean onKeyLongPress(int keyCode, @android.annotation.NonNull android.view.KeyEvent event) { throw new RuntimeException("Stub!"); }

public boolean onKeyUp(int keyCode, @android.annotation.NonNull android.view.KeyEvent event) { throw new RuntimeException("Stub!"); }

public boolean onKeyMultiple(int keyCode, int repeatCount, @android.annotation.NonNull android.view.KeyEvent event) { throw new RuntimeException("Stub!"); }

public void onBackPressed() { throw new RuntimeException("Stub!"); }

public boolean onKeyShortcut(int keyCode, @android.annotation.NonNull android.view.KeyEvent event) { throw new RuntimeException("Stub!"); }

public boolean onTouchEvent(@android.annotation.NonNull android.view.MotionEvent event) { throw new RuntimeException("Stub!"); }

public boolean onTrackballEvent(@android.annotation.NonNull android.view.MotionEvent event) { throw new RuntimeException("Stub!"); }

public boolean onGenericMotionEvent(@android.annotation.NonNull android.view.MotionEvent event) { throw new RuntimeException("Stub!"); }

public void onWindowAttributesChanged(android.view.WindowManager.LayoutParams params) { throw new RuntimeException("Stub!"); }

public void onContentChanged() { throw new RuntimeException("Stub!"); }

public void onWindowFocusChanged(boolean hasFocus) { throw new RuntimeException("Stub!"); }

public void onAttachedToWindow() { throw new RuntimeException("Stub!"); }

public void onDetachedFromWindow() { throw new RuntimeException("Stub!"); }

public boolean dispatchKeyEvent(@android.annotation.NonNull android.view.KeyEvent event) { throw new RuntimeException("Stub!"); }

public boolean dispatchKeyShortcutEvent(@android.annotation.NonNull android.view.KeyEvent event) { throw new RuntimeException("Stub!"); }

public boolean dispatchTouchEvent(@android.annotation.NonNull android.view.MotionEvent ev) { throw new RuntimeException("Stub!"); }

public boolean dispatchTrackballEvent(@android.annotation.NonNull android.view.MotionEvent ev) { throw new RuntimeException("Stub!"); }

public boolean dispatchGenericMotionEvent(@android.annotation.NonNull android.view.MotionEvent ev) { throw new RuntimeException("Stub!"); }

public boolean dispatchPopulateAccessibilityEvent(@android.annotation.NonNull android.view.accessibility.AccessibilityEvent event) { throw new RuntimeException("Stub!"); }

public android.view.View onCreatePanelView(int featureId) { throw new RuntimeException("Stub!"); }

public boolean onCreatePanelMenu(int featureId, @android.annotation.NonNull android.view.Menu menu) { throw new RuntimeException("Stub!"); }

public boolean onPreparePanel(int featureId, @android.annotation.Nullable android.view.View view, @android.annotation.NonNull android.view.Menu menu) { throw new RuntimeException("Stub!"); }

public boolean onMenuOpened(int featureId, @android.annotation.NonNull android.view.Menu menu) { throw new RuntimeException("Stub!"); }

public boolean onMenuItemSelected(int featureId, @android.annotation.NonNull android.view.MenuItem item) { throw new RuntimeException("Stub!"); }

public void onPanelClosed(int featureId, @android.annotation.NonNull android.view.Menu menu) { throw new RuntimeException("Stub!"); }

public boolean onCreateOptionsMenu(@android.annotation.NonNull android.view.Menu menu) { throw new RuntimeException("Stub!"); }

public boolean onPrepareOptionsMenu(@android.annotation.NonNull android.view.Menu menu) { throw new RuntimeException("Stub!"); }

public boolean onOptionsItemSelected(@android.annotation.NonNull android.view.MenuItem item) { throw new RuntimeException("Stub!"); }

public void onOptionsMenuClosed(@android.annotation.NonNull android.view.Menu menu) { throw new RuntimeException("Stub!"); }

public void openOptionsMenu() { throw new RuntimeException("Stub!"); }

public void closeOptionsMenu() { throw new RuntimeException("Stub!"); }

public void invalidateOptionsMenu() { throw new RuntimeException("Stub!"); }

public void onCreateContextMenu(android.view.ContextMenu menu, android.view.View v, android.view.ContextMenu.ContextMenuInfo menuInfo) { throw new RuntimeException("Stub!"); }

public void registerForContextMenu(@android.annotation.NonNull android.view.View view) { throw new RuntimeException("Stub!"); }

public void unregisterForContextMenu(@android.annotation.NonNull android.view.View view) { throw new RuntimeException("Stub!"); }

public void openContextMenu(@android.annotation.NonNull android.view.View view) { throw new RuntimeException("Stub!"); }

public boolean onContextItemSelected(@android.annotation.NonNull android.view.MenuItem item) { throw new RuntimeException("Stub!"); }

public void onContextMenuClosed(@android.annotation.NonNull android.view.Menu menu) { throw new RuntimeException("Stub!"); }

public boolean onSearchRequested(@android.annotation.NonNull android.view.SearchEvent searchEvent) { throw new RuntimeException("Stub!"); }

public boolean onSearchRequested() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final android.view.SearchEvent getSearchEvent() { throw new RuntimeException("Stub!"); }

public android.view.ActionMode onWindowStartingActionMode(android.view.ActionMode.Callback callback) { throw new RuntimeException("Stub!"); }

public android.view.ActionMode onWindowStartingActionMode(android.view.ActionMode.Callback callback, int type) { throw new RuntimeException("Stub!"); }

public void onActionModeStarted(android.view.ActionMode mode) { throw new RuntimeException("Stub!"); }

public void onActionModeFinished(android.view.ActionMode mode) { throw new RuntimeException("Stub!"); }

public void takeKeyEvents(boolean get) { throw new RuntimeException("Stub!"); }

public final boolean requestWindowFeature(int featureId) { throw new RuntimeException("Stub!"); }

public final void setFeatureDrawableResource(int featureId, int resId) { throw new RuntimeException("Stub!"); }

public final void setFeatureDrawableUri(int featureId, @android.annotation.Nullable android.net.Uri uri) { throw new RuntimeException("Stub!"); }

public final void setFeatureDrawable(int featureId, @android.annotation.Nullable android.graphics.drawable.Drawable drawable) { throw new RuntimeException("Stub!"); }

public final void setFeatureDrawableAlpha(int featureId, int alpha) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.LayoutInflater getLayoutInflater() { throw new RuntimeException("Stub!"); }

public void setCancelable(boolean flag) { throw new RuntimeException("Stub!"); }

public void setCanceledOnTouchOutside(boolean cancel) { throw new RuntimeException("Stub!"); }

public void cancel() { throw new RuntimeException("Stub!"); }

public void setOnCancelListener(@android.annotation.Nullable android.content.DialogInterface.OnCancelListener listener) { throw new RuntimeException("Stub!"); }

public void setCancelMessage(@android.annotation.Nullable android.os.Message msg) { throw new RuntimeException("Stub!"); }

public void setOnDismissListener(@android.annotation.Nullable android.content.DialogInterface.OnDismissListener listener) { throw new RuntimeException("Stub!"); }

public void setOnShowListener(@android.annotation.Nullable android.content.DialogInterface.OnShowListener listener) { throw new RuntimeException("Stub!"); }

public void setDismissMessage(@android.annotation.Nullable android.os.Message msg) { throw new RuntimeException("Stub!"); }

public final void setVolumeControlStream(int streamType) { throw new RuntimeException("Stub!"); }

public final int getVolumeControlStream() { throw new RuntimeException("Stub!"); }

public void setOnKeyListener(@android.annotation.Nullable android.content.DialogInterface.OnKeyListener onKeyListener) { throw new RuntimeException("Stub!"); }
}

