/*
 * Copyright (C) 2007 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.app;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class NotificationManager {

NotificationManager() { throw new RuntimeException("Stub!"); }

public void notify(int id, android.app.Notification notification) { throw new RuntimeException("Stub!"); }

public void notify(java.lang.String tag, int id, android.app.Notification notification) { throw new RuntimeException("Stub!"); }

public void notifyAsPackage(@android.annotation.NonNull java.lang.String targetPackage, @android.annotation.Nullable java.lang.String tag, int id, @android.annotation.NonNull android.app.Notification notification) { throw new RuntimeException("Stub!"); }

public void cancel(int id) { throw new RuntimeException("Stub!"); }

public void cancel(@android.annotation.Nullable java.lang.String tag, int id) { throw new RuntimeException("Stub!"); }

public void cancelAsPackage(@android.annotation.NonNull java.lang.String targetPackage, @android.annotation.Nullable java.lang.String tag, int id) { throw new RuntimeException("Stub!"); }

public void cancelAll() { throw new RuntimeException("Stub!"); }

public void setNotificationDelegate(@android.annotation.Nullable java.lang.String delegate) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getNotificationDelegate() { throw new RuntimeException("Stub!"); }

public boolean canNotifyAsPackage(@android.annotation.NonNull java.lang.String pkg) { throw new RuntimeException("Stub!"); }

public void createNotificationChannelGroup(@android.annotation.NonNull android.app.NotificationChannelGroup group) { throw new RuntimeException("Stub!"); }

public void createNotificationChannelGroups(@android.annotation.NonNull java.util.List<android.app.NotificationChannelGroup> groups) { throw new RuntimeException("Stub!"); }

public void createNotificationChannel(@android.annotation.NonNull android.app.NotificationChannel channel) { throw new RuntimeException("Stub!"); }

public void createNotificationChannels(@android.annotation.NonNull java.util.List<android.app.NotificationChannel> channels) { throw new RuntimeException("Stub!"); }

public android.app.NotificationChannel getNotificationChannel(java.lang.String channelId) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.app.NotificationChannel getNotificationChannel(@android.annotation.NonNull java.lang.String channelId, @android.annotation.NonNull java.lang.String conversationId) { throw new RuntimeException("Stub!"); }

public java.util.List<android.app.NotificationChannel> getNotificationChannels() { throw new RuntimeException("Stub!"); }

public void deleteNotificationChannel(java.lang.String channelId) { throw new RuntimeException("Stub!"); }

public android.app.NotificationChannelGroup getNotificationChannelGroup(java.lang.String channelGroupId) { throw new RuntimeException("Stub!"); }

public java.util.List<android.app.NotificationChannelGroup> getNotificationChannelGroups() { throw new RuntimeException("Stub!"); }

public void deleteNotificationChannelGroup(java.lang.String groupId) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.NotificationManager.Policy getConsolidatedNotificationPolicy() { throw new RuntimeException("Stub!"); }

public java.util.Map<java.lang.String,android.app.AutomaticZenRule> getAutomaticZenRules() { throw new RuntimeException("Stub!"); }

public android.app.AutomaticZenRule getAutomaticZenRule(java.lang.String id) { throw new RuntimeException("Stub!"); }

public java.lang.String addAutomaticZenRule(android.app.AutomaticZenRule automaticZenRule) { throw new RuntimeException("Stub!"); }

public boolean updateAutomaticZenRule(java.lang.String id, android.app.AutomaticZenRule automaticZenRule) { throw new RuntimeException("Stub!"); }

public void setAutomaticZenRuleState(@android.annotation.NonNull java.lang.String id, @android.annotation.NonNull android.service.notification.Condition condition) { throw new RuntimeException("Stub!"); }

public boolean removeAutomaticZenRule(java.lang.String id) { throw new RuntimeException("Stub!"); }

public int getImportance() { throw new RuntimeException("Stub!"); }

public boolean areNotificationsEnabled() { throw new RuntimeException("Stub!"); }

@Deprecated
public boolean areBubblesAllowed() { throw new RuntimeException("Stub!"); }

public boolean areBubblesEnabled() { throw new RuntimeException("Stub!"); }

public int getBubblePreference() { throw new RuntimeException("Stub!"); }

public boolean areNotificationsPaused() { throw new RuntimeException("Stub!"); }

public boolean isNotificationPolicyAccessGranted() { throw new RuntimeException("Stub!"); }

public boolean isNotificationListenerAccessGranted(android.content.ComponentName listener) { throw new RuntimeException("Stub!"); }

public boolean shouldHideSilentStatusBarIcons() { throw new RuntimeException("Stub!"); }

public android.app.NotificationManager.Policy getNotificationPolicy() { throw new RuntimeException("Stub!"); }

public void setNotificationPolicy(@android.annotation.NonNull android.app.NotificationManager.Policy policy) { throw new RuntimeException("Stub!"); }

public android.service.notification.StatusBarNotification[] getActiveNotifications() { throw new RuntimeException("Stub!"); }

public final int getCurrentInterruptionFilter() { throw new RuntimeException("Stub!"); }

public final void setInterruptionFilter(int interruptionFilter) { throw new RuntimeException("Stub!"); }

public static final java.lang.String ACTION_APP_BLOCK_STATE_CHANGED = "android.app.action.APP_BLOCK_STATE_CHANGED";

public static final java.lang.String ACTION_AUTOMATIC_ZEN_RULE = "android.app.action.AUTOMATIC_ZEN_RULE";

public static final java.lang.String ACTION_AUTOMATIC_ZEN_RULE_STATUS_CHANGED = "android.app.action.AUTOMATIC_ZEN_RULE_STATUS_CHANGED";

public static final java.lang.String ACTION_INTERRUPTION_FILTER_CHANGED = "android.app.action.INTERRUPTION_FILTER_CHANGED";

public static final java.lang.String ACTION_NOTIFICATION_CHANNEL_BLOCK_STATE_CHANGED = "android.app.action.NOTIFICATION_CHANNEL_BLOCK_STATE_CHANGED";

public static final java.lang.String ACTION_NOTIFICATION_CHANNEL_GROUP_BLOCK_STATE_CHANGED = "android.app.action.NOTIFICATION_CHANNEL_GROUP_BLOCK_STATE_CHANGED";

public static final java.lang.String ACTION_NOTIFICATION_POLICY_ACCESS_GRANTED_CHANGED = "android.app.action.NOTIFICATION_POLICY_ACCESS_GRANTED_CHANGED";

public static final java.lang.String ACTION_NOTIFICATION_POLICY_CHANGED = "android.app.action.NOTIFICATION_POLICY_CHANGED";

public static final int AUTOMATIC_RULE_STATUS_DISABLED = 2; // 0x2

public static final int AUTOMATIC_RULE_STATUS_ENABLED = 1; // 0x1

public static final int AUTOMATIC_RULE_STATUS_REMOVED = 3; // 0x3

public static final int AUTOMATIC_RULE_STATUS_UNKNOWN = -1; // 0xffffffff

public static final int BUBBLE_PREFERENCE_ALL = 1; // 0x1

public static final int BUBBLE_PREFERENCE_NONE = 0; // 0x0

public static final int BUBBLE_PREFERENCE_SELECTED = 2; // 0x2

public static final java.lang.String EXTRA_AUTOMATIC_RULE_ID = "android.app.extra.AUTOMATIC_RULE_ID";

public static final java.lang.String EXTRA_AUTOMATIC_ZEN_RULE_ID = "android.app.extra.AUTOMATIC_ZEN_RULE_ID";

public static final java.lang.String EXTRA_AUTOMATIC_ZEN_RULE_STATUS = "android.app.extra.AUTOMATIC_ZEN_RULE_STATUS";

public static final java.lang.String EXTRA_BLOCKED_STATE = "android.app.extra.BLOCKED_STATE";

public static final java.lang.String EXTRA_NOTIFICATION_CHANNEL_GROUP_ID = "android.app.extra.NOTIFICATION_CHANNEL_GROUP_ID";

public static final java.lang.String EXTRA_NOTIFICATION_CHANNEL_ID = "android.app.extra.NOTIFICATION_CHANNEL_ID";

public static final int IMPORTANCE_DEFAULT = 3; // 0x3

public static final int IMPORTANCE_HIGH = 4; // 0x4

public static final int IMPORTANCE_LOW = 2; // 0x2

public static final int IMPORTANCE_MAX = 5; // 0x5

public static final int IMPORTANCE_MIN = 1; // 0x1

public static final int IMPORTANCE_NONE = 0; // 0x0

public static final int IMPORTANCE_UNSPECIFIED = -1000; // 0xfffffc18

public static final int INTERRUPTION_FILTER_ALARMS = 4; // 0x4

public static final int INTERRUPTION_FILTER_ALL = 1; // 0x1

public static final int INTERRUPTION_FILTER_NONE = 3; // 0x3

public static final int INTERRUPTION_FILTER_PRIORITY = 2; // 0x2

public static final int INTERRUPTION_FILTER_UNKNOWN = 0; // 0x0

public static final java.lang.String META_DATA_AUTOMATIC_RULE_TYPE = "android.service.zen.automatic.ruleType";

public static final java.lang.String META_DATA_RULE_INSTANCE_LIMIT = "android.service.zen.automatic.ruleInstanceLimit";
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class Policy implements android.os.Parcelable {

public Policy(int priorityCategories, int priorityCallSenders, int priorityMessageSenders) { throw new RuntimeException("Stub!"); }

public Policy(int priorityCategories, int priorityCallSenders, int priorityMessageSenders, int suppressedVisualEffects) { throw new RuntimeException("Stub!"); }

public Policy(int priorityCategories, int priorityCallSenders, int priorityMessageSenders, int suppressedVisualEffects, int priorityConversationSenders) { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object o) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public static java.lang.String suppressedEffectsToString(int effects) { throw new RuntimeException("Stub!"); }

public static java.lang.String priorityCategoriesToString(int priorityCategories) { throw new RuntimeException("Stub!"); }

public static java.lang.String prioritySendersToString(int prioritySenders) { throw new RuntimeException("Stub!"); }

public static final int CONVERSATION_SENDERS_ANYONE = 1; // 0x1

public static final int CONVERSATION_SENDERS_IMPORTANT = 2; // 0x2

public static final int CONVERSATION_SENDERS_NONE = 3; // 0x3

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.app.NotificationManager.Policy> CREATOR;
static { CREATOR = null; }

public static final int PRIORITY_CATEGORY_ALARMS = 32; // 0x20

public static final int PRIORITY_CATEGORY_CALLS = 8; // 0x8

public static final int PRIORITY_CATEGORY_CONVERSATIONS = 256; // 0x100

public static final int PRIORITY_CATEGORY_EVENTS = 2; // 0x2

public static final int PRIORITY_CATEGORY_MEDIA = 64; // 0x40

public static final int PRIORITY_CATEGORY_MESSAGES = 4; // 0x4

public static final int PRIORITY_CATEGORY_REMINDERS = 1; // 0x1

public static final int PRIORITY_CATEGORY_REPEAT_CALLERS = 16; // 0x10

public static final int PRIORITY_CATEGORY_SYSTEM = 128; // 0x80

public static final int PRIORITY_SENDERS_ANY = 0; // 0x0

public static final int PRIORITY_SENDERS_CONTACTS = 1; // 0x1

public static final int PRIORITY_SENDERS_STARRED = 2; // 0x2

public static final int SUPPRESSED_EFFECT_AMBIENT = 128; // 0x80

public static final int SUPPRESSED_EFFECT_BADGE = 64; // 0x40

public static final int SUPPRESSED_EFFECT_FULL_SCREEN_INTENT = 4; // 0x4

public static final int SUPPRESSED_EFFECT_LIGHTS = 8; // 0x8

public static final int SUPPRESSED_EFFECT_NOTIFICATION_LIST = 256; // 0x100

public static final int SUPPRESSED_EFFECT_PEEK = 16; // 0x10

@Deprecated public static final int SUPPRESSED_EFFECT_SCREEN_OFF = 1; // 0x1

@Deprecated public static final int SUPPRESSED_EFFECT_SCREEN_ON = 2; // 0x2

public static final int SUPPRESSED_EFFECT_STATUS_BAR = 32; // 0x20

public final int priorityCallSenders;
{ priorityCallSenders = 0; }

public final int priorityCategories;
{ priorityCategories = 0; }

public final int priorityConversationSenders;
{ priorityConversationSenders = 0; }

public final int priorityMessageSenders;
{ priorityMessageSenders = 0; }

public final int suppressedVisualEffects;
{ suppressedVisualEffects = 0; }
}

}

