/*
 * Copyright (C) 2016 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.app.admin;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class SecurityLog {

public SecurityLog() { throw new RuntimeException("Stub!"); }

public static final int LEVEL_ERROR = 3; // 0x3

public static final int LEVEL_INFO = 1; // 0x1

public static final int LEVEL_WARNING = 2; // 0x2

public static final int TAG_ADB_SHELL_CMD = 210002; // 0x33452

public static final int TAG_ADB_SHELL_INTERACTIVE = 210001; // 0x33451

public static final int TAG_APP_PROCESS_START = 210005; // 0x33455

public static final int TAG_CAMERA_POLICY_SET = 210034; // 0x33472

public static final int TAG_CERT_AUTHORITY_INSTALLED = 210029; // 0x3346d

public static final int TAG_CERT_AUTHORITY_REMOVED = 210030; // 0x3346e

public static final int TAG_CERT_VALIDATION_FAILURE = 210033; // 0x33471

public static final int TAG_CRYPTO_SELF_TEST_COMPLETED = 210031; // 0x3346f

public static final int TAG_KEYGUARD_DISABLED_FEATURES_SET = 210021; // 0x33465

public static final int TAG_KEYGUARD_DISMISSED = 210006; // 0x33456

public static final int TAG_KEYGUARD_DISMISS_AUTH_ATTEMPT = 210007; // 0x33457

public static final int TAG_KEYGUARD_SECURED = 210008; // 0x33458

public static final int TAG_KEY_DESTRUCTION = 210026; // 0x3346a

public static final int TAG_KEY_GENERATED = 210024; // 0x33468

public static final int TAG_KEY_IMPORT = 210025; // 0x33469

public static final int TAG_KEY_INTEGRITY_VIOLATION = 210032; // 0x33470

public static final int TAG_LOGGING_STARTED = 210011; // 0x3345b

public static final int TAG_LOGGING_STOPPED = 210012; // 0x3345c

public static final int TAG_LOG_BUFFER_SIZE_CRITICAL = 210015; // 0x3345f

public static final int TAG_MAX_PASSWORD_ATTEMPTS_SET = 210020; // 0x33464

public static final int TAG_MAX_SCREEN_LOCK_TIMEOUT_SET = 210019; // 0x33463

public static final int TAG_MEDIA_MOUNT = 210013; // 0x3345d

public static final int TAG_MEDIA_UNMOUNT = 210014; // 0x3345e

public static final int TAG_OS_SHUTDOWN = 210010; // 0x3345a

public static final int TAG_OS_STARTUP = 210009; // 0x33459

public static final int TAG_PASSWORD_COMPLEXITY_REQUIRED = 210035; // 0x33473

public static final int TAG_PASSWORD_COMPLEXITY_SET = 210017; // 0x33461

public static final int TAG_PASSWORD_EXPIRATION_SET = 210016; // 0x33460

public static final int TAG_PASSWORD_HISTORY_LENGTH_SET = 210018; // 0x33462

public static final int TAG_REMOTE_LOCK = 210022; // 0x33466

public static final int TAG_SYNC_RECV_FILE = 210003; // 0x33453

public static final int TAG_SYNC_SEND_FILE = 210004; // 0x33454

public static final int TAG_USER_RESTRICTION_ADDED = 210027; // 0x3346b

public static final int TAG_USER_RESTRICTION_REMOVED = 210028; // 0x3346c

public static final int TAG_WIPE_FAILURE = 210023; // 0x33467
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class SecurityEvent implements android.os.Parcelable {

SecurityEvent() { throw new RuntimeException("Stub!"); }

public long getTimeNanos() { throw new RuntimeException("Stub!"); }

public int getTag() { throw new RuntimeException("Stub!"); }

public java.lang.Object getData() { throw new RuntimeException("Stub!"); }

public long getId() { throw new RuntimeException("Stub!"); }

public int getLogLevel() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.app.admin.SecurityLog.SecurityEvent> CREATOR;
static { CREATOR = null; }
}

}

