/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.app.appsearch;


/** This class represents a uniquely identifiable package. */

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class PackageIdentifier {

/**
 * Creates a unique identifier for a package.
 *
 * @param packageName Name of the package.
 * @param sha256Certificate SHA256 certificate digest of the package.
 */

public PackageIdentifier(@android.annotation.NonNull java.lang.String packageName, @android.annotation.NonNull byte[] sha256Certificate) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getPackageName() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public byte[] getSha256Certificate() { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object obj) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }
}

