/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.app.appsearch;


/**
 * Encapsulates a request to index documents into an {@link android.app.appsearch.AppSearchSession AppSearchSession} database.
 *
 * @see android.app.appsearch.AppSearchSession#put
 */

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class PutDocumentsRequest {

PutDocumentsRequest() { throw new RuntimeException("Stub!"); }

/** Returns a list of {@link android.app.appsearch.GenericDocument GenericDocument} objects that are part of this request. */

@android.annotation.NonNull
public java.util.List<android.app.appsearch.GenericDocument> getGenericDocuments() { throw new RuntimeException("Stub!"); }
/** Builder for {@link android.app.appsearch.PutDocumentsRequest PutDocumentsRequest} objects. */

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder() { throw new RuntimeException("Stub!"); }

/** Adds one or more {@link android.app.appsearch.GenericDocument GenericDocument} objects to the request. */

@android.annotation.NonNull
public android.app.appsearch.PutDocumentsRequest.Builder addGenericDocuments(@android.annotation.NonNull android.app.appsearch.GenericDocument... documents) { throw new RuntimeException("Stub!"); }

/** Adds a collection of {@link android.app.appsearch.GenericDocument GenericDocument} objects to the request. */

@android.annotation.NonNull
public android.app.appsearch.PutDocumentsRequest.Builder addGenericDocuments(@android.annotation.NonNull java.util.Collection<? extends android.app.appsearch.GenericDocument> documents) { throw new RuntimeException("Stub!"); }

/** Creates a new {@link android.app.appsearch.PutDocumentsRequest PutDocumentsRequest} object. */

@android.annotation.NonNull
public android.app.appsearch.PutDocumentsRequest build() { throw new RuntimeException("Stub!"); }
}

}

