/*
 * Copyright 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.app.appsearch;


/** The response class of {@code AppSearchSession#getStorageInfo}. */

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class StorageInfo {

StorageInfo() { throw new RuntimeException("Stub!"); }

/** Returns the estimated size of the session's database in bytes. */

public long getSizeBytes() { throw new RuntimeException("Stub!"); }

/**
 * Returns the number of alive documents in the current session.
 *
 * <p>Alive documents are documents that haven't been deleted and haven't exceeded the ttl as
 * set in {@link android.app.appsearch.GenericDocument.Builder#setTtlMillis GenericDocument.Builder#setTtlMillis}.
 */

public int getAliveDocumentsCount() { throw new RuntimeException("Stub!"); }

/**
 * Returns the number of namespaces that have at least one alive document in the current
 * session's database.
 *
 * <p>Alive documents are documents that haven't been deleted and haven't exceeded the ttl as
 * set in {@link android.app.appsearch.GenericDocument.Builder#setTtlMillis GenericDocument.Builder#setTtlMillis}.
 */

public int getAliveNamespacesCount() { throw new RuntimeException("Stub!"); }
/** Builder for {@link android.app.appsearch.StorageInfo StorageInfo} objects. */

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder() { throw new RuntimeException("Stub!"); }

/** Sets the size in bytes. */

@android.annotation.NonNull
public android.app.appsearch.StorageInfo.Builder setSizeBytes(long sizeBytes) { throw new RuntimeException("Stub!"); }

/** Sets the number of alive documents. */

@android.annotation.NonNull
public android.app.appsearch.StorageInfo.Builder setAliveDocumentsCount(int aliveDocumentsCount) { throw new RuntimeException("Stub!"); }

/** Sets the number of alive namespaces. */

@android.annotation.NonNull
public android.app.appsearch.StorageInfo.Builder setAliveNamespacesCount(int aliveNamespacesCount) { throw new RuntimeException("Stub!"); }

/** Builds a {@link android.app.appsearch.StorageInfo StorageInfo} object. */

@android.annotation.NonNull
public android.app.appsearch.StorageInfo build() { throw new RuntimeException("Stub!"); }
}

}

