/**
 * Copyright (C) 2014 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy
 * of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations
 * under the License.
 */


package android.app.usage;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class UsageStatsManager {

UsageStatsManager() { throw new RuntimeException("Stub!"); }

public java.util.List<android.app.usage.UsageStats> queryUsageStats(int intervalType, long beginTime, long endTime) { throw new RuntimeException("Stub!"); }

public java.util.List<android.app.usage.ConfigurationStats> queryConfigurations(int intervalType, long beginTime, long endTime) { throw new RuntimeException("Stub!"); }

public java.util.List<android.app.usage.EventStats> queryEventStats(int intervalType, long beginTime, long endTime) { throw new RuntimeException("Stub!"); }

public android.app.usage.UsageEvents queryEvents(long beginTime, long endTime) { throw new RuntimeException("Stub!"); }

public android.app.usage.UsageEvents queryEventsForSelf(long beginTime, long endTime) { throw new RuntimeException("Stub!"); }

public java.util.Map<java.lang.String,android.app.usage.UsageStats> queryAndAggregateUsageStats(long beginTime, long endTime) { throw new RuntimeException("Stub!"); }

public boolean isAppInactive(java.lang.String packageName) { throw new RuntimeException("Stub!"); }

public int getAppStandbyBucket() { throw new RuntimeException("Stub!"); }

public static final int INTERVAL_BEST = 4; // 0x4

public static final int INTERVAL_DAILY = 0; // 0x0

public static final int INTERVAL_MONTHLY = 2; // 0x2

public static final int INTERVAL_WEEKLY = 1; // 0x1

public static final int INTERVAL_YEARLY = 3; // 0x3

public static final int STANDBY_BUCKET_ACTIVE = 10; // 0xa

public static final int STANDBY_BUCKET_FREQUENT = 30; // 0x1e

public static final int STANDBY_BUCKET_RARE = 40; // 0x28

public static final int STANDBY_BUCKET_RESTRICTED = 45; // 0x2d

public static final int STANDBY_BUCKET_WORKING_SET = 20; // 0x14
}

