/*
 * Copyright (C) 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.bluetooth;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class BluetoothStatusCodes {

private BluetoothStatusCodes() { throw new RuntimeException("Stub!"); }

public static final int ERROR_BLUETOOTH_NOT_ALLOWED = 2; // 0x2

public static final int ERROR_BLUETOOTH_NOT_ENABLED = 1; // 0x1

public static final int ERROR_DEVICE_NOT_BONDED = 3; // 0x3

public static final int ERROR_MISSING_BLUETOOTH_CONNECT_PERMISSION = 6; // 0x6

public static final int ERROR_UNKNOWN = 2147483647; // 0x7fffffff

public static final int SUCCESS = 0; // 0x0
}

