/*
 * Copyright (C) 2006 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.content;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public abstract class ContentResolver {

public ContentResolver(@android.annotation.Nullable android.content.Context context) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.content.ContentResolver wrap(@android.annotation.NonNull android.content.ContentProvider wrapped) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.content.ContentResolver wrap(@android.annotation.NonNull android.content.ContentProviderClient wrapped) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final java.lang.String getType(@android.annotation.NonNull android.net.Uri url) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String[] getStreamTypes(@android.annotation.NonNull android.net.Uri url, @android.annotation.NonNull java.lang.String mimeTypeFilter) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final android.database.Cursor query(@android.annotation.NonNull android.net.Uri uri, @android.annotation.Nullable java.lang.String[] projection, @android.annotation.Nullable java.lang.String selection, @android.annotation.Nullable java.lang.String[] selectionArgs, @android.annotation.Nullable java.lang.String sortOrder) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final android.database.Cursor query(@android.annotation.NonNull android.net.Uri uri, @android.annotation.Nullable java.lang.String[] projection, @android.annotation.Nullable java.lang.String selection, @android.annotation.Nullable java.lang.String[] selectionArgs, @android.annotation.Nullable java.lang.String sortOrder, @android.annotation.Nullable android.os.CancellationSignal cancellationSignal) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final android.database.Cursor query(@android.annotation.NonNull android.net.Uri uri, @android.annotation.Nullable java.lang.String[] projection, @android.annotation.Nullable android.os.Bundle queryArgs, @android.annotation.Nullable android.os.CancellationSignal cancellationSignal) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final android.net.Uri canonicalize(@android.annotation.NonNull android.net.Uri url) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final android.net.Uri uncanonicalize(@android.annotation.NonNull android.net.Uri url) { throw new RuntimeException("Stub!"); }

public final boolean refresh(@android.annotation.NonNull android.net.Uri url, @android.annotation.Nullable android.os.Bundle extras, @android.annotation.Nullable android.os.CancellationSignal cancellationSignal) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final java.io.InputStream openInputStream(@android.annotation.NonNull android.net.Uri uri) throws java.io.FileNotFoundException { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final java.io.OutputStream openOutputStream(@android.annotation.NonNull android.net.Uri uri) throws java.io.FileNotFoundException { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final java.io.OutputStream openOutputStream(@android.annotation.NonNull android.net.Uri uri, @android.annotation.NonNull java.lang.String mode) throws java.io.FileNotFoundException { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final android.os.ParcelFileDescriptor openFile(@android.annotation.NonNull android.net.Uri uri, @android.annotation.NonNull java.lang.String mode, @android.annotation.Nullable android.os.CancellationSignal signal) throws java.io.FileNotFoundException { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final android.os.ParcelFileDescriptor openFileDescriptor(@android.annotation.NonNull android.net.Uri uri, @android.annotation.NonNull java.lang.String mode) throws java.io.FileNotFoundException { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final android.os.ParcelFileDescriptor openFileDescriptor(@android.annotation.NonNull android.net.Uri uri, @android.annotation.NonNull java.lang.String mode, @android.annotation.Nullable android.os.CancellationSignal cancellationSignal) throws java.io.FileNotFoundException { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final android.content.res.AssetFileDescriptor openAssetFile(@android.annotation.NonNull android.net.Uri uri, @android.annotation.NonNull java.lang.String mode, @android.annotation.Nullable android.os.CancellationSignal signal) throws java.io.FileNotFoundException { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final android.content.res.AssetFileDescriptor openAssetFileDescriptor(@android.annotation.NonNull android.net.Uri uri, @android.annotation.NonNull java.lang.String mode) throws java.io.FileNotFoundException { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final android.content.res.AssetFileDescriptor openAssetFileDescriptor(@android.annotation.NonNull android.net.Uri uri, @android.annotation.NonNull java.lang.String mode, @android.annotation.Nullable android.os.CancellationSignal cancellationSignal) throws java.io.FileNotFoundException { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final android.content.res.AssetFileDescriptor openTypedAssetFile(@android.annotation.NonNull android.net.Uri uri, @android.annotation.NonNull java.lang.String mimeTypeFilter, @android.annotation.Nullable android.os.Bundle opts, @android.annotation.Nullable android.os.CancellationSignal signal) throws java.io.FileNotFoundException { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final android.content.res.AssetFileDescriptor openTypedAssetFileDescriptor(@android.annotation.NonNull android.net.Uri uri, @android.annotation.NonNull java.lang.String mimeType, @android.annotation.Nullable android.os.Bundle opts) throws java.io.FileNotFoundException { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final android.content.res.AssetFileDescriptor openTypedAssetFileDescriptor(@android.annotation.NonNull android.net.Uri uri, @android.annotation.NonNull java.lang.String mimeType, @android.annotation.Nullable android.os.Bundle opts, @android.annotation.Nullable android.os.CancellationSignal cancellationSignal) throws java.io.FileNotFoundException { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final android.net.Uri insert(@android.annotation.NonNull android.net.Uri url, @android.annotation.Nullable android.content.ContentValues values) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final android.net.Uri insert(@android.annotation.NonNull android.net.Uri url, @android.annotation.Nullable android.content.ContentValues values, @android.annotation.Nullable android.os.Bundle extras) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.ContentProviderResult[] applyBatch(@android.annotation.NonNull java.lang.String authority, @android.annotation.NonNull java.util.ArrayList<android.content.ContentProviderOperation> operations) throws android.content.OperationApplicationException, android.os.RemoteException { throw new RuntimeException("Stub!"); }

public final int bulkInsert(@android.annotation.NonNull android.net.Uri url, @android.annotation.NonNull android.content.ContentValues[] values) { throw new RuntimeException("Stub!"); }

public final int delete(@android.annotation.NonNull android.net.Uri url, @android.annotation.Nullable java.lang.String where, @android.annotation.Nullable java.lang.String[] selectionArgs) { throw new RuntimeException("Stub!"); }

public final int delete(@android.annotation.NonNull android.net.Uri url, @android.annotation.Nullable android.os.Bundle extras) { throw new RuntimeException("Stub!"); }

public final int update(@android.annotation.NonNull android.net.Uri uri, @android.annotation.Nullable android.content.ContentValues values, @android.annotation.Nullable java.lang.String where, @android.annotation.Nullable java.lang.String[] selectionArgs) { throw new RuntimeException("Stub!"); }

public final int update(@android.annotation.NonNull android.net.Uri uri, @android.annotation.Nullable android.content.ContentValues values, @android.annotation.Nullable android.os.Bundle extras) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final android.os.Bundle call(@android.annotation.NonNull android.net.Uri uri, @android.annotation.NonNull java.lang.String method, @android.annotation.Nullable java.lang.String arg, @android.annotation.Nullable android.os.Bundle extras) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final android.os.Bundle call(@android.annotation.NonNull java.lang.String authority, @android.annotation.NonNull java.lang.String method, @android.annotation.Nullable java.lang.String arg, @android.annotation.Nullable android.os.Bundle extras) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final android.content.ContentProviderClient acquireContentProviderClient(@android.annotation.NonNull android.net.Uri uri) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final android.content.ContentProviderClient acquireContentProviderClient(@android.annotation.NonNull java.lang.String name) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final android.content.ContentProviderClient acquireUnstableContentProviderClient(@android.annotation.NonNull android.net.Uri uri) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final android.content.ContentProviderClient acquireUnstableContentProviderClient(@android.annotation.NonNull java.lang.String name) { throw new RuntimeException("Stub!"); }

public final void registerContentObserver(@android.annotation.NonNull android.net.Uri uri, boolean notifyForDescendants, @android.annotation.NonNull android.database.ContentObserver observer) { throw new RuntimeException("Stub!"); }

public final void unregisterContentObserver(@android.annotation.NonNull android.database.ContentObserver observer) { throw new RuntimeException("Stub!"); }

public void notifyChange(@android.annotation.NonNull android.net.Uri uri, @android.annotation.Nullable android.database.ContentObserver observer) { throw new RuntimeException("Stub!"); }

@Deprecated
public void notifyChange(@android.annotation.NonNull android.net.Uri uri, @android.annotation.Nullable android.database.ContentObserver observer, boolean syncToNetwork) { throw new RuntimeException("Stub!"); }

public void notifyChange(@android.annotation.NonNull android.net.Uri uri, @android.annotation.Nullable android.database.ContentObserver observer, int flags) { throw new RuntimeException("Stub!"); }

public void notifyChange(@android.annotation.NonNull java.util.Collection<android.net.Uri> uris, @android.annotation.Nullable android.database.ContentObserver observer, int flags) { throw new RuntimeException("Stub!"); }

public void takePersistableUriPermission(@android.annotation.NonNull android.net.Uri uri, int modeFlags) { throw new RuntimeException("Stub!"); }

public void releasePersistableUriPermission(@android.annotation.NonNull android.net.Uri uri, int modeFlags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<android.content.UriPermission> getPersistedUriPermissions() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<android.content.UriPermission> getOutgoingPersistedUriPermissions() { throw new RuntimeException("Stub!"); }

@Deprecated
public void startSync(android.net.Uri uri, android.os.Bundle extras) { throw new RuntimeException("Stub!"); }

public static void requestSync(android.accounts.Account account, java.lang.String authority, android.os.Bundle extras) { throw new RuntimeException("Stub!"); }

public static void requestSync(android.content.SyncRequest request) { throw new RuntimeException("Stub!"); }

public static void validateSyncExtrasBundle(android.os.Bundle extras) { throw new RuntimeException("Stub!"); }

@Deprecated
public void cancelSync(android.net.Uri uri) { throw new RuntimeException("Stub!"); }

public static void cancelSync(android.accounts.Account account, java.lang.String authority) { throw new RuntimeException("Stub!"); }

public static android.content.SyncAdapterType[] getSyncAdapterTypes() { throw new RuntimeException("Stub!"); }

public static boolean getSyncAutomatically(android.accounts.Account account, java.lang.String authority) { throw new RuntimeException("Stub!"); }

public static void setSyncAutomatically(android.accounts.Account account, java.lang.String authority, boolean sync) { throw new RuntimeException("Stub!"); }

public static void addPeriodicSync(android.accounts.Account account, java.lang.String authority, android.os.Bundle extras, long pollFrequency) { throw new RuntimeException("Stub!"); }

public static void removePeriodicSync(android.accounts.Account account, java.lang.String authority, android.os.Bundle extras) { throw new RuntimeException("Stub!"); }

public static void cancelSync(android.content.SyncRequest request) { throw new RuntimeException("Stub!"); }

public static java.util.List<android.content.PeriodicSync> getPeriodicSyncs(android.accounts.Account account, java.lang.String authority) { throw new RuntimeException("Stub!"); }

public static int getIsSyncable(android.accounts.Account account, java.lang.String authority) { throw new RuntimeException("Stub!"); }

public static void setIsSyncable(android.accounts.Account account, java.lang.String authority, int syncable) { throw new RuntimeException("Stub!"); }

public static boolean getMasterSyncAutomatically() { throw new RuntimeException("Stub!"); }

public static void setMasterSyncAutomatically(boolean sync) { throw new RuntimeException("Stub!"); }

public static boolean isSyncActive(android.accounts.Account account, java.lang.String authority) { throw new RuntimeException("Stub!"); }

@Deprecated
public static android.content.SyncInfo getCurrentSync() { throw new RuntimeException("Stub!"); }

public static java.util.List<android.content.SyncInfo> getCurrentSyncs() { throw new RuntimeException("Stub!"); }

public static boolean isSyncPending(android.accounts.Account account, java.lang.String authority) { throw new RuntimeException("Stub!"); }

public static java.lang.Object addStatusChangeListener(int mask, android.content.SyncStatusObserver callback) { throw new RuntimeException("Stub!"); }

public static void removeStatusChangeListener(java.lang.Object handle) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public final android.content.ContentResolver.MimeTypeInfo getTypeInfo(@android.annotation.NonNull java.lang.String mimeType) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.Bitmap loadThumbnail(@android.annotation.NonNull android.net.Uri uri, @android.annotation.NonNull android.util.Size size, @android.annotation.Nullable android.os.CancellationSignal signal) throws java.io.IOException { throw new RuntimeException("Stub!"); }

public static final java.lang.String ANY_CURSOR_ITEM_TYPE = "vnd.android.cursor.item/*";

public static final java.lang.String CURSOR_DIR_BASE_TYPE = "vnd.android.cursor.dir";

public static final java.lang.String CURSOR_ITEM_BASE_TYPE = "vnd.android.cursor.item";

public static final java.lang.String EXTRA_HONORED_ARGS = "android.content.extra.HONORED_ARGS";

public static final java.lang.String EXTRA_REFRESH_SUPPORTED = "android.content.extra.REFRESH_SUPPORTED";

public static final java.lang.String EXTRA_SIZE = "android.content.extra.SIZE";

public static final java.lang.String EXTRA_TOTAL_COUNT = "android.content.extra.TOTAL_COUNT";

public static final int NOTIFY_DELETE = 16; // 0x10

public static final int NOTIFY_INSERT = 4; // 0x4

public static final int NOTIFY_SKIP_NOTIFY_FOR_DESCENDANTS = 2; // 0x2

public static final int NOTIFY_SYNC_TO_NETWORK = 1; // 0x1

public static final int NOTIFY_UPDATE = 8; // 0x8

public static final java.lang.String QUERY_ARG_GROUP_COLUMNS = "android:query-arg-group-columns";

public static final java.lang.String QUERY_ARG_LIMIT = "android:query-arg-limit";

public static final java.lang.String QUERY_ARG_OFFSET = "android:query-arg-offset";

public static final java.lang.String QUERY_ARG_SORT_COLLATION = "android:query-arg-sort-collation";

public static final java.lang.String QUERY_ARG_SORT_COLUMNS = "android:query-arg-sort-columns";

public static final java.lang.String QUERY_ARG_SORT_DIRECTION = "android:query-arg-sort-direction";

public static final java.lang.String QUERY_ARG_SORT_LOCALE = "android:query-arg-sort-locale";

public static final java.lang.String QUERY_ARG_SQL_GROUP_BY = "android:query-arg-sql-group-by";

public static final java.lang.String QUERY_ARG_SQL_HAVING = "android:query-arg-sql-having";

public static final java.lang.String QUERY_ARG_SQL_LIMIT = "android:query-arg-sql-limit";

public static final java.lang.String QUERY_ARG_SQL_SELECTION = "android:query-arg-sql-selection";

public static final java.lang.String QUERY_ARG_SQL_SELECTION_ARGS = "android:query-arg-sql-selection-args";

public static final java.lang.String QUERY_ARG_SQL_SORT_ORDER = "android:query-arg-sql-sort-order";

public static final int QUERY_SORT_DIRECTION_ASCENDING = 0; // 0x0

public static final int QUERY_SORT_DIRECTION_DESCENDING = 1; // 0x1

public static final java.lang.String SCHEME_ANDROID_RESOURCE = "android.resource";

public static final java.lang.String SCHEME_CONTENT = "content";

public static final java.lang.String SCHEME_FILE = "file";

@Deprecated public static final java.lang.String SYNC_EXTRAS_ACCOUNT = "account";

public static final java.lang.String SYNC_EXTRAS_DISCARD_LOCAL_DELETIONS = "discard_deletions";

public static final java.lang.String SYNC_EXTRAS_DO_NOT_RETRY = "do_not_retry";

public static final java.lang.String SYNC_EXTRAS_EXPEDITED = "expedited";

@Deprecated public static final java.lang.String SYNC_EXTRAS_FORCE = "force";

public static final java.lang.String SYNC_EXTRAS_IGNORE_BACKOFF = "ignore_backoff";

public static final java.lang.String SYNC_EXTRAS_IGNORE_SETTINGS = "ignore_settings";

public static final java.lang.String SYNC_EXTRAS_INITIALIZE = "initialize";

public static final java.lang.String SYNC_EXTRAS_MANUAL = "force";

public static final java.lang.String SYNC_EXTRAS_OVERRIDE_TOO_MANY_DELETIONS = "deletions_override";

public static final java.lang.String SYNC_EXTRAS_REQUIRE_CHARGING = "require_charging";

public static final java.lang.String SYNC_EXTRAS_SCHEDULE_AS_EXPEDITED_JOB = "schedule_as_expedited_job";

public static final java.lang.String SYNC_EXTRAS_UPLOAD = "upload";

public static final int SYNC_OBSERVER_TYPE_ACTIVE = 4; // 0x4

public static final int SYNC_OBSERVER_TYPE_PENDING = 2; // 0x2

public static final int SYNC_OBSERVER_TYPE_SETTINGS = 1; // 0x1
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class MimeTypeInfo {

MimeTypeInfo() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.drawable.Icon getIcon() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.CharSequence getLabel() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.CharSequence getContentDescription() { throw new RuntimeException("Stub!"); }
}

}

