/*
 * Copyright (C) 2007 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.content.pm;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class ApplicationInfo extends android.content.pm.PackageItemInfo implements android.os.Parcelable {

public ApplicationInfo() { throw new RuntimeException("Stub!"); }

public ApplicationInfo(android.content.pm.ApplicationInfo orig) { throw new RuntimeException("Stub!"); }

public static java.lang.CharSequence getCategoryTitle(android.content.Context context, int category) { throw new RuntimeException("Stub!"); }

public void dump(android.util.Printer pw, java.lang.String prefix) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel dest, int parcelableFlags) { throw new RuntimeException("Stub!"); }

public java.lang.CharSequence loadDescription(android.content.pm.PackageManager pm) { throw new RuntimeException("Stub!"); }

public int getRequestRawExternalStorageAccess() { throw new RuntimeException("Stub!"); }

public boolean isVirtualPreload() { throw new RuntimeException("Stub!"); }

public boolean isProfileableByShell() { throw new RuntimeException("Stub!"); }

public boolean isProfileable() { throw new RuntimeException("Stub!"); }

public boolean areAttributionsUserVisible() { throw new RuntimeException("Stub!"); }

public boolean isResourceOverlay() { throw new RuntimeException("Stub!"); }

public int getGwpAsanMode() { throw new RuntimeException("Stub!"); }

public int getMemtagMode() { throw new RuntimeException("Stub!"); }

public int getNativeHeapZeroInitialized() { throw new RuntimeException("Stub!"); }

public static final int CATEGORY_ACCESSIBILITY = 8; // 0x8

public static final int CATEGORY_AUDIO = 1; // 0x1

public static final int CATEGORY_GAME = 0; // 0x0

public static final int CATEGORY_IMAGE = 3; // 0x3

public static final int CATEGORY_MAPS = 6; // 0x6

public static final int CATEGORY_NEWS = 5; // 0x5

public static final int CATEGORY_PRODUCTIVITY = 7; // 0x7

public static final int CATEGORY_SOCIAL = 4; // 0x4

public static final int CATEGORY_UNDEFINED = -1; // 0xffffffff

public static final int CATEGORY_VIDEO = 2; // 0x2

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.content.pm.ApplicationInfo> CREATOR;
static { CREATOR = null; }

public static final int FLAG_ALLOW_BACKUP = 32768; // 0x8000

public static final int FLAG_ALLOW_CLEAR_USER_DATA = 64; // 0x40

public static final int FLAG_ALLOW_TASK_REPARENTING = 32; // 0x20

public static final int FLAG_DEBUGGABLE = 2; // 0x2

public static final int FLAG_EXTERNAL_STORAGE = 262144; // 0x40000

public static final int FLAG_EXTRACT_NATIVE_LIBS = 268435456; // 0x10000000

public static final int FLAG_FACTORY_TEST = 16; // 0x10

public static final int FLAG_FULL_BACKUP_ONLY = 67108864; // 0x4000000

public static final int FLAG_HARDWARE_ACCELERATED = 536870912; // 0x20000000

public static final int FLAG_HAS_CODE = 4; // 0x4

public static final int FLAG_INSTALLED = 8388608; // 0x800000

public static final int FLAG_IS_DATA_ONLY = 16777216; // 0x1000000

@Deprecated public static final int FLAG_IS_GAME = 33554432; // 0x2000000

public static final int FLAG_KILL_AFTER_RESTORE = 65536; // 0x10000

public static final int FLAG_LARGE_HEAP = 1048576; // 0x100000

public static final int FLAG_MULTIARCH = -2147483648; // 0x80000000

public static final int FLAG_PERSISTENT = 8; // 0x8

public static final int FLAG_RESIZEABLE_FOR_SCREENS = 4096; // 0x1000

public static final int FLAG_RESTORE_ANY_VERSION = 131072; // 0x20000

public static final int FLAG_STOPPED = 2097152; // 0x200000

public static final int FLAG_SUPPORTS_LARGE_SCREENS = 2048; // 0x800

public static final int FLAG_SUPPORTS_NORMAL_SCREENS = 1024; // 0x400

public static final int FLAG_SUPPORTS_RTL = 4194304; // 0x400000

@Deprecated public static final int FLAG_SUPPORTS_SCREEN_DENSITIES = 8192; // 0x2000

public static final int FLAG_SUPPORTS_SMALL_SCREENS = 512; // 0x200

public static final int FLAG_SUPPORTS_XLARGE_SCREENS = 524288; // 0x80000

public static final int FLAG_SUSPENDED = 1073741824; // 0x40000000

public static final int FLAG_SYSTEM = 1; // 0x1

public static final int FLAG_TEST_ONLY = 256; // 0x100

public static final int FLAG_UPDATED_SYSTEM_APP = 128; // 0x80

public static final int FLAG_USES_CLEARTEXT_TRAFFIC = 134217728; // 0x8000000

public static final int FLAG_VM_SAFE_MODE = 16384; // 0x4000

public static final int GWP_ASAN_ALWAYS = 1; // 0x1

public static final int GWP_ASAN_DEFAULT = -1; // 0xffffffff

public static final int GWP_ASAN_NEVER = 0; // 0x0

public static final int MEMTAG_ASYNC = 1; // 0x1

public static final int MEMTAG_DEFAULT = -1; // 0xffffffff

public static final int MEMTAG_OFF = 0; // 0x0

public static final int MEMTAG_SYNC = 2; // 0x2

public static final int RAW_EXTERNAL_STORAGE_ACCESS_DEFAULT = 0; // 0x0

public static final int RAW_EXTERNAL_STORAGE_ACCESS_NOT_REQUESTED = 2; // 0x2

public static final int RAW_EXTERNAL_STORAGE_ACCESS_REQUESTED = 1; // 0x1

public static final int ZEROINIT_DEFAULT = -1; // 0xffffffff

public static final int ZEROINIT_DISABLED = 0; // 0x0

public static final int ZEROINIT_ENABLED = 1; // 0x1

public java.lang.String appComponentFactory;

public java.lang.String backupAgentName;

public int category = -1; // 0xffffffff

public java.lang.String className;

public int compatibleWidthLimitDp = 0; // 0x0

public int compileSdkVersion;

@android.annotation.Nullable public java.lang.String compileSdkVersionCodename;

public java.lang.String dataDir;

public int descriptionRes;

public java.lang.String deviceProtectedDataDir;

public boolean enabled = true;

public int flags = 0; // 0x0

public int largestWidthLimitDp = 0; // 0x0

public java.lang.String manageSpaceActivityName;

public int minSdkVersion;

public java.lang.String nativeLibraryDir;

public java.lang.String permission;

public java.lang.String processName;

public java.lang.String publicSourceDir;

public int requiresSmallestWidthDp = 0; // 0x0

public java.lang.String[] sharedLibraryFiles;

public java.lang.String sourceDir;

public java.lang.String[] splitNames;

public java.lang.String[] splitPublicSourceDirs;

public java.lang.String[] splitSourceDirs;

public java.util.UUID storageUuid;

public int targetSdkVersion;

public java.lang.String taskAffinity;

public int theme;

public int uiOptions = 0; // 0x0

public int uid;
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class DisplayNameComparator implements java.util.Comparator<android.content.pm.ApplicationInfo> {

public DisplayNameComparator(android.content.pm.PackageManager pm) { throw new RuntimeException("Stub!"); }

public final int compare(android.content.pm.ApplicationInfo aa, android.content.pm.ApplicationInfo ab) { throw new RuntimeException("Stub!"); }
}

}

