/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.content.pm;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class Checksum implements android.os.Parcelable {

public Checksum(int type, @android.annotation.NonNull byte[] value) { throw new RuntimeException("Stub!"); }

public int getType() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public byte[] getValue() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.content.pm.Checksum> CREATOR;
static { CREATOR = null; }

public static final int TYPE_PARTIAL_MERKLE_ROOT_1M_SHA256 = 32; // 0x20

public static final int TYPE_PARTIAL_MERKLE_ROOT_1M_SHA512 = 64; // 0x40

@Deprecated public static final int TYPE_WHOLE_MD5 = 2; // 0x2

public static final int TYPE_WHOLE_MERKLE_ROOT_4K_SHA256 = 1; // 0x1

@Deprecated public static final int TYPE_WHOLE_SHA1 = 4; // 0x4

@Deprecated public static final int TYPE_WHOLE_SHA256 = 8; // 0x8

@Deprecated public static final int TYPE_WHOLE_SHA512 = 16; // 0x10
}

