/*
 * Copyright (C) 2008 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.content.res;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class Configuration implements android.os.Parcelable, java.lang.Comparable<android.content.res.Configuration> {

public Configuration() { throw new RuntimeException("Stub!"); }

public Configuration(android.content.res.Configuration o) { throw new RuntimeException("Stub!"); }

public boolean isLayoutSizeAtLeast(int size) { throw new RuntimeException("Stub!"); }

public void setTo(android.content.res.Configuration o) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public void setToDefaults() { throw new RuntimeException("Stub!"); }

public int updateFrom(@android.annotation.NonNull android.content.res.Configuration delta) { throw new RuntimeException("Stub!"); }

public int diff(android.content.res.Configuration delta) { throw new RuntimeException("Stub!"); }

public static boolean needNewResources(int configChanges, int interestingChanges) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public void readFromParcel(android.os.Parcel source) { throw new RuntimeException("Stub!"); }

public boolean isNightModeActive() { throw new RuntimeException("Stub!"); }

public int compareTo(android.content.res.Configuration that) { throw new RuntimeException("Stub!"); }

public boolean equals(android.content.res.Configuration that) { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object that) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.LocaleList getLocales() { throw new RuntimeException("Stub!"); }

public void setLocales(@android.annotation.Nullable android.os.LocaleList locales) { throw new RuntimeException("Stub!"); }

public void setLocale(@android.annotation.Nullable java.util.Locale loc) { throw new RuntimeException("Stub!"); }

public int getLayoutDirection() { throw new RuntimeException("Stub!"); }

public void setLayoutDirection(java.util.Locale loc) { throw new RuntimeException("Stub!"); }

public boolean isScreenRound() { throw new RuntimeException("Stub!"); }

public boolean isScreenWideColorGamut() { throw new RuntimeException("Stub!"); }

public boolean isScreenHdr() { throw new RuntimeException("Stub!"); }

public static final int COLOR_MODE_HDR_MASK = 12; // 0xc

public static final int COLOR_MODE_HDR_NO = 4; // 0x4

public static final int COLOR_MODE_HDR_SHIFT = 2; // 0x2

public static final int COLOR_MODE_HDR_UNDEFINED = 0; // 0x0

public static final int COLOR_MODE_HDR_YES = 8; // 0x8

public static final int COLOR_MODE_UNDEFINED = 0; // 0x0

public static final int COLOR_MODE_WIDE_COLOR_GAMUT_MASK = 3; // 0x3

public static final int COLOR_MODE_WIDE_COLOR_GAMUT_NO = 1; // 0x1

public static final int COLOR_MODE_WIDE_COLOR_GAMUT_UNDEFINED = 0; // 0x0

public static final int COLOR_MODE_WIDE_COLOR_GAMUT_YES = 2; // 0x2

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.content.res.Configuration> CREATOR;
static { CREATOR = null; }

public static final int DENSITY_DPI_UNDEFINED = 0; // 0x0

public static final int FONT_WEIGHT_ADJUSTMENT_UNDEFINED = 2147483647; // 0x7fffffff

public static final int HARDKEYBOARDHIDDEN_NO = 1; // 0x1

public static final int HARDKEYBOARDHIDDEN_UNDEFINED = 0; // 0x0

public static final int HARDKEYBOARDHIDDEN_YES = 2; // 0x2

public static final int KEYBOARDHIDDEN_NO = 1; // 0x1

public static final int KEYBOARDHIDDEN_UNDEFINED = 0; // 0x0

public static final int KEYBOARDHIDDEN_YES = 2; // 0x2

public static final int KEYBOARD_12KEY = 3; // 0x3

public static final int KEYBOARD_NOKEYS = 1; // 0x1

public static final int KEYBOARD_QWERTY = 2; // 0x2

public static final int KEYBOARD_UNDEFINED = 0; // 0x0

public static final int MNC_ZERO = 65535; // 0xffff

public static final int NAVIGATIONHIDDEN_NO = 1; // 0x1

public static final int NAVIGATIONHIDDEN_UNDEFINED = 0; // 0x0

public static final int NAVIGATIONHIDDEN_YES = 2; // 0x2

public static final int NAVIGATION_DPAD = 2; // 0x2

public static final int NAVIGATION_NONAV = 1; // 0x1

public static final int NAVIGATION_TRACKBALL = 3; // 0x3

public static final int NAVIGATION_UNDEFINED = 0; // 0x0

public static final int NAVIGATION_WHEEL = 4; // 0x4

public static final int ORIENTATION_LANDSCAPE = 2; // 0x2

public static final int ORIENTATION_PORTRAIT = 1; // 0x1

@Deprecated public static final int ORIENTATION_SQUARE = 3; // 0x3

public static final int ORIENTATION_UNDEFINED = 0; // 0x0

public static final int SCREENLAYOUT_LAYOUTDIR_LTR = 64; // 0x40

public static final int SCREENLAYOUT_LAYOUTDIR_MASK = 192; // 0xc0

public static final int SCREENLAYOUT_LAYOUTDIR_RTL = 128; // 0x80

public static final int SCREENLAYOUT_LAYOUTDIR_SHIFT = 6; // 0x6

public static final int SCREENLAYOUT_LAYOUTDIR_UNDEFINED = 0; // 0x0

public static final int SCREENLAYOUT_LONG_MASK = 48; // 0x30

public static final int SCREENLAYOUT_LONG_NO = 16; // 0x10

public static final int SCREENLAYOUT_LONG_UNDEFINED = 0; // 0x0

public static final int SCREENLAYOUT_LONG_YES = 32; // 0x20

public static final int SCREENLAYOUT_ROUND_MASK = 768; // 0x300

public static final int SCREENLAYOUT_ROUND_NO = 256; // 0x100

public static final int SCREENLAYOUT_ROUND_UNDEFINED = 0; // 0x0

public static final int SCREENLAYOUT_ROUND_YES = 512; // 0x200

public static final int SCREENLAYOUT_SIZE_LARGE = 3; // 0x3

public static final int SCREENLAYOUT_SIZE_MASK = 15; // 0xf

public static final int SCREENLAYOUT_SIZE_NORMAL = 2; // 0x2

public static final int SCREENLAYOUT_SIZE_SMALL = 1; // 0x1

public static final int SCREENLAYOUT_SIZE_UNDEFINED = 0; // 0x0

public static final int SCREENLAYOUT_SIZE_XLARGE = 4; // 0x4

public static final int SCREENLAYOUT_UNDEFINED = 0; // 0x0

public static final int SCREEN_HEIGHT_DP_UNDEFINED = 0; // 0x0

public static final int SCREEN_WIDTH_DP_UNDEFINED = 0; // 0x0

public static final int SMALLEST_SCREEN_WIDTH_DP_UNDEFINED = 0; // 0x0

public static final int TOUCHSCREEN_FINGER = 3; // 0x3

public static final int TOUCHSCREEN_NOTOUCH = 1; // 0x1

@Deprecated public static final int TOUCHSCREEN_STYLUS = 2; // 0x2

public static final int TOUCHSCREEN_UNDEFINED = 0; // 0x0

public static final int UI_MODE_NIGHT_MASK = 48; // 0x30

public static final int UI_MODE_NIGHT_NO = 16; // 0x10

public static final int UI_MODE_NIGHT_UNDEFINED = 0; // 0x0

public static final int UI_MODE_NIGHT_YES = 32; // 0x20

public static final int UI_MODE_TYPE_APPLIANCE = 5; // 0x5

public static final int UI_MODE_TYPE_CAR = 3; // 0x3

public static final int UI_MODE_TYPE_DESK = 2; // 0x2

public static final int UI_MODE_TYPE_MASK = 15; // 0xf

public static final int UI_MODE_TYPE_NORMAL = 1; // 0x1

public static final int UI_MODE_TYPE_TELEVISION = 4; // 0x4

public static final int UI_MODE_TYPE_UNDEFINED = 0; // 0x0

public static final int UI_MODE_TYPE_VR_HEADSET = 7; // 0x7

public static final int UI_MODE_TYPE_WATCH = 6; // 0x6

public int colorMode;

public int densityDpi;

public float fontScale;

public int fontWeightAdjustment;

public int hardKeyboardHidden;

public int keyboard;

public int keyboardHidden;

@Deprecated public java.util.Locale locale;

public int mcc;

public int mnc;

public int navigation;

public int navigationHidden;

public int orientation;

public int screenHeightDp;

public int screenLayout;

public int screenWidthDp;

public int smallestScreenWidthDp;

public int touchscreen;

public int uiMode;
}

