/*
 * Copyright (C) 2016 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.hardware;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class SensorAdditionalInfo {

SensorAdditionalInfo() { throw new RuntimeException("Stub!"); }

public static final int TYPE_FRAME_BEGIN = 0; // 0x0

public static final int TYPE_FRAME_END = 1; // 0x1

public static final int TYPE_INTERNAL_TEMPERATURE = 65537; // 0x10001

public static final int TYPE_SAMPLING = 65540; // 0x10004

public static final int TYPE_SENSOR_PLACEMENT = 65539; // 0x10003

public static final int TYPE_UNTRACKED_DELAY = 65536; // 0x10000

public static final int TYPE_VEC3_CALIBRATION = 65538; // 0x10002

public final float[] floatValues;
{ floatValues = new float[0]; }

public final int[] intValues;
{ intValues = new int[0]; }

public final android.hardware.Sensor sensor;
{ sensor = null; }

public final int serial;
{ serial = 0; }

public final int type;
{ type = 0; }
}

