/*
 * Copyright (C) 2013 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.hardware.camera2;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class CameraManager {

CameraManager() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String[] getCameraIdList() throws android.hardware.camera2.CameraAccessException { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.Set<java.util.Set<java.lang.String>> getConcurrentCameraIds() throws android.hardware.camera2.CameraAccessException { throw new RuntimeException("Stub!"); }

public boolean isConcurrentSessionConfigurationSupported(@android.annotation.NonNull java.util.Map<java.lang.String,android.hardware.camera2.params.SessionConfiguration> cameraIdAndSessionConfig) throws android.hardware.camera2.CameraAccessException { throw new RuntimeException("Stub!"); }

public void registerAvailabilityCallback(@android.annotation.NonNull android.hardware.camera2.CameraManager.AvailabilityCallback callback, @android.annotation.Nullable android.os.Handler handler) { throw new RuntimeException("Stub!"); }

public void registerAvailabilityCallback(@android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.hardware.camera2.CameraManager.AvailabilityCallback callback) { throw new RuntimeException("Stub!"); }

public void unregisterAvailabilityCallback(@android.annotation.NonNull android.hardware.camera2.CameraManager.AvailabilityCallback callback) { throw new RuntimeException("Stub!"); }

public void registerTorchCallback(@android.annotation.NonNull android.hardware.camera2.CameraManager.TorchCallback callback, @android.annotation.Nullable android.os.Handler handler) { throw new RuntimeException("Stub!"); }

public void registerTorchCallback(@android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.hardware.camera2.CameraManager.TorchCallback callback) { throw new RuntimeException("Stub!"); }

public void unregisterTorchCallback(@android.annotation.NonNull android.hardware.camera2.CameraManager.TorchCallback callback) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.hardware.camera2.CameraCharacteristics getCameraCharacteristics(@android.annotation.NonNull java.lang.String cameraId) throws android.hardware.camera2.CameraAccessException { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.hardware.camera2.CameraExtensionCharacteristics getCameraExtensionCharacteristics(@android.annotation.NonNull java.lang.String cameraId) throws android.hardware.camera2.CameraAccessException { throw new RuntimeException("Stub!"); }

public void openCamera(@android.annotation.NonNull java.lang.String cameraId, @android.annotation.NonNull android.hardware.camera2.CameraDevice.StateCallback callback, @android.annotation.Nullable android.os.Handler handler) throws android.hardware.camera2.CameraAccessException { throw new RuntimeException("Stub!"); }

public void openCamera(@android.annotation.NonNull java.lang.String cameraId, @android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.hardware.camera2.CameraDevice.StateCallback callback) throws android.hardware.camera2.CameraAccessException { throw new RuntimeException("Stub!"); }

public void setTorchMode(@android.annotation.NonNull java.lang.String cameraId, boolean enabled) throws android.hardware.camera2.CameraAccessException { throw new RuntimeException("Stub!"); }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public abstract static class AvailabilityCallback {

public AvailabilityCallback() { throw new RuntimeException("Stub!"); }

public void onCameraAvailable(@android.annotation.NonNull java.lang.String cameraId) { throw new RuntimeException("Stub!"); }

public void onCameraUnavailable(@android.annotation.NonNull java.lang.String cameraId) { throw new RuntimeException("Stub!"); }

public void onCameraAccessPrioritiesChanged() { throw new RuntimeException("Stub!"); }

public void onPhysicalCameraAvailable(@android.annotation.NonNull java.lang.String cameraId, @android.annotation.NonNull java.lang.String physicalCameraId) { throw new RuntimeException("Stub!"); }

public void onPhysicalCameraUnavailable(@android.annotation.NonNull java.lang.String cameraId, @android.annotation.NonNull java.lang.String physicalCameraId) { throw new RuntimeException("Stub!"); }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public abstract static class TorchCallback {

public TorchCallback() { throw new RuntimeException("Stub!"); }

public void onTorchModeUnavailable(@android.annotation.NonNull java.lang.String cameraId) { throw new RuntimeException("Stub!"); }

public void onTorchModeChanged(@android.annotation.NonNull java.lang.String cameraId, boolean enabled) { throw new RuntimeException("Stub!"); }
}

}

