/*
 * Copyright (C) 2014 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License
 */


package android.location;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class GnssNavigationMessage implements android.os.Parcelable {

GnssNavigationMessage() { throw new RuntimeException("Stub!"); }

public int getType() { throw new RuntimeException("Stub!"); }

public int getSvid() { throw new RuntimeException("Stub!"); }

public int getMessageId() { throw new RuntimeException("Stub!"); }

public int getSubmessageId() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public byte[] getData() { throw new RuntimeException("Stub!"); }

public int getStatus() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel parcel, int flags) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.location.GnssNavigationMessage> CREATOR;
static { CREATOR = null; }

public static final int STATUS_PARITY_PASSED = 1; // 0x1

public static final int STATUS_PARITY_REBUILT = 2; // 0x2

public static final int STATUS_UNKNOWN = 0; // 0x0

public static final int TYPE_BDS_CNAV1 = 1283; // 0x503

public static final int TYPE_BDS_CNAV2 = 1284; // 0x504

public static final int TYPE_BDS_D1 = 1281; // 0x501

public static final int TYPE_BDS_D2 = 1282; // 0x502

public static final int TYPE_GAL_F = 1538; // 0x602

public static final int TYPE_GAL_I = 1537; // 0x601

public static final int TYPE_GLO_L1CA = 769; // 0x301

public static final int TYPE_GPS_CNAV2 = 260; // 0x104

public static final int TYPE_GPS_L1CA = 257; // 0x101

public static final int TYPE_GPS_L2CNAV = 258; // 0x102

public static final int TYPE_GPS_L5CNAV = 259; // 0x103

public static final int TYPE_IRN_L5CA = 1793; // 0x701

public static final int TYPE_QZS_L1CA = 1025; // 0x401

public static final int TYPE_SBS = 513; // 0x201

public static final int TYPE_UNKNOWN = 0; // 0x0
@SuppressWarnings({"unchecked", "deprecation", "all"})
public abstract static class Callback {

public Callback() { throw new RuntimeException("Stub!"); }

public void onGnssNavigationMessageReceived(android.location.GnssNavigationMessage event) { throw new RuntimeException("Stub!"); }

@Deprecated
public void onStatusChanged(int status) { throw new RuntimeException("Stub!"); }

@Deprecated public static final int STATUS_LOCATION_DISABLED = 2; // 0x2

@Deprecated public static final int STATUS_NOT_SUPPORTED = 0; // 0x0

@Deprecated public static final int STATUS_READY = 1; // 0x1
}

}

