/*
 * Copyright (C) 2008 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.media;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class AudioFormat implements android.os.Parcelable {

AudioFormat() { throw new RuntimeException("Stub!"); }

public int getEncoding() { throw new RuntimeException("Stub!"); }

public int getSampleRate() { throw new RuntimeException("Stub!"); }

public int getChannelMask() { throw new RuntimeException("Stub!"); }

public int getChannelIndexMask() { throw new RuntimeException("Stub!"); }

public int getChannelCount() { throw new RuntimeException("Stub!"); }

public int getFrameSizeInBytes() { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

@Deprecated public static final int CHANNEL_CONFIGURATION_DEFAULT = 1; // 0x1

@Deprecated public static final int CHANNEL_CONFIGURATION_INVALID = 0; // 0x0

@Deprecated public static final int CHANNEL_CONFIGURATION_MONO = 2; // 0x2

@Deprecated public static final int CHANNEL_CONFIGURATION_STEREO = 3; // 0x3

public static final int CHANNEL_INVALID = 0; // 0x0

public static final int CHANNEL_IN_BACK = 32; // 0x20

public static final int CHANNEL_IN_BACK_PROCESSED = 512; // 0x200

public static final int CHANNEL_IN_DEFAULT = 1; // 0x1

public static final int CHANNEL_IN_FRONT = 16; // 0x10

public static final int CHANNEL_IN_FRONT_PROCESSED = 256; // 0x100

public static final int CHANNEL_IN_LEFT = 4; // 0x4

public static final int CHANNEL_IN_LEFT_PROCESSED = 64; // 0x40

public static final int CHANNEL_IN_MONO = 16; // 0x10

public static final int CHANNEL_IN_PRESSURE = 1024; // 0x400

public static final int CHANNEL_IN_RIGHT = 8; // 0x8

public static final int CHANNEL_IN_RIGHT_PROCESSED = 128; // 0x80

public static final int CHANNEL_IN_STEREO = 12; // 0xc

public static final int CHANNEL_IN_VOICE_DNLINK = 32768; // 0x8000

public static final int CHANNEL_IN_VOICE_UPLINK = 16384; // 0x4000

public static final int CHANNEL_IN_X_AXIS = 2048; // 0x800

public static final int CHANNEL_IN_Y_AXIS = 4096; // 0x1000

public static final int CHANNEL_IN_Z_AXIS = 8192; // 0x2000

public static final int CHANNEL_OUT_5POINT1 = 252; // 0xfc

@Deprecated public static final int CHANNEL_OUT_7POINT1 = 1020; // 0x3fc

public static final int CHANNEL_OUT_7POINT1_SURROUND = 6396; // 0x18fc

public static final int CHANNEL_OUT_BACK_CENTER = 1024; // 0x400

public static final int CHANNEL_OUT_BACK_LEFT = 64; // 0x40

public static final int CHANNEL_OUT_BACK_RIGHT = 128; // 0x80

public static final int CHANNEL_OUT_DEFAULT = 1; // 0x1

public static final int CHANNEL_OUT_FRONT_CENTER = 16; // 0x10

public static final int CHANNEL_OUT_FRONT_LEFT = 4; // 0x4

public static final int CHANNEL_OUT_FRONT_LEFT_OF_CENTER = 256; // 0x100

public static final int CHANNEL_OUT_FRONT_RIGHT = 8; // 0x8

public static final int CHANNEL_OUT_FRONT_RIGHT_OF_CENTER = 512; // 0x200

public static final int CHANNEL_OUT_LOW_FREQUENCY = 32; // 0x20

public static final int CHANNEL_OUT_MONO = 4; // 0x4

public static final int CHANNEL_OUT_QUAD = 204; // 0xcc

public static final int CHANNEL_OUT_SIDE_LEFT = 2048; // 0x800

public static final int CHANNEL_OUT_SIDE_RIGHT = 4096; // 0x1000

public static final int CHANNEL_OUT_STEREO = 12; // 0xc

public static final int CHANNEL_OUT_SURROUND = 1052; // 0x41c

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.media.AudioFormat> CREATOR;
static { CREATOR = null; }

public static final int ENCODING_AAC_ELD = 15; // 0xf

public static final int ENCODING_AAC_HE_V1 = 11; // 0xb

public static final int ENCODING_AAC_HE_V2 = 12; // 0xc

public static final int ENCODING_AAC_LC = 10; // 0xa

public static final int ENCODING_AAC_XHE = 16; // 0x10

public static final int ENCODING_AC3 = 5; // 0x5

public static final int ENCODING_AC4 = 17; // 0x11

public static final int ENCODING_DEFAULT = 1; // 0x1

public static final int ENCODING_DOLBY_MAT = 19; // 0x13

public static final int ENCODING_DOLBY_TRUEHD = 14; // 0xe

public static final int ENCODING_DRA = 28; // 0x1c

public static final int ENCODING_DTS = 7; // 0x7

public static final int ENCODING_DTS_HD = 8; // 0x8

public static final int ENCODING_DTS_UHD = 27; // 0x1b

public static final int ENCODING_E_AC3 = 6; // 0x6

public static final int ENCODING_E_AC3_JOC = 18; // 0x12

public static final int ENCODING_IEC61937 = 13; // 0xd

public static final int ENCODING_INVALID = 0; // 0x0

public static final int ENCODING_MP3 = 9; // 0x9

public static final int ENCODING_MPEGH_BL_L3 = 23; // 0x17

public static final int ENCODING_MPEGH_BL_L4 = 24; // 0x18

public static final int ENCODING_MPEGH_LC_L3 = 25; // 0x19

public static final int ENCODING_MPEGH_LC_L4 = 26; // 0x1a

public static final int ENCODING_OPUS = 20; // 0x14

public static final int ENCODING_PCM_16BIT = 2; // 0x2

public static final int ENCODING_PCM_24BIT_PACKED = 21; // 0x15

public static final int ENCODING_PCM_32BIT = 22; // 0x16

public static final int ENCODING_PCM_8BIT = 3; // 0x3

public static final int ENCODING_PCM_FLOAT = 4; // 0x4

public static final int SAMPLE_RATE_UNSPECIFIED = 0; // 0x0
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class Builder {

public Builder() { throw new RuntimeException("Stub!"); }

public Builder(android.media.AudioFormat af) { throw new RuntimeException("Stub!"); }

public android.media.AudioFormat build() { throw new RuntimeException("Stub!"); }

public android.media.AudioFormat.Builder setEncoding(int encoding) throws java.lang.IllegalArgumentException { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.AudioFormat.Builder setChannelMask(int channelMask) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.AudioFormat.Builder setChannelIndexMask(int channelIndexMask) { throw new RuntimeException("Stub!"); }

public android.media.AudioFormat.Builder setSampleRate(int sampleRate) throws java.lang.IllegalArgumentException { throw new RuntimeException("Stub!"); }
}

}

