/*
 * Copyright (C) 2010 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.media;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class CamcorderProfile {

private CamcorderProfile() { throw new RuntimeException("Stub!"); }

@Deprecated
public static android.media.CamcorderProfile get(int quality) { throw new RuntimeException("Stub!"); }

@Deprecated
public static android.media.CamcorderProfile get(int cameraId, int quality) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public static android.media.EncoderProfiles getAll(@android.annotation.NonNull java.lang.String cameraId, int quality) { throw new RuntimeException("Stub!"); }

public static boolean hasProfile(int quality) { throw new RuntimeException("Stub!"); }

public static boolean hasProfile(int cameraId, int quality) { throw new RuntimeException("Stub!"); }

public static final int QUALITY_1080P = 6; // 0x6

public static final int QUALITY_2160P = 8; // 0x8

public static final int QUALITY_2K = 12; // 0xc

public static final int QUALITY_480P = 4; // 0x4

public static final int QUALITY_4KDCI = 10; // 0xa

public static final int QUALITY_720P = 5; // 0x5

public static final int QUALITY_8KUHD = 13; // 0xd

public static final int QUALITY_CIF = 3; // 0x3

public static final int QUALITY_HIGH = 1; // 0x1

public static final int QUALITY_HIGH_SPEED_1080P = 2004; // 0x7d4

public static final int QUALITY_HIGH_SPEED_2160P = 2005; // 0x7d5

public static final int QUALITY_HIGH_SPEED_480P = 2002; // 0x7d2

public static final int QUALITY_HIGH_SPEED_4KDCI = 2008; // 0x7d8

public static final int QUALITY_HIGH_SPEED_720P = 2003; // 0x7d3

public static final int QUALITY_HIGH_SPEED_CIF = 2006; // 0x7d6

public static final int QUALITY_HIGH_SPEED_HIGH = 2001; // 0x7d1

public static final int QUALITY_HIGH_SPEED_LOW = 2000; // 0x7d0

public static final int QUALITY_HIGH_SPEED_VGA = 2007; // 0x7d7

public static final int QUALITY_LOW = 0; // 0x0

public static final int QUALITY_QCIF = 2; // 0x2

public static final int QUALITY_QHD = 11; // 0xb

public static final int QUALITY_QVGA = 7; // 0x7

public static final int QUALITY_TIME_LAPSE_1080P = 1006; // 0x3ee

public static final int QUALITY_TIME_LAPSE_2160P = 1008; // 0x3f0

public static final int QUALITY_TIME_LAPSE_2K = 1012; // 0x3f4

public static final int QUALITY_TIME_LAPSE_480P = 1004; // 0x3ec

public static final int QUALITY_TIME_LAPSE_4KDCI = 1010; // 0x3f2

public static final int QUALITY_TIME_LAPSE_720P = 1005; // 0x3ed

public static final int QUALITY_TIME_LAPSE_8KUHD = 1013; // 0x3f5

public static final int QUALITY_TIME_LAPSE_CIF = 1003; // 0x3eb

public static final int QUALITY_TIME_LAPSE_HIGH = 1001; // 0x3e9

public static final int QUALITY_TIME_LAPSE_LOW = 1000; // 0x3e8

public static final int QUALITY_TIME_LAPSE_QCIF = 1002; // 0x3ea

public static final int QUALITY_TIME_LAPSE_QHD = 1011; // 0x3f3

public static final int QUALITY_TIME_LAPSE_QVGA = 1007; // 0x3ef

public static final int QUALITY_TIME_LAPSE_VGA = 1009; // 0x3f1

public static final int QUALITY_VGA = 9; // 0x9

public int audioBitRate;

public int audioChannels;

public int audioCodec;

public int audioSampleRate;

public int duration;

public int fileFormat;

public int quality;

public int videoBitRate;

public int videoCodec;

public int videoFrameHeight;

public int videoFrameRate;

public int videoFrameWidth;
}

