/*
 * Copyright (C) 2012 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.media;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class MediaCodecInfo {

MediaCodecInfo() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getName() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getCanonicalName() { throw new RuntimeException("Stub!"); }

public boolean isAlias() { throw new RuntimeException("Stub!"); }

public boolean isEncoder() { throw new RuntimeException("Stub!"); }

public boolean isVendor() { throw new RuntimeException("Stub!"); }

public boolean isSoftwareOnly() { throw new RuntimeException("Stub!"); }

public boolean isHardwareAccelerated() { throw new RuntimeException("Stub!"); }

public java.lang.String[] getSupportedTypes() { throw new RuntimeException("Stub!"); }

public android.media.MediaCodecInfo.CodecCapabilities getCapabilitiesForType(java.lang.String type) { throw new RuntimeException("Stub!"); }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class AudioCapabilities {

private AudioCapabilities() { throw new RuntimeException("Stub!"); }

public android.util.Range<java.lang.Integer> getBitrateRange() { throw new RuntimeException("Stub!"); }

public int[] getSupportedSampleRates() { throw new RuntimeException("Stub!"); }

public android.util.Range<java.lang.Integer>[] getSupportedSampleRateRanges() { throw new RuntimeException("Stub!"); }

public int getMaxInputChannelCount() { throw new RuntimeException("Stub!"); }

public int getMinInputChannelCount() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.util.Range<java.lang.Integer>[] getInputChannelCountRanges() { throw new RuntimeException("Stub!"); }

public boolean isSampleRateSupported(int sampleRate) { throw new RuntimeException("Stub!"); }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class CodecCapabilities {

public CodecCapabilities() { throw new RuntimeException("Stub!"); }

public boolean isFeatureSupported(java.lang.String name) { throw new RuntimeException("Stub!"); }

public boolean isFeatureRequired(java.lang.String name) { throw new RuntimeException("Stub!"); }

public boolean isFormatSupported(android.media.MediaFormat format) { throw new RuntimeException("Stub!"); }

public android.media.MediaFormat getDefaultFormat() { throw new RuntimeException("Stub!"); }

public java.lang.String getMimeType() { throw new RuntimeException("Stub!"); }

public int getMaxSupportedInstances() { throw new RuntimeException("Stub!"); }

public android.media.MediaCodecInfo.AudioCapabilities getAudioCapabilities() { throw new RuntimeException("Stub!"); }

public android.media.MediaCodecInfo.EncoderCapabilities getEncoderCapabilities() { throw new RuntimeException("Stub!"); }

public android.media.MediaCodecInfo.VideoCapabilities getVideoCapabilities() { throw new RuntimeException("Stub!"); }

public static android.media.MediaCodecInfo.CodecCapabilities createFromProfileLevel(java.lang.String mime, int profile, int level) { throw new RuntimeException("Stub!"); }

@Deprecated public static final int COLOR_Format12bitRGB444 = 3; // 0x3

@Deprecated public static final int COLOR_Format16bitARGB1555 = 5; // 0x5

@Deprecated public static final int COLOR_Format16bitARGB4444 = 4; // 0x4

@Deprecated public static final int COLOR_Format16bitBGR565 = 7; // 0x7

public static final int COLOR_Format16bitRGB565 = 6; // 0x6

@Deprecated public static final int COLOR_Format18BitBGR666 = 41; // 0x29

@Deprecated public static final int COLOR_Format18bitARGB1665 = 9; // 0x9

@Deprecated public static final int COLOR_Format18bitRGB666 = 8; // 0x8

@Deprecated public static final int COLOR_Format19bitARGB1666 = 10; // 0xa

@Deprecated public static final int COLOR_Format24BitABGR6666 = 43; // 0x2b

@Deprecated public static final int COLOR_Format24BitARGB6666 = 42; // 0x2a

@Deprecated public static final int COLOR_Format24bitARGB1887 = 13; // 0xd

public static final int COLOR_Format24bitBGR888 = 12; // 0xc

@Deprecated public static final int COLOR_Format24bitRGB888 = 11; // 0xb

@Deprecated public static final int COLOR_Format25bitARGB1888 = 14; // 0xe

public static final int COLOR_Format32bitABGR8888 = 2130747392; // 0x7f00a000

@Deprecated public static final int COLOR_Format32bitARGB8888 = 16; // 0x10

@Deprecated public static final int COLOR_Format32bitBGRA8888 = 15; // 0xf

@Deprecated public static final int COLOR_Format8bitRGB332 = 2; // 0x2

@Deprecated public static final int COLOR_FormatCbYCrY = 27; // 0x1b

@Deprecated public static final int COLOR_FormatCrYCbY = 28; // 0x1c

public static final int COLOR_FormatL16 = 36; // 0x24

@Deprecated public static final int COLOR_FormatL2 = 33; // 0x21

@Deprecated public static final int COLOR_FormatL24 = 37; // 0x25

@Deprecated public static final int COLOR_FormatL32 = 38; // 0x26

@Deprecated public static final int COLOR_FormatL4 = 34; // 0x22

public static final int COLOR_FormatL8 = 35; // 0x23

@Deprecated public static final int COLOR_FormatMonochrome = 1; // 0x1

public static final int COLOR_FormatRGBAFlexible = 2134288520; // 0x7f36a888

public static final int COLOR_FormatRGBFlexible = 2134292616; // 0x7f36b888

public static final int COLOR_FormatRawBayer10bit = 31; // 0x1f

public static final int COLOR_FormatRawBayer8bit = 30; // 0x1e

public static final int COLOR_FormatRawBayer8bitcompressed = 32; // 0x20

public static final int COLOR_FormatSurface = 2130708361; // 0x7f000789

@Deprecated public static final int COLOR_FormatYCbYCr = 25; // 0x19

@Deprecated public static final int COLOR_FormatYCrYCb = 26; // 0x1a

@Deprecated public static final int COLOR_FormatYUV411PackedPlanar = 18; // 0x12

@Deprecated public static final int COLOR_FormatYUV411Planar = 17; // 0x11

public static final int COLOR_FormatYUV420Flexible = 2135033992; // 0x7f420888

@Deprecated public static final int COLOR_FormatYUV420PackedPlanar = 20; // 0x14

@Deprecated public static final int COLOR_FormatYUV420PackedSemiPlanar = 39; // 0x27

@Deprecated public static final int COLOR_FormatYUV420Planar = 19; // 0x13

@Deprecated public static final int COLOR_FormatYUV420SemiPlanar = 21; // 0x15

public static final int COLOR_FormatYUV422Flexible = 2135042184; // 0x7f422888

@Deprecated public static final int COLOR_FormatYUV422PackedPlanar = 23; // 0x17

@Deprecated public static final int COLOR_FormatYUV422PackedSemiPlanar = 40; // 0x28

@Deprecated public static final int COLOR_FormatYUV422Planar = 22; // 0x16

@Deprecated public static final int COLOR_FormatYUV422SemiPlanar = 24; // 0x18

public static final int COLOR_FormatYUV444Flexible = 2135181448; // 0x7f444888

@Deprecated public static final int COLOR_FormatYUV444Interleaved = 29; // 0x1d

@Deprecated public static final int COLOR_QCOM_FormatYUV420SemiPlanar = 2141391872; // 0x7fa30c00

@Deprecated public static final int COLOR_TI_FormatYUV420PackedSemiPlanar = 2130706688; // 0x7f000100

public static final java.lang.String FEATURE_AdaptivePlayback = "adaptive-playback";

public static final java.lang.String FEATURE_DynamicTimestamp = "dynamic-timestamp";

public static final java.lang.String FEATURE_FrameParsing = "frame-parsing";

public static final java.lang.String FEATURE_IntraRefresh = "intra-refresh";

public static final java.lang.String FEATURE_LowLatency = "low-latency";

public static final java.lang.String FEATURE_MultipleFrames = "multiple-frames";

public static final java.lang.String FEATURE_PartialFrame = "partial-frame";

public static final java.lang.String FEATURE_QpBounds = "qp-bounds";

public static final java.lang.String FEATURE_SecurePlayback = "secure-playback";

public static final java.lang.String FEATURE_TunneledPlayback = "tunneled-playback";

public int[] colorFormats;

public android.media.MediaCodecInfo.CodecProfileLevel[] profileLevels;
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class CodecProfileLevel {

public CodecProfileLevel() { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object obj) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public static final int AACObjectELD = 39; // 0x27

public static final int AACObjectERLC = 17; // 0x11

public static final int AACObjectERScalable = 20; // 0x14

public static final int AACObjectHE = 5; // 0x5

public static final int AACObjectHE_PS = 29; // 0x1d

public static final int AACObjectLC = 2; // 0x2

public static final int AACObjectLD = 23; // 0x17

public static final int AACObjectLTP = 4; // 0x4

public static final int AACObjectMain = 1; // 0x1

public static final int AACObjectSSR = 3; // 0x3

public static final int AACObjectScalable = 6; // 0x6

public static final int AACObjectXHE = 42; // 0x2a

public static final int AV1Level2 = 1; // 0x1

public static final int AV1Level21 = 2; // 0x2

public static final int AV1Level22 = 4; // 0x4

public static final int AV1Level23 = 8; // 0x8

public static final int AV1Level3 = 16; // 0x10

public static final int AV1Level31 = 32; // 0x20

public static final int AV1Level32 = 64; // 0x40

public static final int AV1Level33 = 128; // 0x80

public static final int AV1Level4 = 256; // 0x100

public static final int AV1Level41 = 512; // 0x200

public static final int AV1Level42 = 1024; // 0x400

public static final int AV1Level43 = 2048; // 0x800

public static final int AV1Level5 = 4096; // 0x1000

public static final int AV1Level51 = 8192; // 0x2000

public static final int AV1Level52 = 16384; // 0x4000

public static final int AV1Level53 = 32768; // 0x8000

public static final int AV1Level6 = 65536; // 0x10000

public static final int AV1Level61 = 131072; // 0x20000

public static final int AV1Level62 = 262144; // 0x40000

public static final int AV1Level63 = 524288; // 0x80000

public static final int AV1Level7 = 1048576; // 0x100000

public static final int AV1Level71 = 2097152; // 0x200000

public static final int AV1Level72 = 4194304; // 0x400000

public static final int AV1Level73 = 8388608; // 0x800000

public static final int AV1ProfileMain10 = 2; // 0x2

public static final int AV1ProfileMain10HDR10 = 4096; // 0x1000

public static final int AV1ProfileMain10HDR10Plus = 8192; // 0x2000

public static final int AV1ProfileMain8 = 1; // 0x1

public static final int AVCLevel1 = 1; // 0x1

public static final int AVCLevel11 = 4; // 0x4

public static final int AVCLevel12 = 8; // 0x8

public static final int AVCLevel13 = 16; // 0x10

public static final int AVCLevel1b = 2; // 0x2

public static final int AVCLevel2 = 32; // 0x20

public static final int AVCLevel21 = 64; // 0x40

public static final int AVCLevel22 = 128; // 0x80

public static final int AVCLevel3 = 256; // 0x100

public static final int AVCLevel31 = 512; // 0x200

public static final int AVCLevel32 = 1024; // 0x400

public static final int AVCLevel4 = 2048; // 0x800

public static final int AVCLevel41 = 4096; // 0x1000

public static final int AVCLevel42 = 8192; // 0x2000

public static final int AVCLevel5 = 16384; // 0x4000

public static final int AVCLevel51 = 32768; // 0x8000

public static final int AVCLevel52 = 65536; // 0x10000

public static final int AVCLevel6 = 131072; // 0x20000

public static final int AVCLevel61 = 262144; // 0x40000

public static final int AVCLevel62 = 524288; // 0x80000

public static final int AVCProfileBaseline = 1; // 0x1

public static final int AVCProfileConstrainedBaseline = 65536; // 0x10000

public static final int AVCProfileConstrainedHigh = 524288; // 0x80000

public static final int AVCProfileExtended = 4; // 0x4

public static final int AVCProfileHigh = 8; // 0x8

public static final int AVCProfileHigh10 = 16; // 0x10

public static final int AVCProfileHigh422 = 32; // 0x20

public static final int AVCProfileHigh444 = 64; // 0x40

public static final int AVCProfileMain = 2; // 0x2

public static final int DolbyVisionLevelFhd24 = 4; // 0x4

public static final int DolbyVisionLevelFhd30 = 8; // 0x8

public static final int DolbyVisionLevelFhd60 = 16; // 0x10

public static final int DolbyVisionLevelHd24 = 1; // 0x1

public static final int DolbyVisionLevelHd30 = 2; // 0x2

public static final int DolbyVisionLevelUhd24 = 32; // 0x20

public static final int DolbyVisionLevelUhd30 = 64; // 0x40

public static final int DolbyVisionLevelUhd48 = 128; // 0x80

public static final int DolbyVisionLevelUhd60 = 256; // 0x100

public static final int DolbyVisionProfileDvav110 = 1024; // 0x400

public static final int DolbyVisionProfileDvavPen = 2; // 0x2

public static final int DolbyVisionProfileDvavPer = 1; // 0x1

public static final int DolbyVisionProfileDvavSe = 512; // 0x200

public static final int DolbyVisionProfileDvheDen = 8; // 0x8

public static final int DolbyVisionProfileDvheDer = 4; // 0x4

public static final int DolbyVisionProfileDvheDtb = 128; // 0x80

public static final int DolbyVisionProfileDvheDth = 64; // 0x40

public static final int DolbyVisionProfileDvheDtr = 16; // 0x10

public static final int DolbyVisionProfileDvheSt = 256; // 0x100

public static final int DolbyVisionProfileDvheStn = 32; // 0x20

public static final int H263Level10 = 1; // 0x1

public static final int H263Level20 = 2; // 0x2

public static final int H263Level30 = 4; // 0x4

public static final int H263Level40 = 8; // 0x8

public static final int H263Level45 = 16; // 0x10

public static final int H263Level50 = 32; // 0x20

public static final int H263Level60 = 64; // 0x40

public static final int H263Level70 = 128; // 0x80

public static final int H263ProfileBackwardCompatible = 4; // 0x4

public static final int H263ProfileBaseline = 1; // 0x1

public static final int H263ProfileH320Coding = 2; // 0x2

public static final int H263ProfileHighCompression = 32; // 0x20

public static final int H263ProfileHighLatency = 256; // 0x100

public static final int H263ProfileISWV2 = 8; // 0x8

public static final int H263ProfileISWV3 = 16; // 0x10

public static final int H263ProfileInterlace = 128; // 0x80

public static final int H263ProfileInternet = 64; // 0x40

public static final int HEVCHighTierLevel1 = 2; // 0x2

public static final int HEVCHighTierLevel2 = 8; // 0x8

public static final int HEVCHighTierLevel21 = 32; // 0x20

public static final int HEVCHighTierLevel3 = 128; // 0x80

public static final int HEVCHighTierLevel31 = 512; // 0x200

public static final int HEVCHighTierLevel4 = 2048; // 0x800

public static final int HEVCHighTierLevel41 = 8192; // 0x2000

public static final int HEVCHighTierLevel5 = 32768; // 0x8000

public static final int HEVCHighTierLevel51 = 131072; // 0x20000

public static final int HEVCHighTierLevel52 = 524288; // 0x80000

public static final int HEVCHighTierLevel6 = 2097152; // 0x200000

public static final int HEVCHighTierLevel61 = 8388608; // 0x800000

public static final int HEVCHighTierLevel62 = 33554432; // 0x2000000

public static final int HEVCMainTierLevel1 = 1; // 0x1

public static final int HEVCMainTierLevel2 = 4; // 0x4

public static final int HEVCMainTierLevel21 = 16; // 0x10

public static final int HEVCMainTierLevel3 = 64; // 0x40

public static final int HEVCMainTierLevel31 = 256; // 0x100

public static final int HEVCMainTierLevel4 = 1024; // 0x400

public static final int HEVCMainTierLevel41 = 4096; // 0x1000

public static final int HEVCMainTierLevel5 = 16384; // 0x4000

public static final int HEVCMainTierLevel51 = 65536; // 0x10000

public static final int HEVCMainTierLevel52 = 262144; // 0x40000

public static final int HEVCMainTierLevel6 = 1048576; // 0x100000

public static final int HEVCMainTierLevel61 = 4194304; // 0x400000

public static final int HEVCMainTierLevel62 = 16777216; // 0x1000000

public static final int HEVCProfileMain = 1; // 0x1

public static final int HEVCProfileMain10 = 2; // 0x2

public static final int HEVCProfileMain10HDR10 = 4096; // 0x1000

public static final int HEVCProfileMain10HDR10Plus = 8192; // 0x2000

public static final int HEVCProfileMainStill = 4; // 0x4

public static final int MPEG2LevelH14 = 2; // 0x2

public static final int MPEG2LevelHL = 3; // 0x3

public static final int MPEG2LevelHP = 4; // 0x4

public static final int MPEG2LevelLL = 0; // 0x0

public static final int MPEG2LevelML = 1; // 0x1

public static final int MPEG2Profile422 = 2; // 0x2

public static final int MPEG2ProfileHigh = 5; // 0x5

public static final int MPEG2ProfileMain = 1; // 0x1

public static final int MPEG2ProfileSNR = 3; // 0x3

public static final int MPEG2ProfileSimple = 0; // 0x0

public static final int MPEG2ProfileSpatial = 4; // 0x4

public static final int MPEG4Level0 = 1; // 0x1

public static final int MPEG4Level0b = 2; // 0x2

public static final int MPEG4Level1 = 4; // 0x4

public static final int MPEG4Level2 = 8; // 0x8

public static final int MPEG4Level3 = 16; // 0x10

public static final int MPEG4Level3b = 24; // 0x18

public static final int MPEG4Level4 = 32; // 0x20

public static final int MPEG4Level4a = 64; // 0x40

public static final int MPEG4Level5 = 128; // 0x80

public static final int MPEG4Level6 = 256; // 0x100

public static final int MPEG4ProfileAdvancedCoding = 4096; // 0x1000

public static final int MPEG4ProfileAdvancedCore = 8192; // 0x2000

public static final int MPEG4ProfileAdvancedRealTime = 1024; // 0x400

public static final int MPEG4ProfileAdvancedScalable = 16384; // 0x4000

public static final int MPEG4ProfileAdvancedSimple = 32768; // 0x8000

public static final int MPEG4ProfileBasicAnimated = 256; // 0x100

public static final int MPEG4ProfileCore = 4; // 0x4

public static final int MPEG4ProfileCoreScalable = 2048; // 0x800

public static final int MPEG4ProfileHybrid = 512; // 0x200

public static final int MPEG4ProfileMain = 8; // 0x8

public static final int MPEG4ProfileNbit = 16; // 0x10

public static final int MPEG4ProfileScalableTexture = 32; // 0x20

public static final int MPEG4ProfileSimple = 1; // 0x1

public static final int MPEG4ProfileSimpleFBA = 128; // 0x80

public static final int MPEG4ProfileSimpleFace = 64; // 0x40

public static final int MPEG4ProfileSimpleScalable = 2; // 0x2

public static final int VP8Level_Version0 = 1; // 0x1

public static final int VP8Level_Version1 = 2; // 0x2

public static final int VP8Level_Version2 = 4; // 0x4

public static final int VP8Level_Version3 = 8; // 0x8

public static final int VP8ProfileMain = 1; // 0x1

public static final int VP9Level1 = 1; // 0x1

public static final int VP9Level11 = 2; // 0x2

public static final int VP9Level2 = 4; // 0x4

public static final int VP9Level21 = 8; // 0x8

public static final int VP9Level3 = 16; // 0x10

public static final int VP9Level31 = 32; // 0x20

public static final int VP9Level4 = 64; // 0x40

public static final int VP9Level41 = 128; // 0x80

public static final int VP9Level5 = 256; // 0x100

public static final int VP9Level51 = 512; // 0x200

public static final int VP9Level52 = 1024; // 0x400

public static final int VP9Level6 = 2048; // 0x800

public static final int VP9Level61 = 4096; // 0x1000

public static final int VP9Level62 = 8192; // 0x2000

public static final int VP9Profile0 = 1; // 0x1

public static final int VP9Profile1 = 2; // 0x2

public static final int VP9Profile2 = 4; // 0x4

public static final int VP9Profile2HDR = 4096; // 0x1000

public static final int VP9Profile2HDR10Plus = 16384; // 0x4000

public static final int VP9Profile3 = 8; // 0x8

public static final int VP9Profile3HDR = 8192; // 0x2000

public static final int VP9Profile3HDR10Plus = 32768; // 0x8000

public int level;

public int profile;
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class EncoderCapabilities {

private EncoderCapabilities() { throw new RuntimeException("Stub!"); }

public android.util.Range<java.lang.Integer> getQualityRange() { throw new RuntimeException("Stub!"); }

public android.util.Range<java.lang.Integer> getComplexityRange() { throw new RuntimeException("Stub!"); }

public boolean isBitrateModeSupported(int mode) { throw new RuntimeException("Stub!"); }

public static final int BITRATE_MODE_CBR = 2; // 0x2

public static final int BITRATE_MODE_CBR_FD = 3; // 0x3

public static final int BITRATE_MODE_CQ = 0; // 0x0

public static final int BITRATE_MODE_VBR = 1; // 0x1
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class VideoCapabilities {

private VideoCapabilities() { throw new RuntimeException("Stub!"); }

public android.util.Range<java.lang.Integer> getBitrateRange() { throw new RuntimeException("Stub!"); }

public android.util.Range<java.lang.Integer> getSupportedWidths() { throw new RuntimeException("Stub!"); }

public android.util.Range<java.lang.Integer> getSupportedHeights() { throw new RuntimeException("Stub!"); }

public int getWidthAlignment() { throw new RuntimeException("Stub!"); }

public int getHeightAlignment() { throw new RuntimeException("Stub!"); }

public android.util.Range<java.lang.Integer> getSupportedFrameRates() { throw new RuntimeException("Stub!"); }

public android.util.Range<java.lang.Integer> getSupportedWidthsFor(int height) { throw new RuntimeException("Stub!"); }

public android.util.Range<java.lang.Integer> getSupportedHeightsFor(int width) { throw new RuntimeException("Stub!"); }

public android.util.Range<java.lang.Double> getSupportedFrameRatesFor(int width, int height) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.util.Range<java.lang.Double> getAchievableFrameRatesFor(int width, int height) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.util.List<android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint> getSupportedPerformancePoints() { throw new RuntimeException("Stub!"); }

public boolean areSizeAndRateSupported(int width, int height, double frameRate) { throw new RuntimeException("Stub!"); }

public boolean isSizeSupported(int width, int height) { throw new RuntimeException("Stub!"); }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class PerformancePoint {

public PerformancePoint(int width, int height, int frameRate) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public boolean covers(@android.annotation.NonNull android.media.MediaFormat format) { throw new RuntimeException("Stub!"); }

public boolean covers(@android.annotation.NonNull android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint other) { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object o) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint FHD_100;
static { FHD_100 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint FHD_120;
static { FHD_120 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint FHD_200;
static { FHD_200 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint FHD_24;
static { FHD_24 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint FHD_240;
static { FHD_240 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint FHD_25;
static { FHD_25 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint FHD_30;
static { FHD_30 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint FHD_50;
static { FHD_50 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint FHD_60;
static { FHD_60 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint HD_100;
static { HD_100 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint HD_120;
static { HD_120 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint HD_200;
static { HD_200 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint HD_24;
static { HD_24 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint HD_240;
static { HD_240 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint HD_25;
static { HD_25 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint HD_30;
static { HD_30 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint HD_50;
static { HD_50 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint HD_60;
static { HD_60 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint SD_24;
static { SD_24 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint SD_25;
static { SD_25 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint SD_30;
static { SD_30 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint SD_48;
static { SD_48 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint SD_50;
static { SD_50 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint SD_60;
static { SD_60 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint UHD_100;
static { UHD_100 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint UHD_120;
static { UHD_120 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint UHD_200;
static { UHD_200 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint UHD_24;
static { UHD_24 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint UHD_240;
static { UHD_240 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint UHD_25;
static { UHD_25 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint UHD_30;
static { UHD_30 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint UHD_50;
static { UHD_50 = null; }

@android.annotation.NonNull public static final android.media.MediaCodecInfo.VideoCapabilities.PerformancePoint UHD_60;
static { UHD_60 = null; }
}

}

}

