/*
 * Copyright 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.media;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class MediaDescription implements android.os.Parcelable {

private MediaDescription() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getMediaId() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.CharSequence getTitle() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.CharSequence getSubtitle() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.CharSequence getDescription() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.graphics.Bitmap getIconBitmap() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.net.Uri getIconUri() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.os.Bundle getExtras() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.net.Uri getMediaUri() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object o) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public static final long BT_FOLDER_TYPE_ALBUMS = 2L; // 0x2L

public static final long BT_FOLDER_TYPE_ARTISTS = 3L; // 0x3L

public static final long BT_FOLDER_TYPE_GENRES = 4L; // 0x4L

public static final long BT_FOLDER_TYPE_MIXED = 0L; // 0x0L

public static final long BT_FOLDER_TYPE_PLAYLISTS = 5L; // 0x5L

public static final long BT_FOLDER_TYPE_TITLES = 1L; // 0x1L

public static final long BT_FOLDER_TYPE_YEARS = 6L; // 0x6L

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.media.MediaDescription> CREATOR;
static { CREATOR = null; }

public static final java.lang.String EXTRA_BT_FOLDER_TYPE = "android.media.extra.BT_FOLDER_TYPE";
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class Builder {

public Builder() { throw new RuntimeException("Stub!"); }

public android.media.MediaDescription.Builder setMediaId(@android.annotation.Nullable java.lang.String mediaId) { throw new RuntimeException("Stub!"); }

public android.media.MediaDescription.Builder setTitle(@android.annotation.Nullable java.lang.CharSequence title) { throw new RuntimeException("Stub!"); }

public android.media.MediaDescription.Builder setSubtitle(@android.annotation.Nullable java.lang.CharSequence subtitle) { throw new RuntimeException("Stub!"); }

public android.media.MediaDescription.Builder setDescription(@android.annotation.Nullable java.lang.CharSequence description) { throw new RuntimeException("Stub!"); }

public android.media.MediaDescription.Builder setIconBitmap(@android.annotation.Nullable android.graphics.Bitmap icon) { throw new RuntimeException("Stub!"); }

public android.media.MediaDescription.Builder setIconUri(@android.annotation.Nullable android.net.Uri iconUri) { throw new RuntimeException("Stub!"); }

public android.media.MediaDescription.Builder setExtras(@android.annotation.Nullable android.os.Bundle extras) { throw new RuntimeException("Stub!"); }

public android.media.MediaDescription.Builder setMediaUri(@android.annotation.Nullable android.net.Uri mediaUri) { throw new RuntimeException("Stub!"); }

public android.media.MediaDescription build() { throw new RuntimeException("Stub!"); }
}

}

