/*
 * Copyright 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.media;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class RoutingSessionInfo implements android.os.Parcelable {

RoutingSessionInfo() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getId() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.CharSequence getName() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getClientPackageName() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<java.lang.String> getSelectedRoutes() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<java.lang.String> getSelectableRoutes() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<java.lang.String> getDeselectableRoutes() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<java.lang.String> getTransferableRoutes() { throw new RuntimeException("Stub!"); }

public int getVolumeHandling() { throw new RuntimeException("Stub!"); }

public int getVolumeMax() { throw new RuntimeException("Stub!"); }

public int getVolume() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.os.Bundle getControlHints() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object obj) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.media.RoutingSessionInfo> CREATOR;
static { CREATOR = null; }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder(@android.annotation.NonNull java.lang.String id, @android.annotation.NonNull java.lang.String clientPackageName) { throw new RuntimeException("Stub!"); }

public Builder(@android.annotation.NonNull android.media.RoutingSessionInfo sessionInfo) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.RoutingSessionInfo.Builder setName(@android.annotation.Nullable java.lang.CharSequence name) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.RoutingSessionInfo.Builder clearSelectedRoutes() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.RoutingSessionInfo.Builder addSelectedRoute(@android.annotation.NonNull java.lang.String routeId) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.RoutingSessionInfo.Builder removeSelectedRoute(@android.annotation.NonNull java.lang.String routeId) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.RoutingSessionInfo.Builder clearSelectableRoutes() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.RoutingSessionInfo.Builder addSelectableRoute(@android.annotation.NonNull java.lang.String routeId) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.RoutingSessionInfo.Builder removeSelectableRoute(@android.annotation.NonNull java.lang.String routeId) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.RoutingSessionInfo.Builder clearDeselectableRoutes() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.RoutingSessionInfo.Builder addDeselectableRoute(@android.annotation.NonNull java.lang.String routeId) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.RoutingSessionInfo.Builder removeDeselectableRoute(@android.annotation.NonNull java.lang.String routeId) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.RoutingSessionInfo.Builder clearTransferableRoutes() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.RoutingSessionInfo.Builder addTransferableRoute(@android.annotation.NonNull java.lang.String routeId) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.RoutingSessionInfo.Builder removeTransferableRoute(@android.annotation.NonNull java.lang.String routeId) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.RoutingSessionInfo.Builder setVolumeHandling(int volumeHandling) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.RoutingSessionInfo.Builder setVolumeMax(int volumeMax) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.RoutingSessionInfo.Builder setVolume(int volume) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.RoutingSessionInfo.Builder setControlHints(@android.annotation.Nullable android.os.Bundle controlHints) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.RoutingSessionInfo build() { throw new RuntimeException("Stub!"); }
}

}

