/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.media.metrics;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class PlaybackStateEvent extends android.media.metrics.Event implements android.os.Parcelable {

private PlaybackStateEvent() { throw new RuntimeException("Stub!"); }

public int getState() { throw new RuntimeException("Stub!"); }

public long getTimeSinceCreatedMillis() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.Bundle getMetricsBundle() { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.media.metrics.PlaybackStateEvent> CREATOR;
static { CREATOR = null; }

public static final int STATE_ABANDONED = 15; // 0xf

public static final int STATE_BUFFERING = 6; // 0x6

public static final int STATE_ENDED = 11; // 0xb

public static final int STATE_FAILED = 13; // 0xd

public static final int STATE_INTERRUPTED_BY_AD = 14; // 0xe

public static final int STATE_JOINING_BACKGROUND = 1; // 0x1

public static final int STATE_JOINING_FOREGROUND = 2; // 0x2

public static final int STATE_NOT_STARTED = 0; // 0x0

public static final int STATE_PAUSED = 4; // 0x4

public static final int STATE_PAUSED_BUFFERING = 7; // 0x7

public static final int STATE_PLAYING = 3; // 0x3

public static final int STATE_SEEKING = 5; // 0x5

public static final int STATE_STOPPED = 12; // 0xc

public static final int STATE_SUPPRESSED = 9; // 0x9

public static final int STATE_SUPPRESSED_BUFFERING = 10; // 0xa
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.metrics.PlaybackStateEvent.Builder setState(int value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.metrics.PlaybackStateEvent.Builder setTimeSinceCreatedMillis(long value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.metrics.PlaybackStateEvent.Builder setMetricsBundle(@android.annotation.NonNull android.os.Bundle metricsBundle) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.metrics.PlaybackStateEvent build() { throw new RuntimeException("Stub!"); }
}

}

