/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.media.metrics;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class TrackChangeEvent extends android.media.metrics.Event implements android.os.Parcelable {

private TrackChangeEvent() { throw new RuntimeException("Stub!"); }

public int getTrackState() { throw new RuntimeException("Stub!"); }

public int getTrackChangeReason() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getContainerMimeType() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getSampleMimeType() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getCodecName() { throw new RuntimeException("Stub!"); }

public int getBitrate() { throw new RuntimeException("Stub!"); }

public long getTimeSinceCreatedMillis() { throw new RuntimeException("Stub!"); }

public int getTrackType() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getLanguage() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getLanguageRegion() { throw new RuntimeException("Stub!"); }

public int getChannelCount() { throw new RuntimeException("Stub!"); }

public int getAudioSampleRate() { throw new RuntimeException("Stub!"); }

public int getWidth() { throw new RuntimeException("Stub!"); }

public int getHeight() { throw new RuntimeException("Stub!"); }

public float getVideoFrameRate() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.Bundle getMetricsBundle() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.media.metrics.TrackChangeEvent> CREATOR;
static { CREATOR = null; }

public static final int TRACK_CHANGE_REASON_ADAPTIVE = 4; // 0x4

public static final int TRACK_CHANGE_REASON_INITIAL = 2; // 0x2

public static final int TRACK_CHANGE_REASON_MANUAL = 3; // 0x3

public static final int TRACK_CHANGE_REASON_OTHER = 1; // 0x1

public static final int TRACK_CHANGE_REASON_UNKNOWN = 0; // 0x0

public static final int TRACK_STATE_OFF = 0; // 0x0

public static final int TRACK_STATE_ON = 1; // 0x1

public static final int TRACK_TYPE_AUDIO = 0; // 0x0

public static final int TRACK_TYPE_TEXT = 2; // 0x2

public static final int TRACK_TYPE_VIDEO = 1; // 0x1
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder(int type) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.metrics.TrackChangeEvent.Builder setTrackState(int value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.metrics.TrackChangeEvent.Builder setTrackChangeReason(int value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.metrics.TrackChangeEvent.Builder setContainerMimeType(@android.annotation.NonNull java.lang.String value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.metrics.TrackChangeEvent.Builder setSampleMimeType(@android.annotation.NonNull java.lang.String value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.metrics.TrackChangeEvent.Builder setCodecName(@android.annotation.NonNull java.lang.String value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.metrics.TrackChangeEvent.Builder setBitrate(int value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.metrics.TrackChangeEvent.Builder setTimeSinceCreatedMillis(long value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.metrics.TrackChangeEvent.Builder setLanguage(@android.annotation.NonNull java.lang.String value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.metrics.TrackChangeEvent.Builder setLanguageRegion(@android.annotation.NonNull java.lang.String value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.metrics.TrackChangeEvent.Builder setChannelCount(int value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.metrics.TrackChangeEvent.Builder setAudioSampleRate(int value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.metrics.TrackChangeEvent.Builder setWidth(int value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.metrics.TrackChangeEvent.Builder setHeight(int value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.metrics.TrackChangeEvent.Builder setVideoFrameRate(float value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.metrics.TrackChangeEvent.Builder setMetricsBundle(@android.annotation.NonNull android.os.Bundle metricsBundle) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.metrics.TrackChangeEvent build() { throw new RuntimeException("Stub!"); }
}

}

