/*
 * Copyright (C) 2014 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.media.tv;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class TvInputInfo implements android.os.Parcelable {

private TvInputInfo() { throw new RuntimeException("Stub!"); }

public java.lang.String getId() { throw new RuntimeException("Stub!"); }

public java.lang.String getParentId() { throw new RuntimeException("Stub!"); }

public android.content.pm.ServiceInfo getServiceInfo() { throw new RuntimeException("Stub!"); }

public android.content.Intent createSetupIntent() { throw new RuntimeException("Stub!"); }

@Deprecated
public android.content.Intent createSettingsIntent() { throw new RuntimeException("Stub!"); }

public int getType() { throw new RuntimeException("Stub!"); }

public int getTunerCount() { throw new RuntimeException("Stub!"); }

public boolean canRecord() { throw new RuntimeException("Stub!"); }

public boolean canPauseRecording() { throw new RuntimeException("Stub!"); }

public android.os.Bundle getExtras() { throw new RuntimeException("Stub!"); }

public boolean isPassthroughInput() { throw new RuntimeException("Stub!"); }

public boolean isHidden(android.content.Context context) { throw new RuntimeException("Stub!"); }

public java.lang.CharSequence loadLabel(@android.annotation.NonNull android.content.Context context) { throw new RuntimeException("Stub!"); }

public java.lang.CharSequence loadCustomLabel(android.content.Context context) { throw new RuntimeException("Stub!"); }

public android.graphics.drawable.Drawable loadIcon(@android.annotation.NonNull android.content.Context context) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object o) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.media.tv.TvInputInfo> CREATOR;
static { CREATOR = null; }

public static final java.lang.String EXTRA_INPUT_ID = "android.media.tv.extra.INPUT_ID";

public static final int TYPE_COMPONENT = 1004; // 0x3ec

public static final int TYPE_COMPOSITE = 1001; // 0x3e9

public static final int TYPE_DISPLAY_PORT = 1008; // 0x3f0

public static final int TYPE_DVI = 1006; // 0x3ee

public static final int TYPE_HDMI = 1007; // 0x3ef

public static final int TYPE_OTHER = 1000; // 0x3e8

public static final int TYPE_SCART = 1003; // 0x3eb

public static final int TYPE_SVIDEO = 1002; // 0x3ea

public static final int TYPE_TUNER = 0; // 0x0

public static final int TYPE_VGA = 1005; // 0x3ed
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder(android.content.Context context, android.content.ComponentName component) { throw new RuntimeException("Stub!"); }

public android.media.tv.TvInputInfo.Builder setTunerCount(int tunerCount) { throw new RuntimeException("Stub!"); }

public android.media.tv.TvInputInfo.Builder setCanRecord(boolean canRecord) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.media.tv.TvInputInfo.Builder setCanPauseRecording(boolean canPauseRecording) { throw new RuntimeException("Stub!"); }

public android.media.tv.TvInputInfo.Builder setExtras(android.os.Bundle extras) { throw new RuntimeException("Stub!"); }

public android.media.tv.TvInputInfo build() { throw new RuntimeException("Stub!"); }
}

}

