/*
 * Copyright (C) 2007 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.net;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class UrlQuerySanitizer {

public UrlQuerySanitizer() { throw new RuntimeException("Stub!"); }

public UrlQuerySanitizer(java.lang.String url) { throw new RuntimeException("Stub!"); }

public android.net.UrlQuerySanitizer.ValueSanitizer getUnregisteredParameterValueSanitizer() { throw new RuntimeException("Stub!"); }

public void setUnregisteredParameterValueSanitizer(android.net.UrlQuerySanitizer.ValueSanitizer sanitizer) { throw new RuntimeException("Stub!"); }

public static final android.net.UrlQuerySanitizer.ValueSanitizer getAllIllegal() { throw new RuntimeException("Stub!"); }

public static final android.net.UrlQuerySanitizer.ValueSanitizer getAllButNulLegal() { throw new RuntimeException("Stub!"); }

public static final android.net.UrlQuerySanitizer.ValueSanitizer getAllButWhitespaceLegal() { throw new RuntimeException("Stub!"); }

public static final android.net.UrlQuerySanitizer.ValueSanitizer getUrlLegal() { throw new RuntimeException("Stub!"); }

public static final android.net.UrlQuerySanitizer.ValueSanitizer getUrlAndSpaceLegal() { throw new RuntimeException("Stub!"); }

public static final android.net.UrlQuerySanitizer.ValueSanitizer getAmpLegal() { throw new RuntimeException("Stub!"); }

public static final android.net.UrlQuerySanitizer.ValueSanitizer getAmpAndSpaceLegal() { throw new RuntimeException("Stub!"); }

public static final android.net.UrlQuerySanitizer.ValueSanitizer getSpaceLegal() { throw new RuntimeException("Stub!"); }

public static final android.net.UrlQuerySanitizer.ValueSanitizer getAllButNulAndAngleBracketsLegal() { throw new RuntimeException("Stub!"); }

public void parseUrl(java.lang.String url) { throw new RuntimeException("Stub!"); }

public void parseQuery(java.lang.String query) { throw new RuntimeException("Stub!"); }

public java.util.Set<java.lang.String> getParameterSet() { throw new RuntimeException("Stub!"); }

public java.util.List<android.net.UrlQuerySanitizer.ParameterValuePair> getParameterList() { throw new RuntimeException("Stub!"); }

public boolean hasParameter(java.lang.String parameter) { throw new RuntimeException("Stub!"); }

public java.lang.String getValue(java.lang.String parameter) { throw new RuntimeException("Stub!"); }

public void registerParameter(java.lang.String parameter, android.net.UrlQuerySanitizer.ValueSanitizer valueSanitizer) { throw new RuntimeException("Stub!"); }

public void registerParameters(java.lang.String[] parameters, android.net.UrlQuerySanitizer.ValueSanitizer valueSanitizer) { throw new RuntimeException("Stub!"); }

public void setAllowUnregisteredParamaters(boolean allowUnregisteredParamaters) { throw new RuntimeException("Stub!"); }

public boolean getAllowUnregisteredParamaters() { throw new RuntimeException("Stub!"); }

public void setPreferFirstRepeatedParameter(boolean preferFirstRepeatedParameter) { throw new RuntimeException("Stub!"); }

public boolean getPreferFirstRepeatedParameter() { throw new RuntimeException("Stub!"); }

protected void parseEntry(java.lang.String parameter, java.lang.String value) { throw new RuntimeException("Stub!"); }

protected void addSanitizedEntry(java.lang.String parameter, java.lang.String value) { throw new RuntimeException("Stub!"); }

public android.net.UrlQuerySanitizer.ValueSanitizer getValueSanitizer(java.lang.String parameter) { throw new RuntimeException("Stub!"); }

public android.net.UrlQuerySanitizer.ValueSanitizer getEffectiveValueSanitizer(java.lang.String parameter) { throw new RuntimeException("Stub!"); }

public java.lang.String unescape(java.lang.String string) { throw new RuntimeException("Stub!"); }

protected boolean isHexDigit(char c) { throw new RuntimeException("Stub!"); }

protected int decodeHexDigit(char c) { throw new RuntimeException("Stub!"); }

protected void clear() { throw new RuntimeException("Stub!"); }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class IllegalCharacterValueSanitizer implements android.net.UrlQuerySanitizer.ValueSanitizer {

public IllegalCharacterValueSanitizer(int flags) { throw new RuntimeException("Stub!"); }

public java.lang.String sanitize(java.lang.String value) { throw new RuntimeException("Stub!"); }

public static final int ALL_BUT_NUL_AND_ANGLE_BRACKETS_LEGAL = 1439; // 0x59f

public static final int ALL_BUT_NUL_LEGAL = 1535; // 0x5ff

public static final int ALL_BUT_WHITESPACE_LEGAL = 1532; // 0x5fc

public static final int ALL_ILLEGAL = 0; // 0x0

public static final int ALL_OK = 2047; // 0x7ff

public static final int ALL_WHITESPACE_OK = 3; // 0x3

public static final int AMP_AND_SPACE_LEGAL = 129; // 0x81

public static final int AMP_LEGAL = 128; // 0x80

public static final int AMP_OK = 128; // 0x80

public static final int DQUOTE_OK = 8; // 0x8

public static final int GT_OK = 64; // 0x40

public static final int LT_OK = 32; // 0x20

public static final int NON_7_BIT_ASCII_OK = 4; // 0x4

public static final int NUL_OK = 512; // 0x200

public static final int OTHER_WHITESPACE_OK = 2; // 0x2

public static final int PCT_OK = 256; // 0x100

public static final int SCRIPT_URL_OK = 1024; // 0x400

public static final int SPACE_LEGAL = 1; // 0x1

public static final int SPACE_OK = 1; // 0x1

public static final int SQUOTE_OK = 16; // 0x10

public static final int URL_AND_SPACE_LEGAL = 405; // 0x195

public static final int URL_LEGAL = 404; // 0x194
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class ParameterValuePair {

public ParameterValuePair(java.lang.String parameter, java.lang.String value) { throw new RuntimeException("Stub!"); }

public java.lang.String mParameter;

public java.lang.String mValue;
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface ValueSanitizer {

public java.lang.String sanitize(java.lang.String value);
}

}

