/*
 * Copyright (C) 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.net.ipsec.ike;


/** IkeIpv6AddrIdentification represents an IKE entity identification based on IPv6 address. */

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class IkeIpv6AddrIdentification extends android.net.ipsec.ike.IkeIdentification {

/**
 * Construct an instance of {@link android.net.ipsec.ike.IkeIpv6AddrIdentification IkeIpv6AddrIdentification} with an IPv6 address.
 *
 * @param address the IPv6 address.
 */

public IkeIpv6AddrIdentification(@android.annotation.NonNull java.net.Inet6Address address) { throw new RuntimeException("Stub!"); }

/** @hide */

public int hashCode() { throw new RuntimeException("Stub!"); }

/** @hide */

public boolean equals(java.lang.Object o) { throw new RuntimeException("Stub!"); }

/** The IPv6 address. */

@android.annotation.NonNull public final java.net.Inet6Address ipv6Address;
{ ipv6Address = null; }
}

