/*
 * Copyright (C) 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.os;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class BugreportManager {

BugreportManager() { throw new RuntimeException("Stub!"); }

public void startConnectivityBugreport(@android.annotation.NonNull android.os.ParcelFileDescriptor bugreportFd, @android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.os.BugreportManager.BugreportCallback callback) { throw new RuntimeException("Stub!"); }

public void cancelBugreport() { throw new RuntimeException("Stub!"); }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public abstract static class BugreportCallback {

public BugreportCallback() { throw new RuntimeException("Stub!"); }

public void onProgress(float progress) { throw new RuntimeException("Stub!"); }

public void onError(int errorCode) { throw new RuntimeException("Stub!"); }

public void onFinished() { throw new RuntimeException("Stub!"); }

public void onEarlyReportFinished() { throw new RuntimeException("Stub!"); }

public static final int BUGREPORT_ERROR_ANOTHER_REPORT_IN_PROGRESS = 5; // 0x5

public static final int BUGREPORT_ERROR_INVALID_INPUT = 1; // 0x1

public static final int BUGREPORT_ERROR_RUNTIME = 2; // 0x2

public static final int BUGREPORT_ERROR_USER_CONSENT_TIMED_OUT = 4; // 0x4

public static final int BUGREPORT_ERROR_USER_DENIED_CONSENT = 3; // 0x3
}

}

