/*
 * Copyright (C) 2007 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.os;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class Build {

public Build() { throw new RuntimeException("Stub!"); }

public static java.lang.String getSerial() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static java.util.List<android.os.Build.Partition> getFingerprintedPartitions() { throw new RuntimeException("Stub!"); }

public static java.lang.String getRadioVersion() { throw new RuntimeException("Stub!"); }

public static final java.lang.String BOARD;
static { BOARD = null; }

public static final java.lang.String BOOTLOADER;
static { BOOTLOADER = null; }

public static final java.lang.String BRAND;
static { BRAND = null; }

@Deprecated public static final java.lang.String CPU_ABI;
static { CPU_ABI = null; }

@Deprecated public static final java.lang.String CPU_ABI2;
static { CPU_ABI2 = null; }

public static final java.lang.String DEVICE;
static { DEVICE = null; }

public static final java.lang.String DISPLAY;
static { DISPLAY = null; }

public static final java.lang.String FINGERPRINT;
static { FINGERPRINT = null; }

public static final java.lang.String HARDWARE;
static { HARDWARE = null; }

public static final java.lang.String HOST;
static { HOST = null; }

public static final java.lang.String ID;
static { ID = null; }

public static final java.lang.String MANUFACTURER;
static { MANUFACTURER = null; }

public static final java.lang.String MODEL;
static { MODEL = null; }

@android.annotation.NonNull public static final java.lang.String ODM_SKU;
static { ODM_SKU = null; }

public static final java.lang.String PRODUCT;
static { PRODUCT = null; }

@Deprecated public static final java.lang.String RADIO;
static { RADIO = null; }

@Deprecated public static final java.lang.String SERIAL;
static { SERIAL = null; }

@android.annotation.NonNull public static final java.lang.String SKU;
static { SKU = null; }

@android.annotation.NonNull public static final java.lang.String SOC_MANUFACTURER;
static { SOC_MANUFACTURER = null; }

@android.annotation.NonNull public static final java.lang.String SOC_MODEL;
static { SOC_MODEL = null; }

public static final java.lang.String[] SUPPORTED_32_BIT_ABIS;
static { SUPPORTED_32_BIT_ABIS = new java.lang.String[0]; }

public static final java.lang.String[] SUPPORTED_64_BIT_ABIS;
static { SUPPORTED_64_BIT_ABIS = new java.lang.String[0]; }

public static final java.lang.String[] SUPPORTED_ABIS;
static { SUPPORTED_ABIS = new java.lang.String[0]; }

public static final java.lang.String TAGS;
static { TAGS = null; }

public static final long TIME;
static { TIME = 0; }

public static final java.lang.String TYPE;
static { TYPE = null; }

public static final java.lang.String UNKNOWN = "unknown";

public static final java.lang.String USER;
static { USER = null; }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class Partition {

private Partition() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getName() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getFingerprint() { throw new RuntimeException("Stub!"); }

public long getBuildTimeMillis() { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public static final java.lang.String PARTITION_NAME_SYSTEM = "system";
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class VERSION {

public VERSION() { throw new RuntimeException("Stub!"); }

public static final java.lang.String BASE_OS;
static { BASE_OS = null; }

public static final java.lang.String CODENAME;
static { CODENAME = null; }

public static final java.lang.String INCREMENTAL;
static { INCREMENTAL = null; }

public static final int MEDIA_PERFORMANCE_CLASS;
static { MEDIA_PERFORMANCE_CLASS = 0; }

public static final int PREVIEW_SDK_INT;
static { PREVIEW_SDK_INT = 0; }

public static final java.lang.String RELEASE;
static { RELEASE = null; }

@android.annotation.NonNull public static final java.lang.String RELEASE_OR_CODENAME;
static { RELEASE_OR_CODENAME = null; }

@Deprecated public static final java.lang.String SDK;
static { SDK = null; }

public static final int SDK_INT;
static { SDK_INT = 0; }

public static final java.lang.String SECURITY_PATCH;
static { SECURITY_PATCH = null; }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class VERSION_CODES {

public VERSION_CODES() { throw new RuntimeException("Stub!"); }

public static final int BASE = 1; // 0x1

public static final int BASE_1_1 = 2; // 0x2

public static final int CUPCAKE = 3; // 0x3

public static final int CUR_DEVELOPMENT = 10000; // 0x2710

public static final int DONUT = 4; // 0x4

public static final int ECLAIR = 5; // 0x5

public static final int ECLAIR_0_1 = 6; // 0x6

public static final int ECLAIR_MR1 = 7; // 0x7

public static final int FROYO = 8; // 0x8

public static final int GINGERBREAD = 9; // 0x9

public static final int GINGERBREAD_MR1 = 10; // 0xa

public static final int HONEYCOMB = 11; // 0xb

public static final int HONEYCOMB_MR1 = 12; // 0xc

public static final int HONEYCOMB_MR2 = 13; // 0xd

public static final int ICE_CREAM_SANDWICH = 14; // 0xe

public static final int ICE_CREAM_SANDWICH_MR1 = 15; // 0xf

public static final int JELLY_BEAN = 16; // 0x10

public static final int JELLY_BEAN_MR1 = 17; // 0x11

public static final int JELLY_BEAN_MR2 = 18; // 0x12

public static final int KITKAT = 19; // 0x13

public static final int KITKAT_WATCH = 20; // 0x14

public static final int LOLLIPOP = 21; // 0x15

public static final int LOLLIPOP_MR1 = 22; // 0x16

public static final int M = 23; // 0x17

public static final int N = 24; // 0x18

public static final int N_MR1 = 25; // 0x19

public static final int O = 26; // 0x1a

public static final int O_MR1 = 27; // 0x1b

public static final int P = 28; // 0x1c

public static final int Q = 29; // 0x1d

public static final int R = 30; // 0x1e

public static final int S = 31; // 0x1f
}

}

