/*
 * Copyright (C) 2007 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.os;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class Bundle extends android.os.BaseBundle implements java.lang.Cloneable, android.os.Parcelable {

public Bundle() { throw new RuntimeException("Stub!"); }

public Bundle(java.lang.ClassLoader loader) { throw new RuntimeException("Stub!"); }

public Bundle(int capacity) { throw new RuntimeException("Stub!"); }

public Bundle(android.os.Bundle b) { throw new RuntimeException("Stub!"); }

public Bundle(android.os.PersistableBundle b) { throw new RuntimeException("Stub!"); }

public void setClassLoader(java.lang.ClassLoader loader) { throw new RuntimeException("Stub!"); }

public java.lang.ClassLoader getClassLoader() { throw new RuntimeException("Stub!"); }

public java.lang.Object clone() { throw new RuntimeException("Stub!"); }

public android.os.Bundle deepCopy() { throw new RuntimeException("Stub!"); }

public void clear() { throw new RuntimeException("Stub!"); }

public void remove(java.lang.String key) { throw new RuntimeException("Stub!"); }

public void putAll(android.os.Bundle bundle) { throw new RuntimeException("Stub!"); }

public boolean hasFileDescriptors() { throw new RuntimeException("Stub!"); }

public void putByte(@android.annotation.Nullable java.lang.String key, byte value) { throw new RuntimeException("Stub!"); }

public void putChar(@android.annotation.Nullable java.lang.String key, char value) { throw new RuntimeException("Stub!"); }

public void putShort(@android.annotation.Nullable java.lang.String key, short value) { throw new RuntimeException("Stub!"); }

public void putFloat(@android.annotation.Nullable java.lang.String key, float value) { throw new RuntimeException("Stub!"); }

public void putCharSequence(@android.annotation.Nullable java.lang.String key, @android.annotation.Nullable java.lang.CharSequence value) { throw new RuntimeException("Stub!"); }

public void putParcelable(@android.annotation.Nullable java.lang.String key, @android.annotation.Nullable android.os.Parcelable value) { throw new RuntimeException("Stub!"); }

public void putSize(@android.annotation.Nullable java.lang.String key, @android.annotation.Nullable android.util.Size value) { throw new RuntimeException("Stub!"); }

public void putSizeF(@android.annotation.Nullable java.lang.String key, @android.annotation.Nullable android.util.SizeF value) { throw new RuntimeException("Stub!"); }

public void putParcelableArray(@android.annotation.Nullable java.lang.String key, @android.annotation.Nullable android.os.Parcelable[] value) { throw new RuntimeException("Stub!"); }

public void putParcelableArrayList(@android.annotation.Nullable java.lang.String key, @android.annotation.Nullable java.util.ArrayList<? extends android.os.Parcelable> value) { throw new RuntimeException("Stub!"); }

public void putSparseParcelableArray(@android.annotation.Nullable java.lang.String key, @android.annotation.Nullable android.util.SparseArray<? extends android.os.Parcelable> value) { throw new RuntimeException("Stub!"); }

public void putIntegerArrayList(@android.annotation.Nullable java.lang.String key, @android.annotation.Nullable java.util.ArrayList<java.lang.Integer> value) { throw new RuntimeException("Stub!"); }

public void putStringArrayList(@android.annotation.Nullable java.lang.String key, @android.annotation.Nullable java.util.ArrayList<java.lang.String> value) { throw new RuntimeException("Stub!"); }

public void putCharSequenceArrayList(@android.annotation.Nullable java.lang.String key, @android.annotation.Nullable java.util.ArrayList<java.lang.CharSequence> value) { throw new RuntimeException("Stub!"); }

public void putSerializable(@android.annotation.Nullable java.lang.String key, @android.annotation.Nullable java.io.Serializable value) { throw new RuntimeException("Stub!"); }

public void putByteArray(@android.annotation.Nullable java.lang.String key, @android.annotation.Nullable byte[] value) { throw new RuntimeException("Stub!"); }

public void putShortArray(@android.annotation.Nullable java.lang.String key, @android.annotation.Nullable short[] value) { throw new RuntimeException("Stub!"); }

public void putCharArray(@android.annotation.Nullable java.lang.String key, @android.annotation.Nullable char[] value) { throw new RuntimeException("Stub!"); }

public void putFloatArray(@android.annotation.Nullable java.lang.String key, @android.annotation.Nullable float[] value) { throw new RuntimeException("Stub!"); }

public void putCharSequenceArray(@android.annotation.Nullable java.lang.String key, @android.annotation.Nullable java.lang.CharSequence[] value) { throw new RuntimeException("Stub!"); }

public void putBundle(@android.annotation.Nullable java.lang.String key, @android.annotation.Nullable android.os.Bundle value) { throw new RuntimeException("Stub!"); }

public void putBinder(@android.annotation.Nullable java.lang.String key, @android.annotation.Nullable android.os.IBinder value) { throw new RuntimeException("Stub!"); }

public byte getByte(java.lang.String key) { throw new RuntimeException("Stub!"); }

public java.lang.Byte getByte(java.lang.String key, byte defaultValue) { throw new RuntimeException("Stub!"); }

public char getChar(java.lang.String key) { throw new RuntimeException("Stub!"); }

public char getChar(java.lang.String key, char defaultValue) { throw new RuntimeException("Stub!"); }

public short getShort(java.lang.String key) { throw new RuntimeException("Stub!"); }

public short getShort(java.lang.String key, short defaultValue) { throw new RuntimeException("Stub!"); }

public float getFloat(java.lang.String key) { throw new RuntimeException("Stub!"); }

public float getFloat(java.lang.String key, float defaultValue) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.CharSequence getCharSequence(@android.annotation.Nullable java.lang.String key) { throw new RuntimeException("Stub!"); }

public java.lang.CharSequence getCharSequence(@android.annotation.Nullable java.lang.String key, java.lang.CharSequence defaultValue) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.util.Size getSize(@android.annotation.Nullable java.lang.String key) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.util.SizeF getSizeF(@android.annotation.Nullable java.lang.String key) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.os.Bundle getBundle(@android.annotation.Nullable java.lang.String key) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public <T extends android.os.Parcelable> T getParcelable(@android.annotation.Nullable java.lang.String key) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.os.Parcelable[] getParcelableArray(@android.annotation.Nullable java.lang.String key) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public <T extends android.os.Parcelable> java.util.ArrayList<T> getParcelableArrayList(@android.annotation.Nullable java.lang.String key) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public <T extends android.os.Parcelable> android.util.SparseArray<T> getSparseParcelableArray(@android.annotation.Nullable java.lang.String key) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.io.Serializable getSerializable(@android.annotation.Nullable java.lang.String key) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.util.ArrayList<java.lang.Integer> getIntegerArrayList(@android.annotation.Nullable java.lang.String key) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.util.ArrayList<java.lang.String> getStringArrayList(@android.annotation.Nullable java.lang.String key) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.util.ArrayList<java.lang.CharSequence> getCharSequenceArrayList(@android.annotation.Nullable java.lang.String key) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public byte[] getByteArray(@android.annotation.Nullable java.lang.String key) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public short[] getShortArray(@android.annotation.Nullable java.lang.String key) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public char[] getCharArray(@android.annotation.Nullable java.lang.String key) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public float[] getFloatArray(@android.annotation.Nullable java.lang.String key) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.CharSequence[] getCharSequenceArray(@android.annotation.Nullable java.lang.String key) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.os.IBinder getBinder(@android.annotation.Nullable java.lang.String key) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel parcel, int flags) { throw new RuntimeException("Stub!"); }

public void readFromParcel(android.os.Parcel parcel) { throw new RuntimeException("Stub!"); }

public synchronized java.lang.String toString() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.os.Bundle> CREATOR;
static { CREATOR = null; }

public static final android.os.Bundle EMPTY;
static { EMPTY = null; }
}

