/*
 * Copyright (C) 2006 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.os;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public interface IBinder {

public static int getSuggestedMaxIpcSizeBytes() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getInterfaceDescriptor() throws android.os.RemoteException;

public boolean pingBinder();

public boolean isBinderAlive();

@android.annotation.Nullable
public android.os.IInterface queryLocalInterface(@android.annotation.NonNull java.lang.String descriptor);

public void dump(@android.annotation.NonNull java.io.FileDescriptor fd, @android.annotation.Nullable java.lang.String[] args) throws android.os.RemoteException;

public void dumpAsync(@android.annotation.NonNull java.io.FileDescriptor fd, @android.annotation.Nullable java.lang.String[] args) throws android.os.RemoteException;

public boolean transact(int code, @android.annotation.NonNull android.os.Parcel data, @android.annotation.Nullable android.os.Parcel reply, int flags) throws android.os.RemoteException;

public void linkToDeath(@android.annotation.NonNull android.os.IBinder.DeathRecipient recipient, int flags) throws android.os.RemoteException;

public boolean unlinkToDeath(@android.annotation.NonNull android.os.IBinder.DeathRecipient recipient, int flags);

public static final int DUMP_TRANSACTION = 1598311760; // 0x5f444d50

public static final int FIRST_CALL_TRANSACTION = 1; // 0x1

public static final int FLAG_ONEWAY = 1; // 0x1

public static final int INTERFACE_TRANSACTION = 1598968902; // 0x5f4e5446

public static final int LAST_CALL_TRANSACTION = 16777215; // 0xffffff

public static final int LIKE_TRANSACTION = 1598835019; // 0x5f4c494b

public static final int PING_TRANSACTION = 1599098439; // 0x5f504e47

public static final int TWEET_TRANSACTION = 1599362900; // 0x5f545754
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface DeathRecipient {

public void binderDied();
}

}

