/*
 * Copyright (C) 2006 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.os;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class Parcel {

private Parcel() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.os.Parcel obtain() { throw new RuntimeException("Stub!"); }

public void recycle() { throw new RuntimeException("Stub!"); }

public int dataSize() { throw new RuntimeException("Stub!"); }

public int dataAvail() { throw new RuntimeException("Stub!"); }

public int dataPosition() { throw new RuntimeException("Stub!"); }

public int dataCapacity() { throw new RuntimeException("Stub!"); }

public void setDataSize(int size) { throw new RuntimeException("Stub!"); }

public void setDataPosition(int pos) { throw new RuntimeException("Stub!"); }

public void setDataCapacity(int size) { throw new RuntimeException("Stub!"); }

public byte[] marshall() { throw new RuntimeException("Stub!"); }

public void unmarshall(@android.annotation.NonNull byte[] data, int offset, int length) { throw new RuntimeException("Stub!"); }

public void appendFrom(android.os.Parcel parcel, int offset, int length) { throw new RuntimeException("Stub!"); }

public boolean hasFileDescriptors() { throw new RuntimeException("Stub!"); }

public void writeInterfaceToken(@android.annotation.NonNull java.lang.String interfaceName) { throw new RuntimeException("Stub!"); }

public void enforceInterface(@android.annotation.NonNull java.lang.String interfaceName) { throw new RuntimeException("Stub!"); }

public void writeByteArray(@android.annotation.Nullable byte[] b) { throw new RuntimeException("Stub!"); }

public void writeByteArray(@android.annotation.Nullable byte[] b, int offset, int len) { throw new RuntimeException("Stub!"); }

public void writeInt(int val) { throw new RuntimeException("Stub!"); }

public void writeLong(long val) { throw new RuntimeException("Stub!"); }

public void writeFloat(float val) { throw new RuntimeException("Stub!"); }

public void writeDouble(double val) { throw new RuntimeException("Stub!"); }

public void writeString(@android.annotation.Nullable java.lang.String val) { throw new RuntimeException("Stub!"); }

public void writeBoolean(boolean val) { throw new RuntimeException("Stub!"); }

public void writeStrongBinder(android.os.IBinder val) { throw new RuntimeException("Stub!"); }

public void writeStrongInterface(android.os.IInterface val) { throw new RuntimeException("Stub!"); }

public void writeFileDescriptor(@android.annotation.NonNull java.io.FileDescriptor val) { throw new RuntimeException("Stub!"); }

public void writeByte(byte val) { throw new RuntimeException("Stub!"); }

public void writeMap(@android.annotation.Nullable java.util.Map val) { throw new RuntimeException("Stub!"); }

public <T extends android.os.Parcelable> void writeTypedArrayMap(@android.annotation.Nullable android.util.ArrayMap<java.lang.String,T> val, int parcelableFlags) { throw new RuntimeException("Stub!"); }

public void writeBundle(@android.annotation.Nullable android.os.Bundle val) { throw new RuntimeException("Stub!"); }

public void writePersistableBundle(@android.annotation.Nullable android.os.PersistableBundle val) { throw new RuntimeException("Stub!"); }

public void writeSize(@android.annotation.NonNull android.util.Size val) { throw new RuntimeException("Stub!"); }

public void writeSizeF(@android.annotation.NonNull android.util.SizeF val) { throw new RuntimeException("Stub!"); }

public void writeList(@android.annotation.Nullable java.util.List val) { throw new RuntimeException("Stub!"); }

public void writeArray(@android.annotation.Nullable java.lang.Object[] val) { throw new RuntimeException("Stub!"); }

public <T> void writeSparseArray(@android.annotation.Nullable android.util.SparseArray<T> val) { throw new RuntimeException("Stub!"); }

public void writeSparseBooleanArray(@android.annotation.Nullable android.util.SparseBooleanArray val) { throw new RuntimeException("Stub!"); }

public void writeBooleanArray(@android.annotation.Nullable boolean[] val) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public boolean[] createBooleanArray() { throw new RuntimeException("Stub!"); }

public void readBooleanArray(@android.annotation.NonNull boolean[] val) { throw new RuntimeException("Stub!"); }

public void writeCharArray(@android.annotation.Nullable char[] val) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public char[] createCharArray() { throw new RuntimeException("Stub!"); }

public void readCharArray(@android.annotation.NonNull char[] val) { throw new RuntimeException("Stub!"); }

public void writeIntArray(@android.annotation.Nullable int[] val) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public int[] createIntArray() { throw new RuntimeException("Stub!"); }

public void readIntArray(@android.annotation.NonNull int[] val) { throw new RuntimeException("Stub!"); }

public void writeLongArray(@android.annotation.Nullable long[] val) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public long[] createLongArray() { throw new RuntimeException("Stub!"); }

public void readLongArray(@android.annotation.NonNull long[] val) { throw new RuntimeException("Stub!"); }

public void writeFloatArray(@android.annotation.Nullable float[] val) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public float[] createFloatArray() { throw new RuntimeException("Stub!"); }

public void readFloatArray(@android.annotation.NonNull float[] val) { throw new RuntimeException("Stub!"); }

public void writeDoubleArray(@android.annotation.Nullable double[] val) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public double[] createDoubleArray() { throw new RuntimeException("Stub!"); }

public void readDoubleArray(@android.annotation.NonNull double[] val) { throw new RuntimeException("Stub!"); }

public void writeStringArray(@android.annotation.Nullable java.lang.String[] val) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String[] createStringArray() { throw new RuntimeException("Stub!"); }

public void readStringArray(@android.annotation.NonNull java.lang.String[] val) { throw new RuntimeException("Stub!"); }

public void writeBinderArray(@android.annotation.Nullable android.os.IBinder[] val) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.os.IBinder[] createBinderArray() { throw new RuntimeException("Stub!"); }

public void readBinderArray(@android.annotation.NonNull android.os.IBinder[] val) { throw new RuntimeException("Stub!"); }

public <T extends android.os.Parcelable> void writeTypedList(@android.annotation.Nullable java.util.List<T> val) { throw new RuntimeException("Stub!"); }

public <T extends android.os.Parcelable> void writeTypedSparseArray(@android.annotation.Nullable android.util.SparseArray<T> val, int parcelableFlags) { throw new RuntimeException("Stub!"); }

public void writeStringList(@android.annotation.Nullable java.util.List<java.lang.String> val) { throw new RuntimeException("Stub!"); }

public void writeBinderList(@android.annotation.Nullable java.util.List<android.os.IBinder> val) { throw new RuntimeException("Stub!"); }

public <T extends android.os.Parcelable> void writeParcelableList(@android.annotation.Nullable java.util.List<T> val, int flags) { throw new RuntimeException("Stub!"); }

public <T extends android.os.Parcelable> void writeTypedArray(@android.annotation.Nullable T[] val, int parcelableFlags) { throw new RuntimeException("Stub!"); }

public <T extends android.os.Parcelable> void writeTypedObject(@android.annotation.Nullable T val, int parcelableFlags) { throw new RuntimeException("Stub!"); }

public void writeValue(@android.annotation.Nullable java.lang.Object v) { throw new RuntimeException("Stub!"); }

public void writeParcelable(@android.annotation.Nullable android.os.Parcelable p, int parcelableFlags) { throw new RuntimeException("Stub!"); }

public void writeParcelableCreator(@android.annotation.NonNull android.os.Parcelable p) { throw new RuntimeException("Stub!"); }

public void writeSerializable(@android.annotation.Nullable java.io.Serializable s) { throw new RuntimeException("Stub!"); }

public void writeException(@android.annotation.NonNull java.lang.Exception e) { throw new RuntimeException("Stub!"); }

public void writeNoException() { throw new RuntimeException("Stub!"); }

public void readException() { throw new RuntimeException("Stub!"); }

public void readException(int code, java.lang.String msg) { throw new RuntimeException("Stub!"); }

public int readInt() { throw new RuntimeException("Stub!"); }

public long readLong() { throw new RuntimeException("Stub!"); }

public float readFloat() { throw new RuntimeException("Stub!"); }

public double readDouble() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String readString() { throw new RuntimeException("Stub!"); }

public boolean readBoolean() { throw new RuntimeException("Stub!"); }

public android.os.IBinder readStrongBinder() { throw new RuntimeException("Stub!"); }

public android.os.ParcelFileDescriptor readFileDescriptor() { throw new RuntimeException("Stub!"); }

public byte readByte() { throw new RuntimeException("Stub!"); }

public void readMap(@android.annotation.NonNull java.util.Map outVal, @android.annotation.Nullable java.lang.ClassLoader loader) { throw new RuntimeException("Stub!"); }

public void readList(@android.annotation.NonNull java.util.List outVal, @android.annotation.Nullable java.lang.ClassLoader loader) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.util.HashMap readHashMap(@android.annotation.Nullable java.lang.ClassLoader loader) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.os.Bundle readBundle() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.os.Bundle readBundle(@android.annotation.Nullable java.lang.ClassLoader loader) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.os.PersistableBundle readPersistableBundle() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.os.PersistableBundle readPersistableBundle(@android.annotation.Nullable java.lang.ClassLoader loader) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.util.Size readSize() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.util.SizeF readSizeF() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public byte[] createByteArray() { throw new RuntimeException("Stub!"); }

public void readByteArray(@android.annotation.NonNull byte[] val) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.util.ArrayList readArrayList(@android.annotation.Nullable java.lang.ClassLoader loader) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.Object[] readArray(@android.annotation.Nullable java.lang.ClassLoader loader) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public <T> android.util.SparseArray<T> readSparseArray(@android.annotation.Nullable java.lang.ClassLoader loader) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.util.SparseBooleanArray readSparseBooleanArray() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public <T> java.util.ArrayList<T> createTypedArrayList(@android.annotation.NonNull android.os.Parcelable.Creator<T> c) { throw new RuntimeException("Stub!"); }

public <T> void readTypedList(@android.annotation.NonNull java.util.List<T> list, @android.annotation.NonNull android.os.Parcelable.Creator<T> c) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public <T extends android.os.Parcelable> android.util.SparseArray<T> createTypedSparseArray(@android.annotation.NonNull android.os.Parcelable.Creator<T> creator) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public <T extends android.os.Parcelable> android.util.ArrayMap<java.lang.String,T> createTypedArrayMap(@android.annotation.NonNull android.os.Parcelable.Creator<T> creator) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.util.ArrayList<java.lang.String> createStringArrayList() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.util.ArrayList<android.os.IBinder> createBinderArrayList() { throw new RuntimeException("Stub!"); }

public void readStringList(@android.annotation.NonNull java.util.List<java.lang.String> list) { throw new RuntimeException("Stub!"); }

public void readBinderList(@android.annotation.NonNull java.util.List<android.os.IBinder> list) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public <T extends android.os.Parcelable> java.util.List<T> readParcelableList(@android.annotation.NonNull java.util.List<T> list, @android.annotation.Nullable java.lang.ClassLoader cl) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public <T> T[] createTypedArray(@android.annotation.NonNull android.os.Parcelable.Creator<T> c) { throw new RuntimeException("Stub!"); }

public <T> void readTypedArray(@android.annotation.NonNull T[] val, @android.annotation.NonNull android.os.Parcelable.Creator<T> c) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public <T> T readTypedObject(@android.annotation.NonNull android.os.Parcelable.Creator<T> c) { throw new RuntimeException("Stub!"); }

public <T extends android.os.Parcelable> void writeParcelableArray(@android.annotation.Nullable T[] value, int parcelableFlags) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.Object readValue(@android.annotation.Nullable java.lang.ClassLoader loader) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public <T extends android.os.Parcelable> T readParcelable(@android.annotation.Nullable java.lang.ClassLoader loader) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.os.Parcelable.Creator<?> readParcelableCreator(@android.annotation.Nullable java.lang.ClassLoader loader) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.os.Parcelable[] readParcelableArray(@android.annotation.Nullable java.lang.ClassLoader loader) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.io.Serializable readSerializable() { throw new RuntimeException("Stub!"); }

protected void finalize() throws java.lang.Throwable { throw new RuntimeException("Stub!"); }

public static final android.os.Parcelable.Creator<java.lang.String> STRING_CREATOR;
static { STRING_CREATOR = null; }
}

