/*
 * Copyright (C) 2013 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.print;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class PrintAttributes implements android.os.Parcelable {

PrintAttributes() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.print.PrintAttributes.MediaSize getMediaSize() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.print.PrintAttributes.Resolution getResolution() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.print.PrintAttributes.Margins getMinMargins() { throw new RuntimeException("Stub!"); }

public int getColorMode() { throw new RuntimeException("Stub!"); }

public int getDuplexMode() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel parcel, int flags) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object obj) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public static final int COLOR_MODE_COLOR = 2; // 0x2

public static final int COLOR_MODE_MONOCHROME = 1; // 0x1

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.print.PrintAttributes> CREATOR;
static { CREATOR = null; }

public static final int DUPLEX_MODE_LONG_EDGE = 2; // 0x2

public static final int DUPLEX_MODE_NONE = 1; // 0x1

public static final int DUPLEX_MODE_SHORT_EDGE = 4; // 0x4
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.print.PrintAttributes.Builder setMediaSize(@android.annotation.NonNull android.print.PrintAttributes.MediaSize mediaSize) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.print.PrintAttributes.Builder setResolution(@android.annotation.NonNull android.print.PrintAttributes.Resolution resolution) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.print.PrintAttributes.Builder setMinMargins(@android.annotation.NonNull android.print.PrintAttributes.Margins margins) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.print.PrintAttributes.Builder setColorMode(int colorMode) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.print.PrintAttributes.Builder setDuplexMode(int duplexMode) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.print.PrintAttributes build() { throw new RuntimeException("Stub!"); }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Margins {

public Margins(int leftMils, int topMils, int rightMils, int bottomMils) { throw new RuntimeException("Stub!"); }

public int getLeftMils() { throw new RuntimeException("Stub!"); }

public int getTopMils() { throw new RuntimeException("Stub!"); }

public int getRightMils() { throw new RuntimeException("Stub!"); }

public int getBottomMils() { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object obj) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public static final android.print.PrintAttributes.Margins NO_MARGINS;
static { NO_MARGINS = null; }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class MediaSize {

public MediaSize(@android.annotation.NonNull java.lang.String id, @android.annotation.NonNull java.lang.String label, int widthMils, int heightMils) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getId() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getLabel(@android.annotation.NonNull android.content.pm.PackageManager packageManager) { throw new RuntimeException("Stub!"); }

public int getWidthMils() { throw new RuntimeException("Stub!"); }

public int getHeightMils() { throw new RuntimeException("Stub!"); }

public boolean isPortrait() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.print.PrintAttributes.MediaSize asPortrait() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.print.PrintAttributes.MediaSize asLandscape() { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object obj) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.print.PrintAttributes.MediaSize ANSI_C;
static { ANSI_C = null; }

@android.annotation.NonNull public static final android.print.PrintAttributes.MediaSize ANSI_D;
static { ANSI_D = null; }

@android.annotation.NonNull public static final android.print.PrintAttributes.MediaSize ANSI_E;
static { ANSI_E = null; }

@android.annotation.NonNull public static final android.print.PrintAttributes.MediaSize ANSI_F;
static { ANSI_F = null; }

public static final android.print.PrintAttributes.MediaSize ISO_A0;
static { ISO_A0 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_A1;
static { ISO_A1 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_A10;
static { ISO_A10 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_A2;
static { ISO_A2 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_A3;
static { ISO_A3 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_A4;
static { ISO_A4 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_A5;
static { ISO_A5 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_A6;
static { ISO_A6 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_A7;
static { ISO_A7 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_A8;
static { ISO_A8 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_A9;
static { ISO_A9 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_B0;
static { ISO_B0 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_B1;
static { ISO_B1 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_B10;
static { ISO_B10 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_B2;
static { ISO_B2 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_B3;
static { ISO_B3 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_B4;
static { ISO_B4 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_B5;
static { ISO_B5 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_B6;
static { ISO_B6 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_B7;
static { ISO_B7 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_B8;
static { ISO_B8 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_B9;
static { ISO_B9 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_C0;
static { ISO_C0 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_C1;
static { ISO_C1 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_C10;
static { ISO_C10 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_C2;
static { ISO_C2 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_C3;
static { ISO_C3 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_C4;
static { ISO_C4 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_C5;
static { ISO_C5 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_C6;
static { ISO_C6 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_C7;
static { ISO_C7 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_C8;
static { ISO_C8 = null; }

public static final android.print.PrintAttributes.MediaSize ISO_C9;
static { ISO_C9 = null; }

public static final android.print.PrintAttributes.MediaSize JIS_B0;
static { JIS_B0 = null; }

public static final android.print.PrintAttributes.MediaSize JIS_B1;
static { JIS_B1 = null; }

public static final android.print.PrintAttributes.MediaSize JIS_B10;
static { JIS_B10 = null; }

public static final android.print.PrintAttributes.MediaSize JIS_B2;
static { JIS_B2 = null; }

public static final android.print.PrintAttributes.MediaSize JIS_B3;
static { JIS_B3 = null; }

public static final android.print.PrintAttributes.MediaSize JIS_B4;
static { JIS_B4 = null; }

public static final android.print.PrintAttributes.MediaSize JIS_B5;
static { JIS_B5 = null; }

public static final android.print.PrintAttributes.MediaSize JIS_B6;
static { JIS_B6 = null; }

public static final android.print.PrintAttributes.MediaSize JIS_B7;
static { JIS_B7 = null; }

public static final android.print.PrintAttributes.MediaSize JIS_B8;
static { JIS_B8 = null; }

public static final android.print.PrintAttributes.MediaSize JIS_B9;
static { JIS_B9 = null; }

public static final android.print.PrintAttributes.MediaSize JIS_EXEC;
static { JIS_EXEC = null; }

public static final android.print.PrintAttributes.MediaSize JPN_CHOU2;
static { JPN_CHOU2 = null; }

public static final android.print.PrintAttributes.MediaSize JPN_CHOU3;
static { JPN_CHOU3 = null; }

public static final android.print.PrintAttributes.MediaSize JPN_CHOU4;
static { JPN_CHOU4 = null; }

public static final android.print.PrintAttributes.MediaSize JPN_HAGAKI;
static { JPN_HAGAKI = null; }

public static final android.print.PrintAttributes.MediaSize JPN_KAHU;
static { JPN_KAHU = null; }

public static final android.print.PrintAttributes.MediaSize JPN_KAKU2;
static { JPN_KAKU2 = null; }

@android.annotation.NonNull public static final android.print.PrintAttributes.MediaSize JPN_OE_PHOTO_L;
static { JPN_OE_PHOTO_L = null; }

public static final android.print.PrintAttributes.MediaSize JPN_OUFUKU;
static { JPN_OUFUKU = null; }

public static final android.print.PrintAttributes.MediaSize JPN_YOU4;
static { JPN_YOU4 = null; }

@android.annotation.NonNull public static final android.print.PrintAttributes.MediaSize NA_ARCH_A;
static { NA_ARCH_A = null; }

@android.annotation.NonNull public static final android.print.PrintAttributes.MediaSize NA_ARCH_B;
static { NA_ARCH_B = null; }

@android.annotation.NonNull public static final android.print.PrintAttributes.MediaSize NA_ARCH_C;
static { NA_ARCH_C = null; }

@android.annotation.NonNull public static final android.print.PrintAttributes.MediaSize NA_ARCH_D;
static { NA_ARCH_D = null; }

@android.annotation.NonNull public static final android.print.PrintAttributes.MediaSize NA_ARCH_E;
static { NA_ARCH_E = null; }

@android.annotation.NonNull public static final android.print.PrintAttributes.MediaSize NA_ARCH_E1;
static { NA_ARCH_E1 = null; }

public static final android.print.PrintAttributes.MediaSize NA_FOOLSCAP;
static { NA_FOOLSCAP = null; }

public static final android.print.PrintAttributes.MediaSize NA_GOVT_LETTER;
static { NA_GOVT_LETTER = null; }

public static final android.print.PrintAttributes.MediaSize NA_INDEX_3X5;
static { NA_INDEX_3X5 = null; }

public static final android.print.PrintAttributes.MediaSize NA_INDEX_4X6;
static { NA_INDEX_4X6 = null; }

public static final android.print.PrintAttributes.MediaSize NA_INDEX_5X8;
static { NA_INDEX_5X8 = null; }

public static final android.print.PrintAttributes.MediaSize NA_JUNIOR_LEGAL;
static { NA_JUNIOR_LEGAL = null; }

public static final android.print.PrintAttributes.MediaSize NA_LEDGER;
static { NA_LEDGER = null; }

public static final android.print.PrintAttributes.MediaSize NA_LEGAL;
static { NA_LEGAL = null; }

public static final android.print.PrintAttributes.MediaSize NA_LETTER;
static { NA_LETTER = null; }

public static final android.print.PrintAttributes.MediaSize NA_MONARCH;
static { NA_MONARCH = null; }

public static final android.print.PrintAttributes.MediaSize NA_QUARTO;
static { NA_QUARTO = null; }

@android.annotation.NonNull public static final android.print.PrintAttributes.MediaSize NA_SUPER_B;
static { NA_SUPER_B = null; }

public static final android.print.PrintAttributes.MediaSize NA_TABLOID;
static { NA_TABLOID = null; }

public static final android.print.PrintAttributes.MediaSize OM_DAI_PA_KAI;
static { OM_DAI_PA_KAI = null; }

public static final android.print.PrintAttributes.MediaSize OM_JUURO_KU_KAI;
static { OM_JUURO_KU_KAI = null; }

public static final android.print.PrintAttributes.MediaSize OM_PA_KAI;
static { OM_PA_KAI = null; }

public static final android.print.PrintAttributes.MediaSize PRC_1;
static { PRC_1 = null; }

public static final android.print.PrintAttributes.MediaSize PRC_10;
static { PRC_10 = null; }

public static final android.print.PrintAttributes.MediaSize PRC_16K;
static { PRC_16K = null; }

public static final android.print.PrintAttributes.MediaSize PRC_2;
static { PRC_2 = null; }

public static final android.print.PrintAttributes.MediaSize PRC_3;
static { PRC_3 = null; }

public static final android.print.PrintAttributes.MediaSize PRC_4;
static { PRC_4 = null; }

public static final android.print.PrintAttributes.MediaSize PRC_5;
static { PRC_5 = null; }

public static final android.print.PrintAttributes.MediaSize PRC_6;
static { PRC_6 = null; }

public static final android.print.PrintAttributes.MediaSize PRC_7;
static { PRC_7 = null; }

public static final android.print.PrintAttributes.MediaSize PRC_8;
static { PRC_8 = null; }

public static final android.print.PrintAttributes.MediaSize PRC_9;
static { PRC_9 = null; }

public static final android.print.PrintAttributes.MediaSize ROC_16K;
static { ROC_16K = null; }

public static final android.print.PrintAttributes.MediaSize ROC_8K;
static { ROC_8K = null; }

public static final android.print.PrintAttributes.MediaSize UNKNOWN_LANDSCAPE;
static { UNKNOWN_LANDSCAPE = null; }

public static final android.print.PrintAttributes.MediaSize UNKNOWN_PORTRAIT;
static { UNKNOWN_PORTRAIT = null; }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Resolution {

public Resolution(@android.annotation.NonNull java.lang.String id, @android.annotation.NonNull java.lang.String label, int horizontalDpi, int verticalDpi) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getId() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getLabel() { throw new RuntimeException("Stub!"); }

public int getHorizontalDpi() { throw new RuntimeException("Stub!"); }

public int getVerticalDpi() { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object obj) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }
}

}

