/*
 * Copyright (C) 2013 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.printservice;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public abstract class PrinterDiscoverySession {

public PrinterDiscoverySession() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public final java.util.List<android.print.PrinterInfo> getPrinters() { throw new RuntimeException("Stub!"); }

public final void addPrinters(@android.annotation.NonNull java.util.List<android.print.PrinterInfo> printers) { throw new RuntimeException("Stub!"); }

public final void removePrinters(@android.annotation.NonNull java.util.List<android.print.PrinterId> printerIds) { throw new RuntimeException("Stub!"); }

public abstract void onStartPrinterDiscovery(@android.annotation.NonNull java.util.List<android.print.PrinterId> priorityList);

public abstract void onStopPrinterDiscovery();

public abstract void onValidatePrinters(@android.annotation.NonNull java.util.List<android.print.PrinterId> printerIds);

public abstract void onStartPrinterStateTracking(@android.annotation.NonNull android.print.PrinterId printerId);

public void onRequestCustomPrinterIcon(@android.annotation.NonNull android.print.PrinterId printerId, @android.annotation.NonNull android.os.CancellationSignal cancellationSignal, @android.annotation.NonNull android.printservice.CustomPrinterIconCallback callback) { throw new RuntimeException("Stub!"); }

public abstract void onStopPrinterStateTracking(@android.annotation.NonNull android.print.PrinterId printerId);

@android.annotation.NonNull
public final java.util.List<android.print.PrinterId> getTrackedPrinters() { throw new RuntimeException("Stub!"); }

public abstract void onDestroy();

public final boolean isDestroyed() { throw new RuntimeException("Stub!"); }

public final boolean isPrinterDiscoveryStarted() { throw new RuntimeException("Stub!"); }
}

