/*
 * Copyright 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.security.identity;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public abstract class ResultData {

ResultData() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public abstract byte[] getAuthenticatedData();

@android.annotation.Nullable
public abstract byte[] getMessageAuthenticationCode();

@android.annotation.NonNull
public abstract byte[] getStaticAuthenticationData();

@android.annotation.NonNull
public abstract java.util.Collection<java.lang.String> getNamespaces();

@android.annotation.Nullable
public abstract java.util.Collection<java.lang.String> getEntryNames(@android.annotation.NonNull java.lang.String namespaceName);

@android.annotation.Nullable
public abstract java.util.Collection<java.lang.String> getRetrievedEntryNames(@android.annotation.NonNull java.lang.String namespaceName);

public abstract int getStatus(@android.annotation.NonNull java.lang.String namespaceName, @android.annotation.NonNull java.lang.String name);

@android.annotation.Nullable
public abstract byte[] getEntry(@android.annotation.NonNull java.lang.String namespaceName, @android.annotation.NonNull java.lang.String name);

public static final int STATUS_NOT_IN_REQUEST_MESSAGE = 3; // 0x3

public static final int STATUS_NOT_REQUESTED = 2; // 0x2

public static final int STATUS_NO_ACCESS_CONTROL_PROFILES = 6; // 0x6

public static final int STATUS_NO_SUCH_ENTRY = 1; // 0x1

public static final int STATUS_OK = 0; // 0x0

public static final int STATUS_READER_AUTHENTICATION_FAILED = 5; // 0x5

public static final int STATUS_USER_AUTHENTICATION_FAILED = 4; // 0x4
}

