/*
 * Copyright (C) 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package android.service.controls;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public abstract class ControlsProviderService extends android.app.Service {

public ControlsProviderService() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public abstract java.util.concurrent.Flow.Publisher<android.service.controls.Control> createPublisherForAllAvailable();

@android.annotation.Nullable
public java.util.concurrent.Flow.Publisher<android.service.controls.Control> createPublisherForSuggested() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public abstract java.util.concurrent.Flow.Publisher<android.service.controls.Control> createPublisherFor(@android.annotation.NonNull java.util.List<java.lang.String> controlIds);

public abstract void performControlAction(@android.annotation.NonNull java.lang.String controlId, @android.annotation.NonNull android.service.controls.actions.ControlAction action, @android.annotation.NonNull java.util.function.Consumer<java.lang.Integer> consumer);

@android.annotation.NonNull
public final android.os.IBinder onBind(@android.annotation.NonNull android.content.Intent intent) { throw new RuntimeException("Stub!"); }

public final boolean onUnbind(@android.annotation.NonNull android.content.Intent intent) { throw new RuntimeException("Stub!"); }

public static void requestAddControl(@android.annotation.NonNull android.content.Context context, @android.annotation.NonNull android.content.ComponentName componentName, @android.annotation.NonNull android.service.controls.Control control) { throw new RuntimeException("Stub!"); }

public static final java.lang.String SERVICE_CONTROLS = "android.service.controls.ControlsProviderService";

@android.annotation.NonNull public static final java.lang.String TAG = "ControlsProviderService";
}

