/*
 * Copyright (C) 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.service.controls;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class DeviceTypes {

private DeviceTypes() { throw new RuntimeException("Stub!"); }

public static boolean validDeviceType(int deviceType) { throw new RuntimeException("Stub!"); }

public static final int TYPE_AC_HEATER = 1; // 0x1

public static final int TYPE_AC_UNIT = 2; // 0x2

public static final int TYPE_AIR_FRESHENER = 3; // 0x3

public static final int TYPE_AIR_PURIFIER = 4; // 0x4

public static final int TYPE_AWNING = 33; // 0x21

public static final int TYPE_BLINDS = 34; // 0x22

public static final int TYPE_CAMERA = 50; // 0x32

public static final int TYPE_CLOSET = 35; // 0x23

public static final int TYPE_COFFEE_MAKER = 5; // 0x5

public static final int TYPE_CURTAIN = 36; // 0x24

public static final int TYPE_DEHUMIDIFIER = 6; // 0x6

public static final int TYPE_DISHWASHER = 24; // 0x18

public static final int TYPE_DISPLAY = 7; // 0x7

public static final int TYPE_DOOR = 37; // 0x25

public static final int TYPE_DOORBELL = 51; // 0x33

public static final int TYPE_DRAWER = 38; // 0x26

public static final int TYPE_DRYER = 25; // 0x19

public static final int TYPE_FAN = 8; // 0x8

public static final int TYPE_GARAGE = 39; // 0x27

public static final int TYPE_GATE = 40; // 0x28

public static final int TYPE_GENERIC_ARM_DISARM = -5; // 0xfffffffb

public static final int TYPE_GENERIC_LOCK_UNLOCK = -4; // 0xfffffffc

public static final int TYPE_GENERIC_ON_OFF = -1; // 0xffffffff

public static final int TYPE_GENERIC_OPEN_CLOSE = -3; // 0xfffffffd

public static final int TYPE_GENERIC_START_STOP = -2; // 0xfffffffe

public static final int TYPE_GENERIC_TEMP_SETTING = -6; // 0xfffffffa

public static final int TYPE_GENERIC_VIEWSTREAM = -7; // 0xfffffff9

public static final int TYPE_HEATER = 47; // 0x2f

public static final int TYPE_HOOD = 10; // 0xa

public static final int TYPE_HUMIDIFIER = 11; // 0xb

public static final int TYPE_KETTLE = 12; // 0xc

public static final int TYPE_LIGHT = 13; // 0xd

public static final int TYPE_LOCK = 45; // 0x2d

public static final int TYPE_MICROWAVE = 14; // 0xe

public static final int TYPE_MOP = 26; // 0x1a

public static final int TYPE_MOWER = 27; // 0x1b

public static final int TYPE_MULTICOOKER = 28; // 0x1c

public static final int TYPE_OUTLET = 15; // 0xf

public static final int TYPE_PERGOLA = 41; // 0x29

public static final int TYPE_RADIATOR = 16; // 0x10

public static final int TYPE_REFRIGERATOR = 48; // 0x30

public static final int TYPE_REMOTE_CONTROL = 17; // 0x11

public static final int TYPE_ROUTINE = 52; // 0x34

public static final int TYPE_SECURITY_SYSTEM = 46; // 0x2e

public static final int TYPE_SET_TOP = 18; // 0x12

public static final int TYPE_SHOWER = 29; // 0x1d

public static final int TYPE_SHUTTER = 42; // 0x2a

public static final int TYPE_SPRINKLER = 30; // 0x1e

public static final int TYPE_STANDMIXER = 19; // 0x13

public static final int TYPE_STYLER = 20; // 0x14

public static final int TYPE_SWITCH = 21; // 0x15

public static final int TYPE_THERMOSTAT = 49; // 0x31

public static final int TYPE_TV = 22; // 0x16

public static final int TYPE_UNKNOWN = 0; // 0x0

public static final int TYPE_VACUUM = 32; // 0x20

public static final int TYPE_VALVE = 44; // 0x2c

public static final int TYPE_WASHER = 31; // 0x1f

public static final int TYPE_WATER_HEATER = 23; // 0x17

public static final int TYPE_WINDOW = 43; // 0x2b
}

