/*
 * Copyright (C) 2014 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.telecom;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class PhoneAccount implements android.os.Parcelable {

private PhoneAccount() { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public static android.telecom.PhoneAccount.Builder builder(android.telecom.PhoneAccountHandle accountHandle, java.lang.CharSequence label) { throw new RuntimeException("Stub!"); }

public android.telecom.PhoneAccount.Builder toBuilder() { throw new RuntimeException("Stub!"); }

public android.telecom.PhoneAccountHandle getAccountHandle() { throw new RuntimeException("Stub!"); }

public android.net.Uri getAddress() { throw new RuntimeException("Stub!"); }

public android.net.Uri getSubscriptionAddress() { throw new RuntimeException("Stub!"); }

public int getCapabilities() { throw new RuntimeException("Stub!"); }

public boolean hasCapabilities(int capability) { throw new RuntimeException("Stub!"); }

public java.lang.CharSequence getLabel() { throw new RuntimeException("Stub!"); }

public java.lang.CharSequence getShortDescription() { throw new RuntimeException("Stub!"); }

public java.util.List<java.lang.String> getSupportedUriSchemes() { throw new RuntimeException("Stub!"); }

public android.os.Bundle getExtras() { throw new RuntimeException("Stub!"); }

public android.graphics.drawable.Icon getIcon() { throw new RuntimeException("Stub!"); }

public boolean isEnabled() { throw new RuntimeException("Stub!"); }

public boolean supportsUriScheme(java.lang.String uriScheme) { throw new RuntimeException("Stub!"); }

public int getHighlightColor() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel out, int flags) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public static final int CAPABILITY_ADHOC_CONFERENCE_CALLING = 16384; // 0x4000

public static final int CAPABILITY_CALL_COMPOSER = 32768; // 0x8000

public static final int CAPABILITY_CALL_PROVIDER = 2; // 0x2

public static final int CAPABILITY_CALL_SUBJECT = 64; // 0x40

public static final int CAPABILITY_CONNECTION_MANAGER = 1; // 0x1

public static final int CAPABILITY_PLACE_EMERGENCY_CALLS = 16; // 0x10

public static final int CAPABILITY_RTT = 4096; // 0x1000

public static final int CAPABILITY_SELF_MANAGED = 2048; // 0x800

public static final int CAPABILITY_SIM_SUBSCRIPTION = 4; // 0x4

public static final int CAPABILITY_SUPPORTS_VIDEO_CALLING = 1024; // 0x400

public static final int CAPABILITY_VIDEO_CALLING = 8; // 0x8

public static final int CAPABILITY_VIDEO_CALLING_RELIES_ON_PRESENCE = 256; // 0x100

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.telecom.PhoneAccount> CREATOR;
static { CREATOR = null; }

public static final java.lang.String EXTRA_ADD_SELF_MANAGED_CALLS_TO_INCALLSERVICE = "android.telecom.extra.ADD_SELF_MANAGED_CALLS_TO_INCALLSERVICE";

public static final java.lang.String EXTRA_ALWAYS_USE_VOIP_AUDIO_MODE = "android.telecom.extra.ALWAYS_USE_VOIP_AUDIO_MODE";

public static final java.lang.String EXTRA_CALL_SUBJECT_CHARACTER_ENCODING = "android.telecom.extra.CALL_SUBJECT_CHARACTER_ENCODING";

public static final java.lang.String EXTRA_CALL_SUBJECT_MAX_LENGTH = "android.telecom.extra.CALL_SUBJECT_MAX_LENGTH";

public static final java.lang.String EXTRA_LOG_SELF_MANAGED_CALLS = "android.telecom.extra.LOG_SELF_MANAGED_CALLS";

public static final java.lang.String EXTRA_SUPPORTS_HANDOVER_FROM = "android.telecom.extra.SUPPORTS_HANDOVER_FROM";

public static final java.lang.String EXTRA_SUPPORTS_HANDOVER_TO = "android.telecom.extra.SUPPORTS_HANDOVER_TO";

public static final int NO_HIGHLIGHT_COLOR = 0; // 0x0

public static final int NO_RESOURCE_ID = -1; // 0xffffffff

public static final java.lang.String SCHEME_SIP = "sip";

public static final java.lang.String SCHEME_TEL = "tel";

public static final java.lang.String SCHEME_VOICEMAIL = "voicemail";
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class Builder {

public Builder(android.telecom.PhoneAccountHandle accountHandle, java.lang.CharSequence label) { throw new RuntimeException("Stub!"); }

public Builder(android.telecom.PhoneAccount phoneAccount) { throw new RuntimeException("Stub!"); }

public android.telecom.PhoneAccount.Builder setAddress(android.net.Uri value) { throw new RuntimeException("Stub!"); }

public android.telecom.PhoneAccount.Builder setSubscriptionAddress(android.net.Uri value) { throw new RuntimeException("Stub!"); }

public android.telecom.PhoneAccount.Builder setCapabilities(int value) { throw new RuntimeException("Stub!"); }

public android.telecom.PhoneAccount.Builder setIcon(android.graphics.drawable.Icon icon) { throw new RuntimeException("Stub!"); }

public android.telecom.PhoneAccount.Builder setHighlightColor(int value) { throw new RuntimeException("Stub!"); }

public android.telecom.PhoneAccount.Builder setShortDescription(java.lang.CharSequence value) { throw new RuntimeException("Stub!"); }

public android.telecom.PhoneAccount.Builder addSupportedUriScheme(java.lang.String uriScheme) { throw new RuntimeException("Stub!"); }

public android.telecom.PhoneAccount.Builder setSupportedUriSchemes(java.util.List<java.lang.String> uriSchemes) { throw new RuntimeException("Stub!"); }

public android.telecom.PhoneAccount.Builder setExtras(android.os.Bundle extras) { throw new RuntimeException("Stub!"); }

public android.telecom.PhoneAccount build() { throw new RuntimeException("Stub!"); }
}

}

