/*
 * Copyright (C) 2017 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.telephony;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class AccessNetworkConstants {

private AccessNetworkConstants() { throw new RuntimeException("Stub!"); }

public static final int TRANSPORT_TYPE_WLAN = 2; // 0x2

public static final int TRANSPORT_TYPE_WWAN = 1; // 0x1
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class AccessNetworkType {

private AccessNetworkType() { throw new RuntimeException("Stub!"); }

public static final int CDMA2000 = 4; // 0x4

public static final int EUTRAN = 3; // 0x3

public static final int GERAN = 1; // 0x1

public static final int IWLAN = 5; // 0x5

public static final int NGRAN = 6; // 0x6

public static final int UNKNOWN = 0; // 0x0

public static final int UTRAN = 2; // 0x2
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class EutranBand {

private EutranBand() { throw new RuntimeException("Stub!"); }

public static final int BAND_1 = 1; // 0x1

public static final int BAND_10 = 10; // 0xa

public static final int BAND_11 = 11; // 0xb

public static final int BAND_12 = 12; // 0xc

public static final int BAND_13 = 13; // 0xd

public static final int BAND_14 = 14; // 0xe

public static final int BAND_17 = 17; // 0x11

public static final int BAND_18 = 18; // 0x12

public static final int BAND_19 = 19; // 0x13

public static final int BAND_2 = 2; // 0x2

public static final int BAND_20 = 20; // 0x14

public static final int BAND_21 = 21; // 0x15

public static final int BAND_22 = 22; // 0x16

public static final int BAND_23 = 23; // 0x17

public static final int BAND_24 = 24; // 0x18

public static final int BAND_25 = 25; // 0x19

public static final int BAND_26 = 26; // 0x1a

public static final int BAND_27 = 27; // 0x1b

public static final int BAND_28 = 28; // 0x1c

public static final int BAND_3 = 3; // 0x3

public static final int BAND_30 = 30; // 0x1e

public static final int BAND_31 = 31; // 0x1f

public static final int BAND_33 = 33; // 0x21

public static final int BAND_34 = 34; // 0x22

public static final int BAND_35 = 35; // 0x23

public static final int BAND_36 = 36; // 0x24

public static final int BAND_37 = 37; // 0x25

public static final int BAND_38 = 38; // 0x26

public static final int BAND_39 = 39; // 0x27

public static final int BAND_4 = 4; // 0x4

public static final int BAND_40 = 40; // 0x28

public static final int BAND_41 = 41; // 0x29

public static final int BAND_42 = 42; // 0x2a

public static final int BAND_43 = 43; // 0x2b

public static final int BAND_44 = 44; // 0x2c

public static final int BAND_45 = 45; // 0x2d

public static final int BAND_46 = 46; // 0x2e

public static final int BAND_47 = 47; // 0x2f

public static final int BAND_48 = 48; // 0x30

public static final int BAND_49 = 49; // 0x31

public static final int BAND_5 = 5; // 0x5

public static final int BAND_50 = 50; // 0x32

public static final int BAND_51 = 51; // 0x33

public static final int BAND_52 = 52; // 0x34

public static final int BAND_53 = 53; // 0x35

public static final int BAND_6 = 6; // 0x6

public static final int BAND_65 = 65; // 0x41

public static final int BAND_66 = 66; // 0x42

public static final int BAND_68 = 68; // 0x44

public static final int BAND_7 = 7; // 0x7

public static final int BAND_70 = 70; // 0x46

public static final int BAND_71 = 71; // 0x47

public static final int BAND_72 = 72; // 0x48

public static final int BAND_73 = 73; // 0x49

public static final int BAND_74 = 74; // 0x4a

public static final int BAND_8 = 8; // 0x8

public static final int BAND_85 = 85; // 0x55

public static final int BAND_87 = 87; // 0x57

public static final int BAND_88 = 88; // 0x58

public static final int BAND_9 = 9; // 0x9
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class GeranBand {

private GeranBand() { throw new RuntimeException("Stub!"); }

public static final int BAND_450 = 3; // 0x3

public static final int BAND_480 = 4; // 0x4

public static final int BAND_710 = 5; // 0x5

public static final int BAND_750 = 6; // 0x6

public static final int BAND_850 = 8; // 0x8

public static final int BAND_DCS1800 = 12; // 0xc

public static final int BAND_E900 = 10; // 0xa

public static final int BAND_ER900 = 14; // 0xe

public static final int BAND_P900 = 9; // 0x9

public static final int BAND_PCS1900 = 13; // 0xd

public static final int BAND_R900 = 11; // 0xb

public static final int BAND_T380 = 1; // 0x1

public static final int BAND_T410 = 2; // 0x2

public static final int BAND_T810 = 7; // 0x7
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class NgranBands {

private NgranBands() { throw new RuntimeException("Stub!"); }

public static final int BAND_1 = 1; // 0x1

public static final int BAND_12 = 12; // 0xc

public static final int BAND_14 = 14; // 0xe

public static final int BAND_18 = 18; // 0x12

public static final int BAND_2 = 2; // 0x2

public static final int BAND_20 = 20; // 0x14

public static final int BAND_25 = 25; // 0x19

public static final int BAND_257 = 257; // 0x101

public static final int BAND_258 = 258; // 0x102

public static final int BAND_26 = 26; // 0x1a

public static final int BAND_260 = 260; // 0x104

public static final int BAND_261 = 261; // 0x105

public static final int BAND_28 = 28; // 0x1c

public static final int BAND_29 = 29; // 0x1d

public static final int BAND_3 = 3; // 0x3

public static final int BAND_30 = 30; // 0x1e

public static final int BAND_34 = 34; // 0x22

public static final int BAND_38 = 38; // 0x26

public static final int BAND_39 = 39; // 0x27

public static final int BAND_40 = 40; // 0x28

public static final int BAND_41 = 41; // 0x29

public static final int BAND_46 = 46; // 0x2e

public static final int BAND_48 = 48; // 0x30

public static final int BAND_5 = 5; // 0x5

public static final int BAND_50 = 50; // 0x32

public static final int BAND_51 = 51; // 0x33

public static final int BAND_53 = 53; // 0x35

public static final int BAND_65 = 65; // 0x41

public static final int BAND_66 = 66; // 0x42

public static final int BAND_7 = 7; // 0x7

public static final int BAND_70 = 70; // 0x46

public static final int BAND_71 = 71; // 0x47

public static final int BAND_74 = 74; // 0x4a

public static final int BAND_75 = 75; // 0x4b

public static final int BAND_76 = 76; // 0x4c

public static final int BAND_77 = 77; // 0x4d

public static final int BAND_78 = 78; // 0x4e

public static final int BAND_79 = 79; // 0x4f

public static final int BAND_8 = 8; // 0x8

public static final int BAND_80 = 80; // 0x50

public static final int BAND_81 = 81; // 0x51

public static final int BAND_82 = 82; // 0x52

public static final int BAND_83 = 83; // 0x53

public static final int BAND_84 = 84; // 0x54

public static final int BAND_86 = 86; // 0x56

public static final int BAND_89 = 89; // 0x59

public static final int BAND_90 = 90; // 0x5a

public static final int BAND_91 = 91; // 0x5b

public static final int BAND_92 = 92; // 0x5c

public static final int BAND_93 = 93; // 0x5d

public static final int BAND_94 = 94; // 0x5e

public static final int BAND_95 = 95; // 0x5f

public static final int BAND_96 = 96; // 0x60
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class UtranBand {

private UtranBand() { throw new RuntimeException("Stub!"); }

public static final int BAND_1 = 1; // 0x1

public static final int BAND_10 = 10; // 0xa

public static final int BAND_11 = 11; // 0xb

public static final int BAND_12 = 12; // 0xc

public static final int BAND_13 = 13; // 0xd

public static final int BAND_14 = 14; // 0xe

public static final int BAND_19 = 19; // 0x13

public static final int BAND_2 = 2; // 0x2

public static final int BAND_20 = 20; // 0x14

public static final int BAND_21 = 21; // 0x15

public static final int BAND_22 = 22; // 0x16

public static final int BAND_25 = 25; // 0x19

public static final int BAND_26 = 26; // 0x1a

public static final int BAND_3 = 3; // 0x3

public static final int BAND_4 = 4; // 0x4

public static final int BAND_5 = 5; // 0x5

public static final int BAND_6 = 6; // 0x6

public static final int BAND_7 = 7; // 0x7

public static final int BAND_8 = 8; // 0x8

public static final int BAND_9 = 9; // 0x9

public static final int BAND_A = 101; // 0x65

public static final int BAND_B = 102; // 0x66

public static final int BAND_C = 103; // 0x67

public static final int BAND_D = 104; // 0x68

public static final int BAND_E = 105; // 0x69

public static final int BAND_F = 106; // 0x6a
}

}

