/*
 * Copyright 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.telephony;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class BarringInfo implements android.os.Parcelable {

BarringInfo() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.telephony.BarringInfo.BarringServiceInfo getBarringServiceInfo(int service) { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object rhs) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public static final int BARRING_SERVICE_TYPE_CS_FALLBACK = 5; // 0x5

public static final int BARRING_SERVICE_TYPE_CS_SERVICE = 0; // 0x0

public static final int BARRING_SERVICE_TYPE_CS_VOICE = 2; // 0x2

public static final int BARRING_SERVICE_TYPE_EMERGENCY = 8; // 0x8

public static final int BARRING_SERVICE_TYPE_MMTEL_VIDEO = 7; // 0x7

public static final int BARRING_SERVICE_TYPE_MMTEL_VOICE = 6; // 0x6

public static final int BARRING_SERVICE_TYPE_MO_DATA = 4; // 0x4

public static final int BARRING_SERVICE_TYPE_MO_SIGNALLING = 3; // 0x3

public static final int BARRING_SERVICE_TYPE_PS_SERVICE = 1; // 0x1

public static final int BARRING_SERVICE_TYPE_SMS = 9; // 0x9

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.telephony.BarringInfo> CREATOR;
static { CREATOR = null; }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class BarringServiceInfo implements android.os.Parcelable {

BarringServiceInfo() { throw new RuntimeException("Stub!"); }

public int getBarringType() { throw new RuntimeException("Stub!"); }

public boolean isConditionallyBarred() { throw new RuntimeException("Stub!"); }

public int getConditionalBarringFactor() { throw new RuntimeException("Stub!"); }

public int getConditionalBarringTimeSeconds() { throw new RuntimeException("Stub!"); }

public boolean isBarred() { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object rhs) { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public static final int BARRING_TYPE_CONDITIONAL = 1; // 0x1

public static final int BARRING_TYPE_NONE = 0; // 0x0

public static final int BARRING_TYPE_UNCONDITIONAL = 2; // 0x2

public static final int BARRING_TYPE_UNKNOWN = -1; // 0xffffffff

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.telephony.BarringInfo.BarringServiceInfo> CREATOR;
static { CREATOR = null; }
}

}

