/*
 * Copyright (C) 2014 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.telephony;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class SubscriptionManager {

SubscriptionManager() { throw new RuntimeException("Stub!"); }

@Deprecated
public static android.telephony.SubscriptionManager from(android.content.Context context) { throw new RuntimeException("Stub!"); }

@Deprecated
public void addOnSubscriptionsChangedListener(android.telephony.SubscriptionManager.OnSubscriptionsChangedListener listener) { throw new RuntimeException("Stub!"); }

public void addOnSubscriptionsChangedListener(@android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.telephony.SubscriptionManager.OnSubscriptionsChangedListener listener) { throw new RuntimeException("Stub!"); }

public void removeOnSubscriptionsChangedListener(android.telephony.SubscriptionManager.OnSubscriptionsChangedListener listener) { throw new RuntimeException("Stub!"); }

public void addOnOpportunisticSubscriptionsChangedListener(@android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.telephony.SubscriptionManager.OnOpportunisticSubscriptionsChangedListener listener) { throw new RuntimeException("Stub!"); }

public void removeOnOpportunisticSubscriptionsChangedListener(@android.annotation.NonNull android.telephony.SubscriptionManager.OnOpportunisticSubscriptionsChangedListener listener) { throw new RuntimeException("Stub!"); }

public android.telephony.SubscriptionInfo getActiveSubscriptionInfo(int subId) { throw new RuntimeException("Stub!"); }

public android.telephony.SubscriptionInfo getActiveSubscriptionInfoForSimSlotIndex(int slotIndex) { throw new RuntimeException("Stub!"); }

public java.util.List<android.telephony.SubscriptionInfo> getActiveSubscriptionInfoList() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<android.telephony.SubscriptionInfo> getCompleteActiveSubscriptionInfoList() { throw new RuntimeException("Stub!"); }

public java.util.List<android.telephony.SubscriptionInfo> getAccessibleSubscriptionInfoList() { throw new RuntimeException("Stub!"); }

public int getActiveSubscriptionInfoCount() { throw new RuntimeException("Stub!"); }

public int getActiveSubscriptionInfoCountMax() { throw new RuntimeException("Stub!"); }

public static int getSlotIndex(int subscriptionId) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public int[] getSubscriptionIds(int slotIndex) { throw new RuntimeException("Stub!"); }

public static int getDefaultSubscriptionId() { throw new RuntimeException("Stub!"); }

public static int getDefaultVoiceSubscriptionId() { throw new RuntimeException("Stub!"); }

public static int getDefaultSmsSubscriptionId() { throw new RuntimeException("Stub!"); }

public static int getDefaultDataSubscriptionId() { throw new RuntimeException("Stub!"); }

public static boolean isValidSubscriptionId(int subscriptionId) { throw new RuntimeException("Stub!"); }

public static boolean isUsableSubscriptionId(int subscriptionId) { throw new RuntimeException("Stub!"); }

public boolean isNetworkRoaming(int subId) { throw new RuntimeException("Stub!"); }

public boolean isActiveSubscriptionId(int subscriptionId) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<android.telephony.SubscriptionPlan> getSubscriptionPlans(int subId) { throw new RuntimeException("Stub!"); }

public void setSubscriptionPlans(int subId, @android.annotation.NonNull java.util.List<android.telephony.SubscriptionPlan> plans) { throw new RuntimeException("Stub!"); }

public void setSubscriptionOverrideUnmetered(int subId, boolean overrideUnmetered, long timeoutMillis) { throw new RuntimeException("Stub!"); }

public void setSubscriptionOverrideUnmetered(int subId, boolean overrideUnmetered, @android.annotation.NonNull int[] networkTypes, long timeoutMillis) { throw new RuntimeException("Stub!"); }

public void setSubscriptionOverrideCongested(int subId, boolean overrideCongested, long timeoutMillis) { throw new RuntimeException("Stub!"); }

public void setSubscriptionOverrideCongested(int subId, boolean overrideCongested, @android.annotation.NonNull int[] networkTypes, long timeoutMillis) { throw new RuntimeException("Stub!"); }

public boolean canManageSubscription(android.telephony.SubscriptionInfo info) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<android.telephony.SubscriptionInfo> getOpportunisticSubscriptions() { throw new RuntimeException("Stub!"); }

public void switchToSubscription(int subId, @android.annotation.NonNull android.app.PendingIntent callbackIntent) { throw new RuntimeException("Stub!"); }

public boolean setOpportunistic(boolean opportunistic, int subId) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.ParcelUuid createSubscriptionGroup(@android.annotation.NonNull java.util.List<java.lang.Integer> subIdList) { throw new RuntimeException("Stub!"); }

public void addSubscriptionsIntoGroup(@android.annotation.NonNull java.util.List<java.lang.Integer> subIdList, @android.annotation.NonNull android.os.ParcelUuid groupUuid) { throw new RuntimeException("Stub!"); }

public void removeSubscriptionsFromGroup(@android.annotation.NonNull java.util.List<java.lang.Integer> subIdList, @android.annotation.NonNull android.os.ParcelUuid groupUuid) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<android.telephony.SubscriptionInfo> getSubscriptionsInGroup(@android.annotation.NonNull android.os.ParcelUuid groupUuid) { throw new RuntimeException("Stub!"); }

public void setDeviceToDeviceStatusSharingPreference(int subscriptionId, int sharing) { throw new RuntimeException("Stub!"); }

public int getDeviceToDeviceStatusSharingPreference(int subscriptionId) { throw new RuntimeException("Stub!"); }

public void setDeviceToDeviceStatusSharingContacts(int subscriptionId, @android.annotation.NonNull java.util.List<android.net.Uri> contacts) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.util.List<android.net.Uri> getDeviceToDeviceStatusSharingContacts(int subscriptionId) { throw new RuntimeException("Stub!"); }

public static int getActiveDataSubscriptionId() { throw new RuntimeException("Stub!"); }

public static final java.lang.String ACTION_DEFAULT_SMS_SUBSCRIPTION_CHANGED = "android.telephony.action.DEFAULT_SMS_SUBSCRIPTION_CHANGED";

public static final java.lang.String ACTION_DEFAULT_SUBSCRIPTION_CHANGED = "android.telephony.action.DEFAULT_SUBSCRIPTION_CHANGED";

public static final java.lang.String ACTION_MANAGE_SUBSCRIPTION_PLANS = "android.telephony.action.MANAGE_SUBSCRIPTION_PLANS";

public static final java.lang.String ACTION_REFRESH_SUBSCRIPTION_PLANS = "android.telephony.action.REFRESH_SUBSCRIPTION_PLANS";

public static final int D2D_SHARING_ALL = 3; // 0x3

public static final int D2D_SHARING_ALL_CONTACTS = 1; // 0x1

public static final int D2D_SHARING_DISABLED = 0; // 0x0

public static final int D2D_SHARING_SELECTED_CONTACTS = 2; // 0x2

public static final java.lang.String D2D_STATUS_SHARING = "d2d_sharing_status";

public static final java.lang.String D2D_STATUS_SHARING_SELECTED_CONTACTS = "d2d_sharing_contacts";

public static final int DATA_ROAMING_DISABLE = 0; // 0x0

public static final int DATA_ROAMING_ENABLE = 1; // 0x1

public static final int DEFAULT_SUBSCRIPTION_ID = 2147483647; // 0x7fffffff

public static final java.lang.String EXTRA_SLOT_INDEX = "android.telephony.extra.SLOT_INDEX";

public static final java.lang.String EXTRA_SUBSCRIPTION_INDEX = "android.telephony.extra.SUBSCRIPTION_INDEX";

public static final int INVALID_SIM_SLOT_INDEX = -1; // 0xffffffff

public static final int INVALID_SUBSCRIPTION_ID = -1; // 0xffffffff

public static final int SUBSCRIPTION_TYPE_LOCAL_SIM = 0; // 0x0

public static final int SUBSCRIPTION_TYPE_REMOTE_SIM = 1; // 0x1
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class OnOpportunisticSubscriptionsChangedListener {

public OnOpportunisticSubscriptionsChangedListener() { throw new RuntimeException("Stub!"); }

public void onOpportunisticSubscriptionsChanged() { throw new RuntimeException("Stub!"); }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class OnSubscriptionsChangedListener {

public OnSubscriptionsChangedListener() { throw new RuntimeException("Stub!"); }

public void onSubscriptionsChanged() { throw new RuntimeException("Stub!"); }
}

}

