/*
 * Copyright (C) 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.telephony;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class TelephonyCallback {

public TelephonyCallback() { throw new RuntimeException("Stub!"); }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface ActiveDataSubscriptionIdListener {

public void onActiveDataSubscriptionIdChanged(int subId);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface BarringInfoListener {

public void onBarringInfoChanged(@android.annotation.NonNull android.telephony.BarringInfo barringInfo);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface CallDisconnectCauseListener {

public void onCallDisconnectCauseChanged(int disconnectCause, int preciseDisconnectCause);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface CallForwardingIndicatorListener {

public void onCallForwardingIndicatorChanged(boolean cfi);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface CallStateListener {

public void onCallStateChanged(int state);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface CarrierNetworkListener {

public void onCarrierNetworkChange(boolean active);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface CellInfoListener {

public void onCellInfoChanged(@android.annotation.NonNull java.util.List<android.telephony.CellInfo> cellInfo);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface CellLocationListener {

public void onCellLocationChanged(@android.annotation.NonNull android.telephony.CellLocation location);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface DataActivationStateListener {

public void onDataActivationStateChanged(int state);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface DataActivityListener {

public void onDataActivity(int direction);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface DataConnectionStateListener {

public void onDataConnectionStateChanged(int state, int networkType);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface DisplayInfoListener {

public void onDisplayInfoChanged(@android.annotation.NonNull android.telephony.TelephonyDisplayInfo telephonyDisplayInfo);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface EmergencyNumberListListener {

public void onEmergencyNumberListChanged(@android.annotation.NonNull java.util.Map<java.lang.Integer,java.util.List<android.telephony.emergency.EmergencyNumber>> emergencyNumberList);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface ImsCallDisconnectCauseListener {

public void onImsCallDisconnectCauseChanged(@android.annotation.NonNull android.telephony.ims.ImsReasonInfo imsReasonInfo);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface MessageWaitingIndicatorListener {

public void onMessageWaitingIndicatorChanged(boolean mwi);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface PhysicalChannelConfigListener {

public void onPhysicalChannelConfigChanged(@android.annotation.NonNull java.util.List<android.telephony.PhysicalChannelConfig> configs);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface PreciseDataConnectionStateListener {

public void onPreciseDataConnectionStateChanged(@android.annotation.NonNull android.telephony.PreciseDataConnectionState dataConnectionState);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface RegistrationFailedListener {

public void onRegistrationFailed(@android.annotation.NonNull android.telephony.CellIdentity cellIdentity, @android.annotation.NonNull java.lang.String chosenPlmn, int domain, int causeCode, int additionalCauseCode);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface ServiceStateListener {

public void onServiceStateChanged(@android.annotation.NonNull android.telephony.ServiceState serviceState);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface SignalStrengthsListener {

public void onSignalStrengthsChanged(@android.annotation.NonNull android.telephony.SignalStrength signalStrength);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface UserMobileDataStateListener {

public void onUserMobileDataStateChanged(boolean enabled);
}

}

