/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.telephony.data;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class NetworkSliceInfo implements android.os.Parcelable {

private NetworkSliceInfo() { throw new RuntimeException("Stub!"); }

public int getSliceServiceType() { throw new RuntimeException("Stub!"); }

public int getSliceDifferentiator() { throw new RuntimeException("Stub!"); }

public int getMappedHplmnSliceServiceType() { throw new RuntimeException("Stub!"); }

public int getMappedHplmnSliceDifferentiator() { throw new RuntimeException("Stub!"); }

public int getStatus() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.telephony.data.NetworkSliceInfo> CREATOR;
static { CREATOR = null; }

public static final int SLICE_DIFFERENTIATOR_NO_SLICE = -1; // 0xffffffff

public static final int SLICE_SERVICE_TYPE_EMBB = 1; // 0x1

public static final int SLICE_SERVICE_TYPE_MIOT = 3; // 0x3

public static final int SLICE_SERVICE_TYPE_NONE = 0; // 0x0

public static final int SLICE_SERVICE_TYPE_URLLC = 2; // 0x2

public static final int SLICE_STATUS_ALLOWED = 2; // 0x2

public static final int SLICE_STATUS_CONFIGURED = 1; // 0x1

public static final int SLICE_STATUS_DEFAULT_CONFIGURED = 5; // 0x5

public static final int SLICE_STATUS_REJECTED_NOT_AVAILABLE_IN_PLMN = 3; // 0x3

public static final int SLICE_STATUS_REJECTED_NOT_AVAILABLE_IN_REGISTERED_AREA = 4; // 0x4

public static final int SLICE_STATUS_UNKNOWN = 0; // 0x0
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.telephony.data.NetworkSliceInfo.Builder setSliceServiceType(int mSliceServiceType) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.telephony.data.NetworkSliceInfo.Builder setSliceDifferentiator(int sliceDifferentiator) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.telephony.data.NetworkSliceInfo.Builder setMappedHplmnSliceServiceType(int mappedHplmnSliceServiceType) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.telephony.data.NetworkSliceInfo.Builder setMappedHplmnSliceDifferentiator(int mappedHplmnSliceDifferentiator) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.telephony.data.NetworkSliceInfo.Builder setStatus(int status) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.telephony.data.NetworkSliceInfo build() { throw new RuntimeException("Stub!"); }
}

}

