/*
 * Copyright (C) 2006 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.util;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public interface AttributeSet {

public int getAttributeCount();

public default java.lang.String getAttributeNamespace(int index) { throw new RuntimeException("Stub!"); }

public java.lang.String getAttributeName(int index);

public java.lang.String getAttributeValue(int index);

public java.lang.String getAttributeValue(java.lang.String namespace, java.lang.String name);

public java.lang.String getPositionDescription();

public int getAttributeNameResource(int index);

public int getAttributeListValue(java.lang.String namespace, java.lang.String attribute, java.lang.String[] options, int defaultValue);

public boolean getAttributeBooleanValue(java.lang.String namespace, java.lang.String attribute, boolean defaultValue);

public int getAttributeResourceValue(java.lang.String namespace, java.lang.String attribute, int defaultValue);

public int getAttributeIntValue(java.lang.String namespace, java.lang.String attribute, int defaultValue);

public int getAttributeUnsignedIntValue(java.lang.String namespace, java.lang.String attribute, int defaultValue);

public float getAttributeFloatValue(java.lang.String namespace, java.lang.String attribute, float defaultValue);

public int getAttributeListValue(int index, java.lang.String[] options, int defaultValue);

public boolean getAttributeBooleanValue(int index, boolean defaultValue);

public int getAttributeResourceValue(int index, int defaultValue);

public int getAttributeIntValue(int index, int defaultValue);

public int getAttributeUnsignedIntValue(int index, int defaultValue);

public float getAttributeFloatValue(int index, float defaultValue);

public java.lang.String getIdAttribute();

public java.lang.String getClassAttribute();

public int getIdAttributeResourceValue(int defaultValue);

public int getStyleAttribute();
}

