/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.view;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class ContentInfo implements android.os.Parcelable {

private ContentInfo() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String toString() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.content.ClipData getClip() { throw new RuntimeException("Stub!"); }

public int getSource() { throw new RuntimeException("Stub!"); }

public int getFlags() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.net.Uri getLinkUri() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.os.Bundle getExtras() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.view.ContentInfo> CREATOR;
static { CREATOR = null; }

public static final int FLAG_CONVERT_TO_PLAIN_TEXT = 1; // 0x1

public static final int SOURCE_APP = 0; // 0x0

public static final int SOURCE_AUTOFILL = 4; // 0x4

public static final int SOURCE_CLIPBOARD = 1; // 0x1

public static final int SOURCE_DRAG_AND_DROP = 3; // 0x3

public static final int SOURCE_INPUT_METHOD = 2; // 0x2

public static final int SOURCE_PROCESS_TEXT = 5; // 0x5
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder(@android.annotation.NonNull android.view.ContentInfo other) { throw new RuntimeException("Stub!"); }

public Builder(@android.annotation.NonNull android.content.ClipData clip, int source) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.ContentInfo.Builder setClip(@android.annotation.NonNull android.content.ClipData clip) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.ContentInfo.Builder setSource(int source) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.ContentInfo.Builder setFlags(int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.ContentInfo.Builder setLinkUri(@android.annotation.Nullable android.net.Uri linkUri) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.ContentInfo.Builder setExtras(@android.annotation.Nullable android.os.Bundle extras) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.ContentInfo build() { throw new RuntimeException("Stub!"); }
}

}

