/*
 * Copyright (C) 2010 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.view;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class InputDevice implements android.os.Parcelable {

InputDevice() { throw new RuntimeException("Stub!"); }

public static android.view.InputDevice getDevice(int id) { throw new RuntimeException("Stub!"); }

public static int[] getDeviceIds() { throw new RuntimeException("Stub!"); }

public int getId() { throw new RuntimeException("Stub!"); }

public int getControllerNumber() { throw new RuntimeException("Stub!"); }

public int getVendorId() { throw new RuntimeException("Stub!"); }

public int getProductId() { throw new RuntimeException("Stub!"); }

public java.lang.String getDescriptor() { throw new RuntimeException("Stub!"); }

public boolean isVirtual() { throw new RuntimeException("Stub!"); }

public boolean isExternal() { throw new RuntimeException("Stub!"); }

public java.lang.String getName() { throw new RuntimeException("Stub!"); }

public int getSources() { throw new RuntimeException("Stub!"); }

public boolean supportsSource(int source) { throw new RuntimeException("Stub!"); }

public int getKeyboardType() { throw new RuntimeException("Stub!"); }

public android.view.KeyCharacterMap getKeyCharacterMap() { throw new RuntimeException("Stub!"); }

public boolean[] hasKeys(int... keys) { throw new RuntimeException("Stub!"); }

public android.view.InputDevice.MotionRange getMotionRange(int axis) { throw new RuntimeException("Stub!"); }

public android.view.InputDevice.MotionRange getMotionRange(int axis, int source) { throw new RuntimeException("Stub!"); }

public java.util.List<android.view.InputDevice.MotionRange> getMotionRanges() { throw new RuntimeException("Stub!"); }

@Deprecated
public android.os.Vibrator getVibrator() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.VibratorManager getVibratorManager() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.hardware.BatteryState getBatteryState() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.hardware.lights.LightsManager getLightsManager() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.hardware.SensorManager getSensorManager() { throw new RuntimeException("Stub!"); }

public boolean isEnabled() { throw new RuntimeException("Stub!"); }

public boolean hasMicrophone() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel out, int flags) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.view.InputDevice> CREATOR;
static { CREATOR = null; }

public static final int KEYBOARD_TYPE_ALPHABETIC = 2; // 0x2

public static final int KEYBOARD_TYPE_NONE = 0; // 0x0

public static final int KEYBOARD_TYPE_NON_ALPHABETIC = 1; // 0x1

@Deprecated public static final int MOTION_RANGE_ORIENTATION = 8; // 0x8

@Deprecated public static final int MOTION_RANGE_PRESSURE = 2; // 0x2

@Deprecated public static final int MOTION_RANGE_SIZE = 3; // 0x3

@Deprecated public static final int MOTION_RANGE_TOOL_MAJOR = 6; // 0x6

@Deprecated public static final int MOTION_RANGE_TOOL_MINOR = 7; // 0x7

@Deprecated public static final int MOTION_RANGE_TOUCH_MAJOR = 4; // 0x4

@Deprecated public static final int MOTION_RANGE_TOUCH_MINOR = 5; // 0x5

@Deprecated public static final int MOTION_RANGE_X = 0; // 0x0

@Deprecated public static final int MOTION_RANGE_Y = 1; // 0x1

public static final int SOURCE_ANY = -256; // 0xffffff00

public static final int SOURCE_BLUETOOTH_STYLUS = 49154; // 0xc002

public static final int SOURCE_CLASS_BUTTON = 1; // 0x1

public static final int SOURCE_CLASS_JOYSTICK = 16; // 0x10

public static final int SOURCE_CLASS_MASK = 255; // 0xff

public static final int SOURCE_CLASS_NONE = 0; // 0x0

public static final int SOURCE_CLASS_POINTER = 2; // 0x2

public static final int SOURCE_CLASS_POSITION = 8; // 0x8

public static final int SOURCE_CLASS_TRACKBALL = 4; // 0x4

public static final int SOURCE_DPAD = 513; // 0x201

public static final int SOURCE_GAMEPAD = 1025; // 0x401

public static final int SOURCE_HDMI = 33554433; // 0x2000001

public static final int SOURCE_JOYSTICK = 16777232; // 0x1000010

public static final int SOURCE_KEYBOARD = 257; // 0x101

public static final int SOURCE_MOUSE = 8194; // 0x2002

public static final int SOURCE_MOUSE_RELATIVE = 131076; // 0x20004

public static final int SOURCE_ROTARY_ENCODER = 4194304; // 0x400000

public static final int SOURCE_SENSOR = 67108864; // 0x4000000

public static final int SOURCE_STYLUS = 16386; // 0x4002

public static final int SOURCE_TOUCHPAD = 1048584; // 0x100008

public static final int SOURCE_TOUCHSCREEN = 4098; // 0x1002

public static final int SOURCE_TOUCH_NAVIGATION = 2097152; // 0x200000

public static final int SOURCE_TRACKBALL = 65540; // 0x10004

public static final int SOURCE_UNKNOWN = 0; // 0x0
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class MotionRange {

private MotionRange() { throw new RuntimeException("Stub!"); }

public int getAxis() { throw new RuntimeException("Stub!"); }

public int getSource() { throw new RuntimeException("Stub!"); }

public boolean isFromSource(int source) { throw new RuntimeException("Stub!"); }

public float getMin() { throw new RuntimeException("Stub!"); }

public float getMax() { throw new RuntimeException("Stub!"); }

public float getRange() { throw new RuntimeException("Stub!"); }

public float getFlat() { throw new RuntimeException("Stub!"); }

public float getFuzz() { throw new RuntimeException("Stub!"); }

public float getResolution() { throw new RuntimeException("Stub!"); }
}

}

