/*
 * Copyright (C) 2014 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */



package android.view;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class WindowInsets {

public WindowInsets(android.view.WindowInsets src) { throw new RuntimeException("Stub!"); }

@Deprecated
@android.annotation.NonNull
public android.graphics.Insets getSystemWindowInsets() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.Insets getInsets(int typeMask) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.graphics.Insets getInsetsIgnoringVisibility(int typeMask) { throw new RuntimeException("Stub!"); }

public boolean isVisible(int typeMask) { throw new RuntimeException("Stub!"); }

@Deprecated
public int getSystemWindowInsetLeft() { throw new RuntimeException("Stub!"); }

@Deprecated
public int getSystemWindowInsetTop() { throw new RuntimeException("Stub!"); }

@Deprecated
public int getSystemWindowInsetRight() { throw new RuntimeException("Stub!"); }

@Deprecated
public int getSystemWindowInsetBottom() { throw new RuntimeException("Stub!"); }

@Deprecated
public boolean hasSystemWindowInsets() { throw new RuntimeException("Stub!"); }

public boolean hasInsets() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.view.DisplayCutout getDisplayCutout() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.view.RoundedCorner getRoundedCorner(int position) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.graphics.Rect getPrivacyIndicatorBounds() { throw new RuntimeException("Stub!"); }

@Deprecated
@android.annotation.NonNull
public android.view.WindowInsets consumeDisplayCutout() { throw new RuntimeException("Stub!"); }

public boolean isConsumed() { throw new RuntimeException("Stub!"); }

public boolean isRound() { throw new RuntimeException("Stub!"); }

@Deprecated
@android.annotation.NonNull
public android.view.WindowInsets consumeSystemWindowInsets() { throw new RuntimeException("Stub!"); }

@Deprecated
@android.annotation.NonNull
public android.view.WindowInsets replaceSystemWindowInsets(int left, int top, int right, int bottom) { throw new RuntimeException("Stub!"); }

@Deprecated
@android.annotation.NonNull
public android.view.WindowInsets replaceSystemWindowInsets(android.graphics.Rect systemWindowInsets) { throw new RuntimeException("Stub!"); }

@Deprecated
@android.annotation.NonNull
public android.graphics.Insets getStableInsets() { throw new RuntimeException("Stub!"); }

@Deprecated
public int getStableInsetTop() { throw new RuntimeException("Stub!"); }

@Deprecated
public int getStableInsetLeft() { throw new RuntimeException("Stub!"); }

@Deprecated
public int getStableInsetRight() { throw new RuntimeException("Stub!"); }

@Deprecated
public int getStableInsetBottom() { throw new RuntimeException("Stub!"); }

@Deprecated
public boolean hasStableInsets() { throw new RuntimeException("Stub!"); }

@Deprecated
@android.annotation.NonNull
public android.graphics.Insets getSystemGestureInsets() { throw new RuntimeException("Stub!"); }

@Deprecated
@android.annotation.NonNull
public android.graphics.Insets getMandatorySystemGestureInsets() { throw new RuntimeException("Stub!"); }

@Deprecated
@android.annotation.NonNull
public android.graphics.Insets getTappableElementInsets() { throw new RuntimeException("Stub!"); }

@Deprecated
@android.annotation.NonNull
public android.view.WindowInsets consumeStableInsets() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.WindowInsets inset(@android.annotation.NonNull android.graphics.Insets insets) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.WindowInsets inset(int left, int top, int right, int bottom) { throw new RuntimeException("Stub!"); }

public boolean equals(@android.annotation.Nullable java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.view.WindowInsets CONSUMED;
static { CONSUMED = null; }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder() { throw new RuntimeException("Stub!"); }

public Builder(@android.annotation.NonNull android.view.WindowInsets insets) { throw new RuntimeException("Stub!"); }

@Deprecated
@android.annotation.NonNull
public android.view.WindowInsets.Builder setSystemWindowInsets(@android.annotation.NonNull android.graphics.Insets systemWindowInsets) { throw new RuntimeException("Stub!"); }

@Deprecated
@android.annotation.NonNull
public android.view.WindowInsets.Builder setSystemGestureInsets(@android.annotation.NonNull android.graphics.Insets insets) { throw new RuntimeException("Stub!"); }

@Deprecated
@android.annotation.NonNull
public android.view.WindowInsets.Builder setMandatorySystemGestureInsets(@android.annotation.NonNull android.graphics.Insets insets) { throw new RuntimeException("Stub!"); }

@Deprecated
@android.annotation.NonNull
public android.view.WindowInsets.Builder setTappableElementInsets(@android.annotation.NonNull android.graphics.Insets insets) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.WindowInsets.Builder setInsets(int typeMask, @android.annotation.NonNull android.graphics.Insets insets) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.WindowInsets.Builder setInsetsIgnoringVisibility(int typeMask, @android.annotation.NonNull android.graphics.Insets insets) throws java.lang.IllegalArgumentException { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.WindowInsets.Builder setVisible(int typeMask, boolean visible) { throw new RuntimeException("Stub!"); }

@Deprecated
@android.annotation.NonNull
public android.view.WindowInsets.Builder setStableInsets(@android.annotation.NonNull android.graphics.Insets stableInsets) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.WindowInsets.Builder setDisplayCutout(@android.annotation.Nullable android.view.DisplayCutout displayCutout) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.WindowInsets.Builder setRoundedCorner(int position, @android.annotation.Nullable android.view.RoundedCorner roundedCorner) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.WindowInsets.Builder setPrivacyIndicatorBounds(@android.annotation.Nullable android.graphics.Rect bounds) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.WindowInsets build() { throw new RuntimeException("Stub!"); }
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Side {

private Side() { throw new RuntimeException("Stub!"); }

public static int all() { throw new RuntimeException("Stub!"); }

public static final int BOTTOM = 8; // 0x8

public static final int LEFT = 1; // 0x1

public static final int RIGHT = 4; // 0x4

public static final int TOP = 2; // 0x2
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Type {

private Type() { throw new RuntimeException("Stub!"); }

public static int statusBars() { throw new RuntimeException("Stub!"); }

public static int navigationBars() { throw new RuntimeException("Stub!"); }

public static int captionBar() { throw new RuntimeException("Stub!"); }

public static int ime() { throw new RuntimeException("Stub!"); }

public static int systemGestures() { throw new RuntimeException("Stub!"); }

public static int mandatorySystemGestures() { throw new RuntimeException("Stub!"); }

public static int tappableElement() { throw new RuntimeException("Stub!"); }

public static int displayCutout() { throw new RuntimeException("Stub!"); }

public static int systemBars() { throw new RuntimeException("Stub!"); }
}

}

