/*
 * Copyright (C) 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package android.view.contentcapture;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class ContentCaptureManager {

ContentCaptureManager() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.content.ComponentName getServiceComponentName() { throw new RuntimeException("Stub!"); }

public boolean isContentCaptureEnabled() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.util.Set<android.view.contentcapture.ContentCaptureCondition> getContentCaptureConditions() { throw new RuntimeException("Stub!"); }

public void setContentCaptureEnabled(boolean enabled) { throw new RuntimeException("Stub!"); }

public void removeData(@android.annotation.NonNull android.view.contentcapture.DataRemovalRequest request) { throw new RuntimeException("Stub!"); }

public void shareData(@android.annotation.NonNull android.view.contentcapture.DataShareRequest request, @android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.view.contentcapture.DataShareWriteAdapter dataShareWriteAdapter) { throw new RuntimeException("Stub!"); }

public static final int DATA_SHARE_ERROR_CONCURRENT_REQUEST = 2; // 0x2

public static final int DATA_SHARE_ERROR_TIMEOUT_INTERRUPTED = 3; // 0x3

public static final int DATA_SHARE_ERROR_UNKNOWN = 1; // 0x1
}

