/*
 * Copyright (C) 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package android.view.contentcapture;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public abstract class ContentCaptureSession implements java.lang.AutoCloseable {

ContentCaptureSession() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public final android.view.contentcapture.ContentCaptureSessionId getContentCaptureSessionId() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public final android.view.contentcapture.ContentCaptureSession createContentCaptureSession(@android.annotation.NonNull android.view.contentcapture.ContentCaptureContext context) { throw new RuntimeException("Stub!"); }

public final void setContentCaptureContext(@android.annotation.Nullable android.view.contentcapture.ContentCaptureContext context) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public final android.view.contentcapture.ContentCaptureContext getContentCaptureContext() { throw new RuntimeException("Stub!"); }

public final void destroy() { throw new RuntimeException("Stub!"); }

public void close() { throw new RuntimeException("Stub!"); }

public final void notifyViewAppeared(@android.annotation.NonNull android.view.ViewStructure node) { throw new RuntimeException("Stub!"); }

public final void notifyViewDisappeared(@android.annotation.NonNull android.view.autofill.AutofillId id) { throw new RuntimeException("Stub!"); }

public final void notifyViewsDisappeared(@android.annotation.NonNull android.view.autofill.AutofillId hostId, @android.annotation.NonNull long[] virtualIds) { throw new RuntimeException("Stub!"); }

public final void notifyViewTextChanged(@android.annotation.NonNull android.view.autofill.AutofillId id, @android.annotation.Nullable java.lang.CharSequence text) { throw new RuntimeException("Stub!"); }

public final void notifyViewInsetsChanged(@android.annotation.NonNull android.graphics.Insets viewInsets) { throw new RuntimeException("Stub!"); }

public final void notifySessionResumed() { throw new RuntimeException("Stub!"); }

public final void notifySessionPaused() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public final android.view.ViewStructure newViewStructure(@android.annotation.NonNull android.view.View view) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.autofill.AutofillId newAutofillId(@android.annotation.NonNull android.view.autofill.AutofillId hostId, long virtualChildId) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public final android.view.ViewStructure newVirtualViewStructure(@android.annotation.NonNull android.view.autofill.AutofillId parentId, long virtualId) { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }
}

