/*
 * Copyright 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.view.inspector;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public interface InspectionCompanion<T> {

public void mapProperties(@android.annotation.NonNull android.view.inspector.PropertyMapper propertyMapper);

public void readProperties(@android.annotation.NonNull T inspectable, @android.annotation.NonNull android.view.inspector.PropertyReader propertyReader);
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static class UninitializedPropertyMapException extends java.lang.RuntimeException {

public UninitializedPropertyMapException() { throw new RuntimeException("Stub!"); }
}

}

