/*
 * Copyright (C) 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package android.view.textclassifier;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class ConversationAction implements android.os.Parcelable {

private ConversationAction() { throw new RuntimeException("Stub!"); }

public void writeToParcel(android.os.Parcel parcel, int flags) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getType() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.app.RemoteAction getAction() { throw new RuntimeException("Stub!"); }

public float getConfidenceScore() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.CharSequence getTextReply() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.Bundle getExtras() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.view.textclassifier.ConversationAction> CREATOR;
static { CREATOR = null; }

public static final java.lang.String TYPE_CALL_PHONE = "call_phone";

public static final java.lang.String TYPE_CREATE_REMINDER = "create_reminder";

public static final java.lang.String TYPE_OPEN_URL = "open_url";

public static final java.lang.String TYPE_SEND_EMAIL = "send_email";

public static final java.lang.String TYPE_SEND_SMS = "send_sms";

public static final java.lang.String TYPE_SHARE_LOCATION = "share_location";

public static final java.lang.String TYPE_TEXT_REPLY = "text_reply";

public static final java.lang.String TYPE_TRACK_FLIGHT = "track_flight";

public static final java.lang.String TYPE_VIEW_CALENDAR = "view_calendar";

public static final java.lang.String TYPE_VIEW_MAP = "view_map";
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder(@android.annotation.NonNull java.lang.String actionType) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.textclassifier.ConversationAction.Builder setAction(@android.annotation.Nullable android.app.RemoteAction action) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.textclassifier.ConversationAction.Builder setTextReply(@android.annotation.Nullable java.lang.CharSequence textReply) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.textclassifier.ConversationAction.Builder setConfidenceScore(float score) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.textclassifier.ConversationAction.Builder setExtras(@android.annotation.Nullable android.os.Bundle extras) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.textclassifier.ConversationAction build() { throw new RuntimeException("Stub!"); }
}

}

