/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.view.translation;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class TranslationResponse implements android.os.Parcelable {

TranslationResponse() { throw new RuntimeException("Stub!"); }

public int getTranslationStatus() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.util.SparseArray<android.view.translation.TranslationResponseValue> getTranslationResponseValues() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.util.SparseArray<android.view.translation.ViewTranslationResponse> getViewTranslationResponses() { throw new RuntimeException("Stub!"); }

public boolean isFinalResponse() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.view.translation.TranslationResponse> CREATOR;
static { CREATOR = null; }

public static final int TRANSLATION_STATUS_CONTEXT_UNSUPPORTED = 2; // 0x2

public static final int TRANSLATION_STATUS_SUCCESS = 0; // 0x0

public static final int TRANSLATION_STATUS_UNKNOWN_ERROR = 1; // 0x1
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder(int translationStatus) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.translation.TranslationResponse.Builder setTranslationResponseValues(@android.annotation.NonNull android.util.SparseArray<android.view.translation.TranslationResponseValue> value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.translation.TranslationResponse.Builder setViewTranslationResponses(@android.annotation.NonNull android.util.SparseArray<android.view.translation.ViewTranslationResponse> value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.translation.TranslationResponse.Builder setFinalResponse(boolean value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.translation.TranslationResponse build() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.translation.TranslationResponse.Builder setTranslationResponseValue(int index, @android.annotation.NonNull android.view.translation.TranslationResponseValue value) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.translation.TranslationResponse.Builder setViewTranslationResponse(int index, @android.annotation.NonNull android.view.translation.ViewTranslationResponse response) { throw new RuntimeException("Stub!"); }
}

}

